<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Fatura.php";
	
	$cari_hesap				=	post("cari_hesap");
	$fatura_seri_no		=	post("fatura_seri_no");
	$fatura_tarihi			=	str_replace( "/", ".", post("fatura_tarihi") );
	$fatura_tarihi			=	date( "Y-m-d 00:00:00", strtotime( $fatura_tarihi ) );
	$fatura_aciklama	=	post("fatura_aciklama");
	$servis_fis_id			=	post("servis_fis_id") ? post("servis_fis_id") : 0;
	$servis_fis_no			=	post("servis_fis_no") ? post("servis_fis_no") : 0;
	$benID						=	$_SESSION["user"]["user_id"];
	$fatura_tur				=	$_SESSION["fatura_tur"];
	$iskonto						=	get( "iskonto" ) ? get( "iskonto" ) : 0.00;
	$odendi						=	post("odendi") ? true : false;
	$odeme_tur				=	post("odeme_tur");
	$sonuc						=	array();

	$servis_fis_no_2 = $servis_fis_no ? $servis_fis_no : null;

	$_servis	=	new Servis();
	
	//Seri no kontrolü
	if( empty( $fatura_seri_no ) || preg_match( '@[^A-Z0-9]@si', $fatura_seri_no ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Seri Sıra No Bilgisine Sadece Harf ve Rakam Girebilirsiniz!";
	}
	//Seri no kontrolü
	elseif( !$cari_hesap ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Eksik Cari Bilgisi !";
	}
	//Ürün eklimi değilmi
	elseif( !count( $_SESSION["ekli_urunler"]["urunler"] ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Yedek Parça Eklemediniz !";
	}
	//Fatura tarihi gelecek kontrolü
	elseif( $fatura_tarihi && strtotime( $fatura_tarihi ) > time() ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Fatura Tarihi Gelecek Zamandan Seçilemez !";
		$sonuc["tarih"] = $fatura_tarihi;
		echo json_encode($sonuc);
		exit();
	}
	elseif( $fatura_tur == "satis" ){
		//Eksi stok kontrol
		$where = array_map(function($item){
			return '( ( 0 > stok - '.$item["adet"].' ) and yedek_parca_id = '.$item["urun_id"].' )';
		}, $_SESSION["ekli_urunler"]["urunler"]);

		$whereSql = '( yedek_parca_sil = 0 and eksi_stok = 0 ) and '.implode(" and ", $where);

		$urunler = $_servis -> ozelSorgu( "select yedek_parca_adi from "._YEDEKPARCA." where ".$whereSql );

		if( count( $urunler ) )
		{	//Eksi stoğa düşecek ürünler var
			$isimler = array_map(function($item){
				return $item["yedek_parca_adi"];
			}, $urunler);

			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	"[".implode(", ", $isimler)."] Eksi Stok Miktarına Düşen Ürünler !";
		}
	}
	
	if( $sonuc["hata"] ){
		echo json_encode( $sonuc );
		exit();
	}
	
	$fatura	=	new Fatura();
		
	$tutarlar				=	$fatura -> tutarlar( $_SESSION["ekli_urunler"]["urunler"] );
	
	$kdvOrt				=	floatval( $tutarlar["kdvOrt"] );
	$araToplam		=	floatval( $tutarlar["araToplam"] );
	$matrah				=	$araToplam - $iskonto;
	$kdvTutar			=	floatval( $tutarlar["kdvTutar"] );
	$genelToplam	=	floatval( $matrah + $kdvTutar );
	
	$ekle	=	$_servis -> kayitEkle( "insert into "._FATURALAR." set fatura_seri_no = ?, fatura_tarihi = ?, fatura_ara_toplam = ?, 
																	fatura_kdv_tutar = ?, fatura_toplam_tutar = ?, ekleyen_id = ?, fatura_aciklama = ?, 
																	musteri_id = ?, fatura_tur = ?, servis_fis_id = ?, servis_fis_no = ?, fatura_iskonto = ?", 
																	array( strtoupper( $fatura_seri_no ), $fatura_tarihi, $araToplam, $kdvTutar, $genelToplam, $benID, $fatura_aciklama, $cari_hesap, $fatura_tur, $servis_fis_id, $servis_fis_no, $iskonto ) );
	
	if( $ekle === false ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Fatura Eklerken Problem Oluştu. ".$_servis -> getHata();
	}
	else{
		$son_id	=	$_servis -> last_id();
		
		//Ödeme yapılmışsa kasa işlemlerine kayıt ekleniyor
		if( $odendi ){
			$islem	=	array(
				"alis"		=>	"gider",
				"satis"	=>	"gelir"
			);
			
			$_servis -> kayitEkle( "insert into "._TAHSILAT." set 
															islem = ?, musteri_id = ?, tahsilat_fiyat = ?, odeme_tur = ?, tahsilat_tarihi = ?, 
															ekleyen_id = ?, tahsilat_tur = 1, fatura_seri_no = ?, servis_fis_no = ?",
															array( $islem[ $fatura_tur ], $cari_hesap, $genelToplam, $odeme_tur, $fatura_tarihi, $benID, $fatura_seri_no, $servis_fis_no_2 ) );
		}
		
		$parcaSql	=	"insert into "._FATURA_URUNLER." ( fatura_id, yedek_parca_id, satis_fiyat, alis_fiyat, kdv, kdv_dahil, urun_adet, fatura_tur ) Values";
		$values	=	array();
		
		foreach( $_SESSION["ekli_urunler"]["urunler"] as $urun ){
			$parcaSql	.=	"( ?, ?, ?, ?, ?, ?, ?, ? ),";
			$values[ ]	=		$son_id;
			$values[ ]	=		$urun["urun_id"];
			$values[ ]	=		$urun["satis_fiyati"];
			$values[ ]	=		$urun["alis_fiyati"];
			$values[ ]	=		$urun["kdv"];
			$values[ ]	=		$urun["kdv_dahil"];
			$values[ ]	=		$urun["adet"];
			$values[ ]	=		$fatura_tur;
		}
		
		$parcaSql	=	rtrim( $parcaSql, "," );
		
		$parcaEkle	=	$_servis -> kayitEkle( $parcaSql, $values );
		
		unset( $_SESSION["ekli_urunler"]["urunler"] );
		
		$sonuc["hata"]		=	false;
		$sonuc["tur"]			=	$fatura_tur;
		$sonuc["son_id"]	=	$son_id;
		$sonuc["mesaj"]		=	"Fatura Kaydedildi.";
	}
	
	echo json_encode( $sonuc );

?>