<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Iller.php";
	require $_SESSION["root"]."/inc/BBcode.php";
	require $_SESSION["root"]."/inc/Yazdir.php";
	require $_SESSION["root"].'/vendor/autoload.php';

	$servis = new Servis();
	$sonuc = array();

	$img1 = post("img1");
	$img2 = post("img2");
	$islem = post("islem");
	$email = post("email");
	$personel = post("personel");
	$musteri = post("musteri");
	$servis_fis_id = post("servis_fis_id");
	$servis_fis_no = post("servis_fis_no");
	$durum = post("durum");

	//Kontrol
	if( empty( $servis_fis_id ) || empty( $img1 ) || empty( $img2 ) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Veri !";
		echo json_encode( $sonuc );
		exit();
	}

	switch ($islem)
	{
		case "kaydet":
			$time = time();
			$name = "imza_".$servis_fis_id."_".$time;

			$file1 = $_SESSION["root"]."/uploads/resimler/".$name."_1.jpeg";
			$file2 = $_SESSION["root"]."/uploads/resimler/".$name."_2.jpeg";
			$pdfFile = $_SESSION["root"]."/uploads/dosyalar/".$name.".pdf";

			$imgData1 = substr( $img1, strpos($img1, ",") + 1 );
			$imgData2 = substr( $img2, strpos($img2, ",") + 1 );

			$info = array(
				"personel" => $personel,
				"musteri" => $musteri,
				"dosya" => $name
			);

			if( file_put_contents( $file1, base64_decode($imgData1) ) && file_put_contents( $file2, base64_decode($imgData2) ) )
			{	//Dosya oluşturma başarılı ise
				$sql = "update "._SERVISFISLERI." set mobil_imza = ?, durum_id =? where servis_fis_id = ?";

				if( $servis -> kayitGuncelle( $sql, array( json_encode($info), $durum, $servis_fis_id ) ) )
				{	//Veritabanı güncelleme başarılı ise

					$yazdir = new Yazdir();

					$cikti = $yazdir -> servis_teslim($servis, $servis_fis_id);

					$html2pdf = new Spipu\Html2Pdf\Html2Pdf('P', 'A4', 'tr');
					$html2pdf->addFont('freesans', 'freesans.php');
					$html2pdf->setDefaultFont('freesans');
					$html2pdf->writeHTML($cikti);

					/*Email gönder---------------------------------------------------*/
						require $_SESSION["root"]."/plugin/phpmailer/PHPMailerAutoload.php";

						$mailAyar = $servis -> ozelSorgu("select email_sunucu, email_kullanici_adi, email_sifre, email_port 
														from "._SMS_EMAIL." where ayar_id = 1");

						extract( $mailAyar[0] );

						if( $html2pdf->output( $pdfFile, 'F' ) === false ){
							$mailMesaj = "Pdf Dosya Oluşturulamadı !";
						}
						elseif( !$email_sunucu || !$email_kullanici_adi || !$email_sifre ){
							$mailMesaj = "Mail Ayarlarınız Yapılandırılmamış !";
						}
						else{

							$mail = new PHPMailer();
	
							$mail -> isSMTP();                                  // Set mailer to use SMTP
							$mail -> SMTPAuth = true;                           // Enable SMTP authentication
							$mail -> Host = $email_sunucu;  					// Specify main and backup SMTP servers
							$mail -> Username = $email_kullanici_adi;           // SMTP username
							$mail -> Password = $email_sifre;                   // SMTP password
							$mail -> SMTPSecure = 'TLS';                        // Enable TLS encryption, `ssl` also accepted
							$mail -> Port = ( $email_port ) ? $email_port : 587;
							
							$mail -> CharSet = "UTF-8";
							$mail -> setLanguage('tr');
							$mail -> setFrom( $email_kullanici_adi, $email );
							$mail -> addReplyTo( $email_kullanici_adi, 'Cevapla' );
							$mail -> AddAttachment( $pdfFile, $name.".pdf", 'base64', 'application/pdf' );		 // Dosya ekle
							
							$mail -> addAddress( $email );				 		 // Name is optional
							
							$mail -> IsHTML(true);                               // Set email format to HTML

							$mesaj = $servis_fis_no." numaralı servisinize ait mobil imzanızın kopyası ektedir.";

							$mail -> Subject = "Mobil imza kopyası";
							$mail -> Body = nl2br( $mesaj );
							$mail -> AltBody = $mesaj;

							if( $mail -> send() )
							{
								$mailMesaj = "Email adresine kopyası gönderildi !";
							}
							else{
								$mailMesaj = $mail -> ErrorInfo;
							}
						}
					/*Email gönder---------------------------------------------------*/

					$sonuc["mesaj"] = "Dosya Kaydedildi ! ".$mailMesaj;
					$sonuc["kaydet"] = 1;
					$sonuc["imza_resim"] = '<div id="imza-resim">
												<img src="'.$_SESSION["oto_url"]."/uploads/resimler/".$name.'_1.jpeg" class="img img-responsive"/>
												<img src="'.$_SESSION["oto_url"]."/uploads/resimler/".$name.'_2.jpeg" class="img img-responsive"/>
											</div>';
					$sonuc["pdf"] = '<a href="'.$_SESSION["oto_url"]."/uploads/dosyalar/".$name.".pdf".'" target="_blank" class="pdf-dosya"><i class="fa fa-file-pdf-o"></i> PDF Dosya</a>';
				}
				else{
					unlink( $file1 );
					unlink( $file2 );
					$sonuc["hata"] = 1;
					$sonuc["mesaj"] = "Veritabanı Kayıt Hatası ! ".$servis -> getHata();
				}
			}
			else{
				$sonuc["hata"] = 1;
				$sonuc["mesaj"] = "Dosya Oluşturulamadı !";
			}
		
		break;

		case "sil":

			$satir = $servis -> ozelSorgu( "select mobil_imza from "._SERVISFISLERI." where servis_fis_id = ?",
											array( $servis_fis_id ) );

			$name = $satir[0]["mobil_imza"];
			$info = json_decode( $name, true );

			if( unlink( $_SESSION["root"]."/uploads/resimler/".$info["dosya"]."_1.jpeg" ) && 
				unlink( $_SESSION["root"]."/uploads/resimler/".$info["dosya"]."_2.jpeg" ) ){

				unlink( $_SESSION["root"]."/uploads/dosyalar/".$info["dosya"].".pdf" );

				$servis -> kayitGuncelle( "update "._SERVISFISLERI." set mobil_imza = ? where servis_fis_id = ?",
											array( "", $servis_fis_id ) );

				$sonuc["mesaj"] = "Dosya Silindi !";
				$sonuc["sil"] = 1;
			}

		break;
	}

	echo json_encode( $sonuc );

?>