<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Musteri.php";
	
	$musteri_adi		=	post("musteri_adi");
	$musteri_kodu	=	post("musteri_kodu");
	$email						=	post("email") ? post("email") : "";
	$tel1						=	post("telefon1");
	$tel2						=	post("telefon2") ? post("telefon2") : "";
	$faks						=	post("faks") ? post("faks") : "";
	$vergi_no				=	post("vergi_no") ? post("vergi_no") : "";
	$vergi_dairesi		=	post("vergi_dairesi") ? post("vergi_dairesi") : "";
	$adres						=	post("adres") ? post("adres") : "";
	$il								=	post("il");
	$ilce_semt				=	post("ilce_semt") ? post("ilce_semt") : "";
	$id								=	post("id");
	
	$sonuc = array();
	
	$yetki_musteri_duzenle	=	yetki( "musteri_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_musteri_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Cari Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Boşluk kontrolü
	if(empty($musteri_adi) || empty($musteri_kodu)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	//Email doğruluk kontrolü
	if( $email && filter_var($email, FILTER_VALIDATE_EMAIL) != true ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Email Adresini Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Telefon doğruluk kontrolü
	if( ($tel1 && !preg_match('@\(\d{3}\) \d{3} \d{2} \d{2}@si',$tel1)) || ($tel2 && !preg_match('@\(\d{3}\) \d{3} \d{2} \d{2}@si',$tel2)) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Telefon Numarasını Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Müşteri kodu kontrolü
	if( strlen( $musteri_kodu ) < 3 ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Hesap Kodu Minimum 3 Karakter Olmalı!";
		echo json_encode($sonuc);
		exit();
	}
	
	$_musteri	=	new Musteri();

	$telefon = $_musteri -> ozelSorgu(
		"select musteri_tel1, musteri_tel2 from "._MUSTERILER." 
			where musteri_sil = 0 and musteri_id != ? 
				and ( ( musteri_tel1 = ? and musteri_tel1 != '' ) || ( musteri_tel2 = ? and musteri_tel2 != '' ) ) 
			LIMIT 1",
		array($id, $tel1, $tel2)
	);

	//Telefon no hatası
	if( count($telefon) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Telefon numarası başka cari de kayıtlı !";
		echo json_encode($sonuc);
		exit();
	}
	
	//Müşteri kodu önceden kayıtlı mı
	$kodSql		=	"select musteri_kodu from "._MUSTERILER." where musteri_kodu = ? and musteri_id != ?";
	$kodVarmi	=	$_musteri -> ozelSorgu($kodSql,array($musteri_kodu,$id));
	if( count($kodVarmi) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Bu Hesap Kodu Önceden Kullanılmış.Lütfen Farklı Bir Hesap Kodu Girin.";
		echo json_encode($sonuc);
		exit();
	}
	
	$sql		=	"update "._MUSTERILER." set musteri_kodu = ?, musteri_adi = ?, musteri_email = ?, musteri_adres = ?, musteri_tel1 = ?, 
						musteri_tel2 = ?, musteri_faks = ?, musteri_vergi_no = ?, musteri_vergi_dairesi = ?, il = ?, ilce_semt = ? where musteri_id = ?";
	
	$kayit	=	$_musteri -> kayitGuncelle($sql, 
													array($musteri_kodu,$musteri_adi,$email,$adres,$tel1,$tel2,$faks,$vergi_no,$vergi_dairesi,$il,$ilce_semt,$id));
	
		if($kayit === false){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	$_musteri-> getHata();
		}
		else{
			$sonuc["hata"]	=	false;
			$sonuc["mesaj"]	=	'<i class="fa fa-check"></i> Cari Bilgileri Güncellendi.';
		}
	
	echo json_encode($sonuc);

?>