<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Users.php";
	
	$kullanici_adi	=	post("kullanici_adi");
	$sifre					=	post("sifre");
	$sifre_tekrar	=	post("sifre_tekrar");
	$ad						=	post("ad");
	$soyad					=	post("soyad");
	$email					=	post("email");
	$telefon				=	post("telefon");
	$gorev_tanim	=	post("gorev_tanim");
	$yetki					=	post("yetki") ? post("yetki") : -1;
	
	$uniq_id				=	uniqid()."_".time();
	
	$sonuc				=	array();
	
	$yetki_personel_ekle	=	yetki( "personel_ekle" );
	
	//Yetki kontrolü
	if( !$yetki_personel_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Personel Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Türkçe karakter ve boşluk kontrolü
	if(preg_match('@[^a-zA-Z0-9\.\-\_]@si',$kullanici_adi)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Kullanıcı Adında Türkçe Karakter ve Özel Karakterler Kullanmayın!";
		echo json_encode($sonuc);
		exit();
	}
	//Şifre en az 6 karakter olmalı
	if(strlen($sifre) < 6){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Şifre En Az 6 Karakter Olmalı!";
		echo json_encode($sonuc);
		exit();
	}
	//Kullanıcı adı harf ile başlamalı
	if(!preg_match('@^[a-zA-Z]+.*?$@si',$kullanici_adi)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Kullanıcı Adı Harf İle Başlamalı!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Boşluk kontrolü
	if(empty($kullanici_adi) || empty($sifre)  || empty($sifre_tekrar) || empty($ad) || empty($soyad)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	//Şifre doğruluk kontrolü
	if($sifre != $sifre_tekrar){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Şifre Tekrarını Yanlış Girdiniz!";
		echo json_encode($sonuc);
		exit();
	}
	//Email doğruluk kontrolü
	if( $email && filter_var($email, FILTER_VALIDATE_EMAIL) != true ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Email Adresini Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Telefon doğruluk kontrolü
	if( $telefon && !preg_match('@\(\d{3}\) \d{3} \d{2} \d{2}@si',$telefon) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Telefon Numarasını Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Yetki değeri gönderilmemişse
	if( !$yetki && $yetki != 0 && $yetki != -1 ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Tanımsız Gelen Bilgi! Yetki Değeri alınamıyor.";
		echo json_encode($sonuc);
		exit();
	}
	//Yetki değeri numara değilse
	if( !is_numeric( $yetki ) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Tanımsız Gelen Bilgi! Yetki Değeri alınamıyor.";
		echo json_encode($sonuc);
		exit();
	}
	
	$_users = new Users();
	
	$varmi = $_users -> ozelSorgu("select user_id from "._USERS." where user_name = ?", array( $kullanici_adi ) );
	//Kullanıcı daha önce kayıt edilmiş mi
	if( count( $varmi ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Bu İsimde Kayıtlı Bir Kullanıcı Var. Lütfen Başka Bir Kullanıcı Adı Belirleyin.";
		echo json_encode($sonuc);
		exit();
	}
	
	$sql = "insert into "._USERS." set user_uniq_id = ?, user_name = ?, user_sifre = ?, user_email = ?, user_ad = ?, user_soyad = ?, user_yetki = ?, user_gorev_tanim = ?, user_tel = ?, user_durum = 1";
	
	$kayit = $_users -> kayitEkle($sql,array($uniq_id,$kullanici_adi,md5($sifre),$email,$ad,$soyad,$yetki,$gorev_tanim,$telefon));
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $_users -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.<br /><i class="fa fa-info-circle"></i>
Yandaki Panelden Profil Resmi Ekleyebilisiniz.';
			$sonuc["son_id"] = $_users -> last_id();
		}
	
	echo json_encode($sonuc);

?>