<?php

	session_start();
	
	if( !isset( $_SESSION["root"] ) || !$_SESSION["login"] || !isset( $_POST["data"] ) ){
		exit();
	}
		
	require $_SESSION["root"]."/inc/autoload.php";
	
	$sonuc	=	array();
	$_servis	=	new Servis();
	
	parse_str( $_POST["ekstraPar"], $params );
	
	$tarih		=	$params["start"] ? $params["start"] : date( "m/Y" );
	$tarih		=	explode( "/", $tarih );
	
	$tur			=	( isset( $params["tur"] ) ) ? $params["tur"] : "tumu";
	
	$ay			=	$tarih[0];
	$yil				=	$tarih[1];
	
	$sonTarih	=	$yil."-".$ay."-01";
	
	$aylar			=	array( "", "Ocak", "Şubat", "Mart", "Nisan", "Mayıs", "Haziran", "Temmuz", "Ağustos", "Eylül", "Ekim", "Kasım", "Aralık" );
	
	$whereDurum	=	( $tur != "tumu" ) ? " and "._SERVISFISLERI.".durum_id = {$tur} " : null;
	
	$mesaj			=	$aylar[ intval( $ay ) ]." ".$yil;
	
	$servisFisleri = $_servis -> ozelSorgu("
		select COUNT( DISTINCT "._SERVISFISLERI.".servis_fis_id ) as Adet,
		DATE( "._SERVISFISLERI.".servis_giris_tarihi ) as tarihii, 
		SUM( "._SERVISISLEMLERI.".servis_tutar ) as ServisTutar 
		from "._SERVISFISLERI." 
		left join "._SERVISISLEMLERI." on "._SERVISISLEMLERI.".servis_fis_id = "._SERVISFISLERI.".servis_fis_id 
		and "._SERVISISLEMLERI.".servis_islem_sil = 0 
		where ( MONTH( "._SERVISFISLERI.".servis_giris_tarihi ) = MONTH( '{$sonTarih}' ) 
		and YEAR( "._SERVISFISLERI.".servis_giris_tarihi ) = YEAR( '{$sonTarih}' ) ) 
		and "._SERVISFISLERI.".fis_sil = 0 
		{$whereDurum} 
		group by tarihii
		order by tarihii asc
	");
																					
	$servisDurumlari	=	$_servis -> ozelSorgu( "select durum_id, durum_baslik from "._DURUMLAR." where durum_sil = 0" );
	
	$basliklar	=	array(
		"tumu"	=>	"Tümünü Göster",
		0					=>	"Yeni Servisler"
	);
	
	foreach( $servisDurumlari as $durum ){
		$basliklar[ $durum["durum_id"] ]	=	$durum["durum_baslik"];
	}
	
	$baslik		=	$basliklar[ $tur ];
	
	//Aylık toplam servis sayısı
	$toplam	=	0;
	
	foreach( $servisFisleri as $fis ){
		$toplam	+=	intval( $fis["Adet"] );
	}
	
	ob_start();
	
?>
	
	<form id="yogunluk-analiz-rapor" method="post" action="">
	
		<div class="garanti-kutu clearfix" style="padding:8px;">
			<div class="inline-block listele-secenek clearfix pull-left" style="z-index:120;margin-right:5px;">
				<div class="form-group no-margin pull-left">
					<div class="form-group no-margin">
						<select name="tur" class="selectpicker form-control">
							<option value="tumu" <?php echo ( $tur == "tumu" ) ? "selected" : null; ?>>Tümünü Göster</option>
							<option value="0" <?php echo ( $tur == "0" ) ? "selected" : null; ?>>Yeni Servisler</option>
							<?php foreach( $servisDurumlari as $durum ): ?>
								<option value="<?php echo $durum["durum_id"]; ?>" <?php echo ( $tur == $durum["durum_id"] ) ? "selected" : null; ?>>
									<?php echo $durum["durum_baslik"]; ?>
								</option>
							<?php endforeach; ?>
						</select>
					</div>
				</div>
			</div>
			
			<div class="inline-block listele-secenek clearfix pull-left" style="z-index:120;margin-right:5px;">
				<div class="form-group no-margin pull-left">
					<div class="form-group tarih-secim input-daterange no-margin">
						<input type="text" name="start" placeholder="Tarih" class="form-control datepicker" 
						value="<?php echo $ay."/".$yil; ?>" />
					</div>
				</div>
			</div>
			
			<div class="inline-block listele-secenek clearfix pull-left" style="margin-right:10px;">
				<button type="button" class="btn btn-primary no-radius no-shadow pull-left" 
				data-hrk-form="#yogunluk-analiz-rapor" data-listele="rapor_yogunluk_analiz">
				<i class="fa fa-search"></i></button>
			</div>
			
			<div class="pull-left kasa-raporu-mesaj" style="width:auto;">
				<strong><?php echo $mesaj; ?></strong>
			</div>
		</div>
		
		<div class="row">
		
			<div class="col-xs-12">
				<div class="garanti-kutu">
					<h5 style="padding:5px 10px;"><strong>AYLIK GÜNLERE GÖRE SERVİS FİŞİ ÇİZELGESİ / 
					<span style="color:#0092c1;">SERVİS SAYISI : <?php echo $toplam; ?></span></strong></h5>
					<canvas id="aylikServisGirisi" height="100px" style="width:100%;"></canvas>
				</div>
			</div>
			
			<div class="col-xs-12">
				<table class="table table-bordered">
					<thead>
						<tr>
							<th colspan="5"><i class="fa fa-calendar-o"></i> GÜNLERE GÖRE SERVİS  ANALİZİ</th>
						</tr>
						<tr>
							<th>Tarih</th>
							<th>Servis Sayısı</th>
							<th>Servis Tutarı</th>
							<th>Malzeme Tutarı</th>
							<th>Toplam Tutar</th>
						</tr>
					</thead>
					<tbody>
						<?php foreach( $servisFisleri as $fis ): ?>
						<?php
							$malzemeTutar = $_servis -> ozelSorgu("select 
								SUM("._KULLANILANMALZEMELER.".birim_fiyat * "._KULLANILANMALZEMELER.".adet) as MalzemeTutar 
								from "._KULLANILANMALZEMELER." 
								where "._KULLANILANMALZEMELER.".servis_fis_id IN(
									select "._SERVISFISLERI.".servis_fis_id from "._SERVISFISLERI." 
									where DATE("._SERVISFISLERI.".servis_giris_tarihi) = '{$fis["tarihii"]}' 
										and "._SERVISFISLERI.".fis_sil = 0
								) 
								LIMIT 1
							");
						?>
							<tr>
								<td>
									<strong>
										<?php echo date( "d.m.Y", strtotime( $fis["tarihii"] ) ); ?>
									</strong>
								</td>
								<td><?php echo intval( $fis["Adet"] ); ?></td>
								<td><?php echo sqlToPara( $fis["ServisTutar"] ); ?> <i class="fa fa-try"></i></td>
								<td><?php echo sqlToPara( $malzemeTutar[0]["MalzemeTutar"] ); ?> <i class="fa fa-try"></i></td>
								<td>
									<strong>
										<?php echo sqlToPara( floatval( $malzemeTutar[0]["MalzemeTutar"] ) + floatval( $fis["ServisTutar"] ) ); ?> <i class="fa fa-try"></i>
									</strong>
								</td>
							</tr>
						<?php endforeach; ?>
					</tbody>
				</table>
			</div>
			
		</div>
	
	</form>

<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$sonuc["hata"]									=	false;
	$sonuc["noDataTables"]				=	true;
	$sonuc["selectPicker"]					=	true;
	$sonuc["datePicker"]						=	true;
	$sonuc["datePickerMonth"]		=	"months";
	$sonuc["durumliste"]						=	true;
	$sonuc["aylikServisGirisi"]				=	true;
	$sonuc["aylikServisGirisiBaslik"]	=	$baslik;
	$sonuc["aylikServisGirisiData"]	=	json_encode( $servisFisleri );
	$sonuc["data"]									=	$cikti;
	
	echo json_encode( $sonuc );

?>