<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/ServisFisi.php";
	require $_SESSION["root"]."/inc/Bildirim.php";
	require $_SESSION["root"]."/inc/Gorev.php";
	
	$musteri_id = post("musteri_id");
	$marka = post("marka");
	$cihaz = post("cihaz");
	$model = post("model");
	$seri_no = post("seri_no");
	$ariza = post("ariza");
	$servis_aciklama = post("servis_aciklama");
	$kabul_tarihi = unixTarih( post("kabul_tarihi"), post("kabul_saati") );
	$plan_tarihi = unixTarih( post("plan_tarihi"), post("plan_saati") );
	$durum = post("durum");
	$birlikte_gelenler = post("birlikte_gelenler");
	$garanti = post("garanti") ? 1 : 0;
	$gorev_ata = post("gorev_ata") ? 1 : 0;
	$hatirlat = post("hatirlat");
	
	$fis_id = post("id");

	$hash = $musteri_id.$marka.$cihaz.$seri_no.$model.$ariza.$servis_aciklama.$birlikte_gelenler.$garanti;
	
	
	$garanti_baslangic = unixTarih( post("garanti_baslangic") );
	$garanti_bitis = unixTarih( post("garanti_bitis") );
	$gorevli_personel = $gorev_ata ? post("gorevli_personel") : null;
	
	$sonuc = array();
	
	$yetki_servis_fisi_duzenle = yetki( "servis_fisi_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_servis_fisi_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Servis Fişi Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Boşluk kontrolü
	if( !$musteri_id || empty($ariza) || !$fis_id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	//Kabul tarihi gelecek kontrolü
	elseif( $kabul_tarihi && strtotime( $kabul_tarihi ) > time() ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Kabul Tarihi Gelecek Zamandan Seçilemez !";
		$sonuc["tarih"] = $kabul_tarihi;
		echo json_encode($sonuc);
		exit();
	}
	
	$_servis = new ServisFisi();
	
	$sql = "update "._SERVISFISLERI." set musteri_id = ?, sikayet = ?, servis_aciklama = ?, cihaz_id = ?, marka_id = ?, durum_id = ?, birlikte_gelenler = ?,servis_garanti_durum = ?, garanti_baslangic = ?, garanti_bitis = ?, servis_model_no = ?, servis_seri_no = ?, plan_tarihi = ?, hatirlat = ?, servis_giris_tarihi = ? where servis_fis_id = ?";
	
	$kayit = $_servis -> kayitGuncelle( $sql,
		array( $musteri_id, $ariza, $servis_aciklama, $cihaz, $marka, $durum, $birlikte_gelenler, $garanti, $garanti_baslangic,$garanti_bitis, $model, $seri_no, $plan_tarihi, $hatirlat, $kabul_tarihi, $fis_id )
	);
	
		if( $kayit === false ){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $_servis -> getHata();
		}
		else{
			//Düzenleme varsa düzenleme tarihi değiştir
			$_servis -> kayitGuncelle( "update "._SERVISFISLERI." set duzenleme_tarihi = ?, hash = ? where servis_fis_id = ? and ( hash != ? || hash IS NULL )",
				array( date("Y-m-d H:i:s"), md5($hash), $fis_id, md5($hash) )
			);

			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<i class="fa fa-check"></i> Servis Bilgileri Güncellendi.';
		}
	
	echo json_encode($sonuc);

?>