<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/ServisFisi.php";
	require $_SESSION["root"]."/inc/Bildirim.php";
	require $_SESSION["root"]."/inc/Gorev.php";
	
	$musteri_id = post("musteri_id");
	$fis_no = post("fis_no");
	$marka = post("marka");
	$cihaz = post("cihaz");
	$seri_no = post("seri_no");
	$model = post("model");
	$ariza = post("ariza");
	$kabul_tarihi = unixTarih( post("kabul_tarihi"), post("kabul_saati") );
	$teslim_tarihi = post("teslim_tarihi");
	$plan_tarihi = unixTarih( post("plan_tarihi"), post("plan_saati") );
	$servis_aciklama = post("servis_aciklama");
	$birlikte_gelenler = post("birlikte_gelenler");
	$garanti = post("garanti") ? 1 : 0;
	$gorev_ata = post("gorev_ata") ? 1 : 0;
	$hatirlat = post("hatirlat");
	$gorev_mudahale = post("gorev_mudahale") ? 1 : 0;

	$hash = $musteri_id.$marka.$cihaz.$seri_no.$model.$ariza.$servis_aciklama.$birlikte_gelenler.$garanti;
	
	$_time = time();
	$sonuc = array();
	
	$yetki_servis_fisi_ekle = yetki( "servis_fisi_ekle" );
	
	//Yetki kontrolü
	if( !$yetki_servis_fisi_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Servis Fişi Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	
	$garanti_baslangic = unixTarih( post("garanti_baslangic"), "23:59" );
	$garanti_bitis = unixTarih( post("garanti_bitis"), "23:59" );
	$teslimTarihi = unixTarih( $teslim_tarihi, "23:59" );

	$gorevli_personel = $gorev_ata ? post("gorevli_personel") : null;
	$gorev_ata = count( $gorevli_personel ) ? $gorev_ata : 0;
	$gorev_mudahale = ( $gorev_ata ) ? $gorev_mudahale : 1;
	
	//Boşluk kontrolü
	if(!$musteri_id || empty($ariza)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}

	//Fiş no kontrol
	if( !preg_match('/^[1-9][0-9]*$/', $fis_no) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Fiş numarası rakamlardan oluşmalı ve sıfır ile başlamamalı!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Teslim tarihi geçmiş kontrolü
	if( $teslim_tarihi && strtotime( $teslimTarihi ) < $_time ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Teslim Tarihi Geçmiş Zamandan Seçilemez !";
		$sonuc["tarih"] = $teslimTarihi;
		echo json_encode($sonuc);
		exit();
	}
	//Kabul tarihi gelecek kontrolü
	elseif( $kabul_tarihi && strtotime( $kabul_tarihi ) > $_time ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Kabul Tarihi Gelecek Zamandan Seçilemez !";
		$sonuc["tarih"] = $kabul_tarihi;
		echo json_encode($sonuc);
		exit();
	}
	
	$_servis = new ServisFisi();
	
	$sql = "insert into "._SERVISFISLERI." set servis_fis_no = ?, musteri_id = ?, sikayet = ?, servis_aciklama = ?, cihaz_id = ?, marka_id = ?, durum_id = 0, ekleyen_id = ?, birlikte_gelenler = ?, servis_garanti_durum = ?, gorev_mudahale = ?, garanti_baslangic = ?, garanti_bitis = ?, servis_model_no = ?, servis_seri_no = ?, fis_sil = 0, servis_teslim_tarihi = ?, plan_tarihi = ?, hash = ?, hatirlat = ?, servis_giris_tarihi = ?";
	
	$kayit = $_servis -> kayitEkle( $sql,
		array( $fis_no, $musteri_id, $ariza,$servis_aciklama, $cihaz, $marka, $_SESSION["user"]["user_id"], $birlikte_gelenler,$garanti, $gorev_mudahale, $garanti_baslangic, $garanti_bitis, $model, $seri_no, $teslimTarihi, $plan_tarihi, md5($hash), $hatirlat, $kabul_tarihi )
	);
	
		if($kayit === false){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	$_servis -> getHata();
		}
		else{
			$sonuc["hata"]		=	false;
			$sonuc["barkod"]	=	$fis_no;
			$sonuc["mesaj"]		=	'<i class="fa fa-check"></i> Yeni Servis Fişi Eklendi.';
			$sonuc["son_id"]	=	$_servis -> last_id();
			
				//Görev ve bildirimler varsa kaydediliyor
				if( $gorev_ata ){
					$_bildirim	=	new Bildirim();
					$_gorev		=	new Gorev();
					
					foreach( $gorevli_personel as $per_id ){
						$gorevSql = "insert into "._GOREVLER." set gorev_veren_id = ?, gorev_alan_id = ?, servis_fis_id = ?";
						$ekle = $_gorev -> kayitEkle( $gorevSql, array($_SESSION["user"]["user_id"],$per_id,$sonuc["son_id"] ) );
						
							if( $ekle ){
								$bildirimSql = "insert into "._BILDIRIM." set bildirim_gonderici = ?, bildirim_alici = ?, bildirim_tur = ?, bildirim_kayit_id = ?";
								$_bildirim -> kayitEkle($bildirimSql,array($_SESSION["user"]["user_id"],$per_id,"gorev",$sonuc["son_id"]));
							}
					}
				}
		}
	
	echo json_encode($sonuc);

?>