<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Tahsilat.php";
	
	$musteri_id		=	post("musteri_id");
	$aciklama			=	post("aciklama");
	$tutar					=	floatval(str_replace(array(".",","),array(null,"."),post("tutar")));
	$vade_tarihi		=	unixTarih( post("vade_tarihi"), "00:00:00" );
	$ekleyen_id		=	$_SESSION["user"]["user_id"];
	$bugun				=	date( "Y-m-d 00:00:00" );
	
	$sonuc				=	array();
	
	$yetki_veresiye_ekle	=	yetki( "veresiye_ekle" );
	
	//Yetki kontrolü
	if( !$yetki_veresiye_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Veresiye Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Müşteri Kontrolü
	if(!$musteri_id){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Cari Seçmediniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Vade tarihi kontrolü
	if( $vade_tarihi && strtotime( $bugun ) >= strtotime( $vade_tarihi ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Vade İçin İleri Bir Tarih Seçiniz !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Fiyat Kontrolü
	if( !$tutar ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Tahsilat Tutarını Giriniz!";
		echo json_encode( $sonuc );
		exit();
	}
	
	$_tahsilat = new Tahsilat();
	
	$sql	=	"insert into "._VERESIYE." set cari_id = ?, tutar = ?, vade_tarihi = ?, ekleyen_id = ?, aciklama = ?";
	
	$kayit = $_tahsilat -> kayitEkle( $sql, array( $musteri_id, $tutar, $vade_tarihi, $ekleyen_id, $aciklama ) );
	
		if( $kayit === false ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	$_tahsilat-> getHata();
		}
		else{
			$sonuc["hata"]		=	false;
			$sonuc["mesaj"]		=	'<i class="fa fa-check"></i> Veresiye Kaydı Başarıyla Yapıldı.';
			$sonuc["son_id"]	=	$_tahsilat -> last_id();
		}
	
	echo json_encode( $sonuc );

?>