<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/YedekParca.php";
	
	$parca_adi		=	post("parca_adi");
	$birim_fiyat	=	post("birim_fiyat")	?	paraToSql( post("birim_fiyat") )	:	0.00;
	$alis_fiyat		=	post("alis_fiyat")		?	paraToSql( post("alis_fiyat") )		:	0.00;
	$kdv					=	post("kdv") ? post("kdv") : 0;
	$barkod			=	post("barkod");
	$stok_kodu			=	post("stok_kodu");
	$raf_no			=	post("raf_no");
	$eksi_stok		=	( post("eksi_stok") ) ? post("eksi_stok") : 0;
	$hizli_ekle = post("hizli_ekle");
	
	$sonuc = array();
	
	$yetki_yedek_parca_ekle	=	yetki( "yedek_parca_ekle" );
	
	//Yetki Kontrolü
	if( !$yetki_yedek_parca_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Yedek Parça Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if( !$barkod ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Geçersiz Barkod Girdiniz !";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($parca_adi)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen İlgili Alanı Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	$yedek_parca = new YedekParca();
	
	$ekleyen_id = $_SESSION["user"]["user_id"];
	$tarih = date("Y-m-d H:i:s");
	
	$sql = "insert into "._YEDEKPARCA." set yedek_parca_adi = ?, birim_fiyat = ?, ekleyen_id = ?, yedek_parca_kayit_tarihi = ?, 
	alis_fiyat = ?, kdv = ?, barkod = ?, eksi_stok = ?, raf_no = ?, stok_kodu = ?";
	
	$kayit = $yedek_parca -> kayitEkle( $sql,
		array( $parca_adi, $birim_fiyat, $ekleyen_id, $tarih, $alis_fiyat, $kdv, $barkod, $eksi_stok, $raf_no, $stok_kodu )
	);
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $yedek_parca -> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"]						=	'<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.<br /><i class="fa fa-info-circle"></i> Yandaki Panelden Stok Resmi Ekleyebilisiniz.';
			$sonuc["son_id"] 					= $yedek_parca -> last_id();

			// Hızlı ekle
			if( $hizli_ekle ){
				$stok_liste = $yedek_parca -> ozelSorgu(
					"SELECT yedek_parca_id, yedek_parca_adi, birim_fiyat FROM "._YEDEKPARCA." WHERE yedek_parca_sil = 0"
				);
				$sonuc["hizli_ekle"] = 1;
				$sonuc["stok_liste"] = array_map(function($item){
					$array = $item;
					$array["birimFiyat"] = sqlToPara( $item["birim_fiyat"] );
					return $array;
				}, $stok_liste);
			}
			// Hızlı ekle
		}
	
	echo json_encode($sonuc);

?>