<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Musteri.php";
	require $_SESSION["root"]."/inc/Iller.php";
	
	$il						=	new Il();
	$_musteri		=	new Musteri();
	
	$yetki_musteri_duzenle			=	yetki( "musteri_duzenle" );
	$yetki_musteri_resim_ekle	=	yetki( "musteri_resim_ekle" );
	$yetki_musteri_resim_sil		=	yetki( "musteri_resim_sil" );
	$yetki_sms_gonder					=	yetki( "sms_gonder" );
	$yetki_email_gonder				=	yetki( "email_gonder" );
	$yetki_tahsilat_ekle					=	yetki( "tahsilat_ekle" );
	$yetki_cari_hareketleri			=	yetki( "cari_hareketleri" );
	
	$kilitle	=	( $yetki_musteri_duzenle ) ? null : "kilitle";
	
	$form				=	"musteri-ekleme-formu";
	$id						=	get("id");
	$bilgiler			=	$_musteri -> ozelSorgu("select * from "._MUSTERILER." where musteri_id = ? and musteri_sil = 0 LIMIT 1", array( $id ) );
	
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata	=	"Cari Hesap Bulunamadı. ".$_musteri -> getHata();
	}
	
	$tahsilatlar	=	$_musteri -> ozelSorgu( "select tahsilat_fiyat, islem from "._TAHSILAT." 
																						where musteri_id = ? and tahsilat_sil = 0", array( $bilgiler[0]["musteri_id"] ) );
	
	$servisler		=	$_musteri -> ozelSorgu( "select COUNT( servis_fis_id ) as toplam from "._SERVISFISLERI." 
																						where musteri_id = ? and fis_sil = 0", array( $bilgiler[0]["musteri_id"] ) );
	$servisler		=	$servisler[0]["toplam"];
																						
	$alisFaturaTutar		=	$_musteri -> ozelSorgu( "select SUM( fatura_toplam_tutar ) as toplamTutar from "._FATURALAR." 
																									where fatura_tur = 'alis' and fatura_sil = 0 and musteri_id = ?", 
																									array( $id ) );
	$alisFaturaTutar		=	$alisFaturaTutar[0]["toplamTutar"];
																								
	$satisFaturaTutar	=	$_musteri -> ozelSorgu( "select SUM( fatura_toplam_tutar ) as toplamTutar from "._FATURALAR." 
																									where fatura_tur = 'satis' and fatura_sil = 0 and musteri_id = ?", 
																									array( $id ) );
	$satisFaturaTutar	=	$satisFaturaTutar[0]["toplamTutar"];
	
	$toplamTahsilat				=	0;
	$toplamOdeme				=	0;
	$toplamTahsilatTutar	=	0.00;
	$toplamOdemeTutar	=	0.00;
	
	foreach( $tahsilatlar as $tahsilat ){
		if( $tahsilat["islem"] == "gelir" ){
			$toplamTahsilat++;
			$toplamTahsilatTutar	+=	floatval( $tahsilat["tahsilat_fiyat"] );
		}
		else if( $tahsilat["islem"] == "gider" ){
			$toplamOdeme++;
			$toplamOdemeTutar	+=	floatval( $tahsilat["tahsilat_fiyat"] );
		}
	}
	
	$bakiye	=	( floatval( $satisFaturaTutar ) + floatval( $toplamOdemeTutar ) ) - ( floatval( $toplamTahsilatTutar ) + floatval( $alisFaturaTutar ) );
	
	$_resim	=	$bilgiler[0]["musteri_profil_resmi"];
	
		if(is_file($_SESSION["root"]."/uploads/resimler/".$_resim)){
			$_resim = $_SESSION["oto_url"]."/uploads/resimler/".$_resim;
			$resimEkli = true;
		}
		else{
			$_resim = $_SESSION["oto_url"]."/assets/img/no-image.jpg";
		}

	//Bakiye güncelle
	$_musteri -> kayitGuncelle("UPDATE "._MUSTERILER." set bakiye = ? 
		where musteri_id = ? and musteri_sil = 0",
		array( paraToSql($bakiye), $id )
	);

?>
						<div class="modal-icerik-style">
							<div class="row">
								<div class="col-xs-12">
								
								<?php if( $hata ): ?>
									<div class="alert alert-danger">
										<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
										<strong>Bilgi :</strong> <?php echo $hata; ?>
									</div>
								<?php exit(); ?>
								<?php endif; ?>
								
									<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "musteri" , "listele" : "musteriler" }' autocomplete = "off" class="<?php echo $kilitle; ?>" >
										<div class="row">
											<div class="col-xs-12 col-sm-7 sablon-paneli-css">
												<div class="row ilk-panel">
													<div class="row no-margin">
														<div class="col-xs-12">
															<strong class="pull-right" style="font-size:13px;">#<?php echo $id; ?></strong>
															<div class="form-group">
																<label><i class="fa fa-user"></i> Cari Adı ( * )</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="musteri_adi" class="form-control" maxlength="100" value="<?php echo $bilgiler[0]["musteri_adi"]; ?>" required />
																	</div>
																</div>
														</div>
														<div class="col-xs-12">
															<div class="form-group">
																<label><i class="fa fa-barcode"></i> Hesap Kodu ( * )</label>
																<div class="form-group pos-rel input-data">
																	<input type="text" name="musteri_kodu" class="form-control" maxlength="100" value="<?php echo $bilgiler[0]["musteri_kodu"]; ?>" required />
																</div>
															</div>
														</div>
													</div>
													<hr />
													<div class="row no-margin">
														<div class="col-xs-12">
															<div class="form-group">
																<label><i class="fa fa-at"></i> Email</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="email" class="form-control" maxlength="150" value="<?php echo $bilgiler[0]["musteri_email"]; ?>" />
																	</div>
															</div>
														</div>
													</div>
													<hr />
													<div class="row">
														<div class="col-xs-12">
															<div class="col-xs-6">
																<div class="form-group">
																	<label><i class="fa fa-phone"></i> Telefon 1</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="telefon1" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" value="<?php echo $bilgiler[0]["musteri_tel1"]; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-6">
																<div class="form-group">
																	<label><i class="fa fa-phone"></i> Telefon 2</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="telefon2" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" value="<?php echo $bilgiler[0]["musteri_tel2"]; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-6">
																<div class="form-group">
																	<label><i class="fa fa-fax"></i> Faks</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="faks" class="form-control" data-inputmask="'mask': '(999) 999 99 99'" value="<?php echo $bilgiler[0]["musteri_faks"]; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-6">
																<div class="form-group">
																	<label><i class="fa fa-credit-card-alt"></i> Vergi / Tc No</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="vergi_no" class="form-control" 
																		value="<?php echo $bilgiler[0]["musteri_vergi_no"]; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-bank"></i> Vergi Dairesi</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="vergi_dairesi" class="form-control" 
																		value="<?php echo $bilgiler[0]["musteri_vergi_dairesi"]; ?>" />
																	</div>
																</div>
															</div>
															<div class="col-xs-12">
																<div class="form-group">
																	<label><i class="fa fa-location-arrow"></i> Adres</label>
																	<div class="form-group pos-rel input-data">
																		<textarea name="adres" class="form-control" rows="2"><?php echo $bilgiler[0]["musteri_adres"]; ?></textarea>
																	</div>
																</div>
															</div>
														</div>
														<div class="col-xs-12">
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-map-marker"></i> İl</label>
																	<div class="form-group pos-rel input-data">
																		<select name="il" class="selectpicker form-control" data-live-search="true">
																			<?php echo $il -> illerHtml($bilgiler[0]["il"]); ?>
																		</select>
																	</div>
																</div>
															</div>
															<div class="col-xs-12 col-sm-6">
																<div class="form-group">
																	<label><i class="fa fa-map-marker"></i> İlce / Semt</label>
																	<div class="form-group pos-rel input-data">
																		<input type="text" name="ilce_semt" class="form-control" maxlength="150" value="<?php echo $bilgiler[0]["ilce_semt"]; ?>" />
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="col-xs-12">
													
													<?php if( $yetki_musteri_duzenle ): ?>
														<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4 pull-left" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
													<?php endif; ?>
														
														<button type="button" 
														data-toggle-iki="tooltip" title="Profili Yazdır" class="btn btn-default col-xs-12 col-sm-4 pull-right hidden-768" 
														data-yazdir-btn="musteri_profil" data-token = "<?php echo $_SESSION["yazdirToken"]; ?>" 
														data-param='{ "where" : <?php echo $id; ?> }'>
														<i class="fa fa-print"></i> Yazdır</button>
													</div>
												</div>
												<div class="row son-panel">
													<div class="col-xs-12">
														<div class="alert alert-success response" role="alert"></div>
													</div>
												</div>
											</div>
											<div class="col-xs-12 col-sm-5 resim-yukleme-paneli no-border">
												<div class="pos-rel">
													<span class="yeni-resim-yukleniyor rotate"><i class="fa fa-spinner"></i></span>
													<div class="resim-ozellikleri">
														<!--<span>max : 200x200</span>-->
														<span>jpg , png</span>
													</div>
													<img src="<?php echo $_resim; ?>" class="thumbnail img-responsive ortala" alt="<?php echo $bilgiler[0]["musteri_adi"]; ?>" data-guncellenecek-resim="true" />
													<?php if( $resimEkli && $yetki_musteri_resim_sil ): ?>
														<span class="ikon-resim-sil" data-toggle-iki="tooltip" title="Resmi Sil" data-param='{ "tur" : "musteri", "id" : <?php echo $id; ?>, "resim_adi" : "<?php echo $bilgiler[0]["musteri_profil_resmi"]; ?>" }'><i class="fa fa-times"></i></span>
													<?php endif; ?>
													<div class="resim-siliniyor">
														<span class="rotate"><i class="fa fa-spinner"></i></span>
													</div>
												</div>
												
												<?php if( $yetki_musteri_resim_ekle ): ?>
												<div class="resim-secme clear" style="margin-top:10px;">
													<span class="btn btn-default btn-sm dosya-sec in-block left col-xs-5"><i class="fa fa-floppy-o"></i> Resim Seç
														<input type="file" name="resim" accept=".jpg, .png" />
													</span>
													<span class="secilen-dosya left in-block col-xs-7 font-bold">
														
													</span>
												</div>
												<?php endif; ?>
												
												<div class="resim-yukleme-islemi">
													<div class="resim-load-bar">
														<div class="progress" style="margin:10px 0;">
														  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%">
															<span class="sr-only">0%</span>
														  </div>
														</div>
													</div>
													<div class="resim-yukleme-butonu">
														<input type="hidden" name="hangisi" value="musteri" />
														<input type="hidden" name="islem" value="duzenle" />
														<input type="hidden" name="resim_adi" value="<?php echo $bilgiler[0]["musteri_profil_resmi"]; ?>" />
														<input type="hidden" name="id" value="<?php echo $id; ?>" />
														<button type="submit" class="btn btn-primary btn-sm col-xs-5" data-form="<?php echo $form; ?>" data-resim-duzenle="true"><i class="fa fa-cloud-upload"></i> Yükle</button>
													</div>
												</div>
												
												<div class="sonuc-mesaj">
													<div class="alert alert-success response" role="alert"></div>
												</div>
												<div class="musteri-odeme-tablosu">
													<table class="table table-bordered">
														<tr>
															<th>Servis Sayısı</th>
															<td><a href="#" class="link-ata" 
															<?php echo $servisler ? 'data-listele="servis_fisleri"' : null; ?> 
															data-param='{ "where" : { "kolon" : ["m_id"], "tur" : ["tam"], "value" : [ "<?php echo $id; ?>" ] } }'><?php echo $servisler; ?> <i class="fa fa-external-link"></i></a></td>
														</tr>
														<tr>
															<th>Tahsilat Sayısı</th>
															<th>Tahsilat Tutarı</th>
														</tr>
														<tr>
															<td><a href="#" class="link-ata" 
															<?php echo ( $toplamTahsilat ) ? 'data-listele="tahsilatlar"' : null; ?> 
															data-param='{ "where" : { "kolon" : ["m_id","islem"], "tur" : ["tam","tam"], "value" : [ "<?php echo $id; ?>","gelir" ] } }'><?php echo $toplamTahsilat; ?> <i class="fa fa-external-link"></i></a></td>
															<td>
																<strong style="color: #008051;">
																	<?php echo sqlToPara($toplamTahsilatTutar); ?> <i class="fa fa-try"></i>
																<strong>
															</td>
														</tr>
														<tr>
															<th>Ödeme Sayısı</th>
															<th>Ödeme Tutarı</th>
														</tr>
														<tr>
															<td><a href="#" class="link-ata" 
															<?php echo ( $toplamOdeme ) ? 'data-listele="tahsilatlar"' : null; ?> 
															data-param='{ "where" : { "kolon" : ["m_id","islem"], "tur" : ["tam","tam"], "value" : [ "<?php echo $id; ?>","gider" ] } }'><?php echo $toplamOdeme; ?> <i class="fa fa-external-link"></i></a></td>
															<td>
																<strong style="color: #d90000;">
																	<?php echo "-".sqlToPara($toplamOdemeTutar); ?> <i class="fa fa-try"></i>
																<strong>
															</td>
														</tr>
														<tr>
															<th>Satış Toplam</th>
															<th>Alış Toplam</th>
														</tr>
														<tr>
															<td>
																<strong style="<?php echo ( $satisFaturaTutar >= 0 ) ? 'color: #00698c;' : 'color: #d90000;'; ?>">
																	<?php echo sqlToPara( $satisFaturaTutar ); ?> <i class="fa fa-try"></i>
																<strong>
															</td>
															<td>
																<strong style="<?php echo ( $alisFaturaTutar >= 0 ) ? 'color: #00698c;' : 'color: #d90000;'; ?>">
																	<?php echo sqlToPara( $alisFaturaTutar ); ?> <i class="fa fa-try"></i>
																<strong>
															</td>
														</tr>
														<tr>
															<th>Bakiye</th>
															<th>
																<strong style="<?php echo ( $bakiye >= 0 ) ? 'color: #00698c;' : 'color: #d90000;'; ?>">
																	<?php echo sqlToPara( $bakiye ); ?> <i class="fa fa-try"></i>
																<strong>
															</th>
														</tr>
													</table>
													
													<?php if( $yetki_tahsilat_ekle ): ?>
														<button type="button" class="btn btn-success btn-sm col-xs-12" data-modal-ac="tahsilat_ekleme" 
														data-param='{ "baslik" : "Gelir Gider Ekle", "param" : "<?php echo $id; ?>", "yenile" : true, 
														"args" : { "hangisi" : "musteri_duzenleme", "baslik" : "Cari Bilgileri" } }'>
														<i class="fa fa-try"></i> Gelir Gider Ekle</button>
													<?php endif; ?>
													
													<?php if( ( $bilgiler[0]["musteri_tel1"] || $bilgiler[0]["musteri_tel2"] ) && $yetki_sms_gonder ): ?>
														<button type="button" class="btn btn-warning btn-sm col-xs-12" data-modal-ac="sms_gonder" 
														data-param='{ "baslik" : "Sms Gönder", "param" : "<?php echo $id; ?>", "yenile" : true, 
														"args" : { "hangisi" : "musteri_duzenleme", "baslik" : "Cari Bilgileri" }}' 
														style="margin-top:10px;"><i class="fa fa-envelope"></i> Sms Gönder</button>
													<?php endif; ?>
													
													<?php if( $bilgiler[0]["musteri_email"] && $yetki_email_gonder ): ?>
														<button type="button" class="btn btn-primary btn-sm col-xs-12" data-modal-ac="email_gonder" 
														data-param='{ "baslik" : "Email Gönder", "param" : "<?php echo $id; ?>", "yenile" : true, 
														"args" : { "hangisi" : "musteri_duzenleme", "baslik" : "Cari Bilgileri" } }' 
														style="margin-top:10px;"><i class="fa fa-at"></i> Email Gönder
														</button>
													<?php endif; ?>
													
													<?php if( $yetki_cari_hareketleri ): ?>
														<button type="button" class="btn btn-danger btn-sm col-xs-12 no-kilit" data-listele="cari_hareketleri" 
														data-param='{ "where" : { "kolon" : ["m_id"], "tur" : ["tam"], "value" : [ "<?php echo $id; ?>" ] } }' 
														style="margin-top:10px;"><i class="fa fa-bars"></i> Cari Hareketleri
														</button>
													<?php endif; ?>
													
														<button type="button" class="btn btn-info btn-sm col-xs-12" data-modal-ac="veresiye_ekleme" 
														data-param='{ "baslik" : "Veresiye Ekle", "param" : "<?php echo $id; ?>", "yenile" : true, 
														"args" : { "hangisi" : "musteri_duzenleme", "baslik" : "Cari Bilgileri" } }' style="margin-top:10px;">
														<i class="fa fa-try"></i> Veresiye Ekle</button>
														
												</div>
												
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>