<?php

	session_start();
	
	if( basename( __FILE__ ) == basename( $_SERVER["PHP_SELF"] ) || !$_SESSION["login"] ){
		header("Content-type: text/html; charset=UTF-8");
		echo "Bu Sayfayı Görme Yetkiniz Yok";
		exit;
	}
	
?>

<div class="kullanilan-malzemeler garanti-kutu">
    <div class="ui checkbox">
        <input type="checkbox" name="malzeme" value="1" data-panel-check="#kullanilan-malzemeler-content" />
        <label>Stok Kullan</label>
    </div>

    <div class="kullanilan-malzemeler-content gizli" id="kullanilan-malzemeler-content">

        <div class="form-inline malzeme-sec clearfix">
            <div class="form-group malzemeler">
                <div class="form-group pos-rel input-data full-width" style="margin-bottom:0;">

                    <!--Hızlı stok-->
                    <select name="malzeme_adi" id="hizli-stok-liste" class="selectpicker form-control"
                        data-live-search="true">
                        <?php foreach( $malzemeler as $mal ): ?>
                        <option data-birim-fiyat="<?php echo sqlToPara( $mal["birim_fiyat"] ); ?>"
                            value="<?php echo $mal["yedek_parca_id"]; ?>">
                            <?php echo $mal["yedek_parca_adi"]; ?>
                        </option>
                        <?php endforeach; ?>
                    </select>

                    <?php if( yetki( "yedek_parca_ekle" ) ): ?>
                    <a href="#" class="btn btn-default btn-xs sec" data-hizli-ekleme-paneli="#hizli-stok-ekle"
                        style="position: absolute;right: 40px;top: 5px;z-index: 999;">
                        + Yeni Stok
                    </a>
                    <?php endif; ?>
                    <!--Hızlı stok-->

                </div>
            </div>

            <div class="input-group pos-rel input-data birim-fiyat">
                <input name="birim_fiyat" class="malzeme-fiyat-sabit" type="text"
                    value="<?php echo sqlToPara( $malzemeler[0]["birim_fiyat"] ); ?>" data-para-format="TR"
                    data-thousands="." data-decimal="," placeholder="0,00" />
            </div>

            <div class="form-group malzeme-adet">
                <input type="text" name="adet" class="form-control full-width center" maxlength="3"
                    data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" value="1" />
            </div>

            <button type="button" class="btn btn-success malzeme-ekle-btn no-shadow">Ekle</button>
        </div>

        <div id="eklenen-malzemeler">

        </div>

    </div>
</div>