<?php

	session_start();
	ob_start();
	
	if( !isset($_SESSION["root"]) || !$_SESSION["login"] ){
		die("Gecersiz Istek");
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/ListeParam.php";
	require $_SESSION["root"]."/plugin/phpexcel/PHPExcel.php";
	
	$_token = get("token");
	$hangisi = get("hangisi");
	$noToken = ( get("params")["noToken"] === "true" ) ? true : false;
	$objPHPExcel = new PHPExcel();
	
	if( $_SESSION["yazdirToken"] != $_token && !$noToken ){
		die("Gecersiz Token");
	}
	
	switch( $hangisi ){
		//Örnek servis fişleri excel dosyası indiriliyor
		case	"servis-fisleri-ornek-dosya-indir" :
		
			$dosyaAdi	=	"servis_fisleri_ornek_excel_dosyasi.xlsx";
			$path			=	$_SESSION["root"]."/uploads/dosyalar/".$dosyaAdi;
			if( !file_exists( $path ) ){
				echo "Dosya Bulunamadi!";
				exit;
			}
			
			//Çıktılama işlemi
			ob_end_clean();
			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			header('Content-Disposition: attachment;filename="'.$dosyaAdi.'"');
			header('Cache-Control: max-age=0');
			// If you're serving to IE 9, then the following may be needed
			header('Cache-Control: max-age=1');
			// If you're serving to IE over SSL, then the following may be needed
			header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
			header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
			header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
			header ('Pragma: public'); // HTTP/1.0
			readfile( $path );
			exit;
			
		break;
		
		//Örnek müşteri excel dosyası indiriliyor
		case	"musteriler-ornek-dosya-indir" :
		
			$dosyaAdi	=	"musteriler_ornek_excel_dosyasi.xlsx";
			$path			=	$_SESSION["root"]."/uploads/dosyalar/".$dosyaAdi;
			if( !file_exists( $path ) ){
				echo "Dosya Bulunamadi!";
				exit;
			}
			
			//Çıktılama işlemi
			ob_end_clean();
			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			header('Content-Disposition: attachment;filename="'.$dosyaAdi.'"');
			header('Cache-Control: max-age=0');
			// If you're serving to IE 9, then the following may be needed
			header('Cache-Control: max-age=1');
			// If you're serving to IE over SSL, then the following may be needed
			header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
			header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
			header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
			header ('Pragma: public'); // HTTP/1.0
			readfile( $path );
			exit;
			
		break;
		
		//Örnek stok excel dosyası indiriliyor
		case	"stok-ornek-dosya-indir" :
		
			$dosyaAdi	=	"stok_ornek_excel_dosyasi.xlsx";
			$path			=	$_SESSION["root"]."/uploads/dosyalar/".$dosyaAdi;
			if( !file_exists( $path ) ){
				echo "Dosya Bulunamadi!";
				exit;
			}
			
			//Çıktılama işlemi
			ob_end_clean();
			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			header('Content-Disposition: attachment;filename="'.$dosyaAdi.'"');
			header('Cache-Control: max-age=0');
			// If you're serving to IE 9, then the following may be needed
			header('Cache-Control: max-age=1');
			// If you're serving to IE over SSL, then the following may be needed
			header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
			header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
			header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
			header ('Pragma: public'); // HTTP/1.0
			readfile( $path );
			exit;
			
		break;
		
		case	"stok-disari-aktar"; // Stokları dışarı aktar-----------------------------------------------------------------------------------
			if( !count( $_POST ) ) die("Eksik Bilgi.");
			
			$bas							=	post("bas") ? post("bas") : 0;
			$adet						=	post("adet") ? post("adet") : 0;
			$limit						=	( $adet ) ? "LIMIT ".$bas.",".$adet : null;
			$aktar						=	post("aktar"); // Aktarılacak alanlar burada saklanıyor
			$aktarilacaklar	=	html_entity_decode( post("aktarilacaklar") );
			parse_str( $aktarilacaklar, $aktarilacaklar );
			$yazilacaklar		=	array_intersect( array_keys( $aktar ), array_keys( $aktarilacaklar ) );
			
			$aktarAlanlar		=	implode( ",", array_map( function( $item ){
														return $item;
													}, array_keys( $aktar ) ) );
													
			$aktarSql				=	"select ".$aktarAlanlar." from "._YEDEKPARCA." where yedek_parca_sil = 0 order by yedek_parca_id asc ".$limit;
			
			$_servis			=	new Servis();
			$musteriler	=	$_servis -> ozelSorgu( $aktarSql );
			
			if( $musteriler === false ) die("Hata Olustu!");
			if( !count( $musteriler ) ) die("Stok Bulunamadi!");
			
			$alfabe	=	range( "A", "Z" );
			
			//Dosya bilgileri giriliyor
			$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
											->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
											->	setTitle( "Stok Listesi" )
											->	setSubject( "Stok Listesi" )
											->	setDescription( "Stok Listesi" )
											->	setKeywords( "stok liste" )
											->	setCategory( "Stok Listesi" );
			
			foreach( $yazilacaklar as $yaz ){
				static $sira_baslik	=	0;
				$objPHPExcel	->	setActiveSheetIndex(0)
												->	setCellValue( $alfabe[ $sira_baslik ]."1", $aktarilacaklar[ $yaz ] );
				$sira_baslik++;
			}
			
			foreach( $musteriler as $mus ){
				static $sira_deger	=	0;
				
				foreach( $yazilacaklar as $yaz ){
					static $sira_alfabe	=	0;
					$ekle	=	$mus[ $yaz ];
					
					if( $yaz == "yedek_parca_kayit_tarihi" ){
						$ekle	=	date( "d/m/Y H:i", strtotime( $mus[ $yaz ] ) );
					}
					
					$objPHPExcel	->	setActiveSheetIndex(0)
													->	setCellValue( $alfabe[ $sira_alfabe ].( $sira_deger + 2 ), html_entity_decode( $ekle, ENT_COMPAT, "UTF-8" ) );
					$sira_alfabe++;
				}
				
				$sira_deger++;
				$sira_alfabe = 0;
			}
			
		//Adını değiştir
		$objPHPExcel -> getActiveSheet() -> setTitle('Stok Listesi');
		$objPHPExcel -> setActiveSheetIndex(0);
		
		$adetYaz	=	( $adet ) ? "_".$bas."_".( $bas + $adet ) : null;
		
		//Çıktılama işlemi
		ob_end_clean();
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="stoklar'.$adetYaz.'.xlsx"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');
		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0
		$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter	-> save('php://output');
		exit;
			
		break; // Stokları dışarı aktar--------------------------------------------------------------------------------------------------------
		

		case	"servis-fisleri-disari-aktar"; // Servis fişlerini dışarı aktar-----------------------------------------------------------------------------------
			if( !count( $_POST ) ) die("Eksik Bilgi.");
			
			$bas							=	post("bas") ? post("bas") : 0;
			$adet						=	post("adet") ? post("adet") : 0;
			$limit						=	( $adet ) ? "LIMIT ".$bas.",".$adet : null;
			$aktar						=	post("aktar"); // Aktarılacak alanlar burada saklanıyor
			
			$aktarAlanlar		=	implode( ",", array_map( function( $item ){
														return $item;
													}, array_keys( $aktar ) ) );
													
			unset( $aktarilacaklar );
			unset( $aktar );
			
			$aktarilacaklar	=	array();
			$aktar						=	array();
			
			$akYaz	=	str_replace( ".", "9", post( "aktarilacaklar" ) );
			parse_str( $akYaz, $akYaz );
			
			$akYaz2	=	post("aktar");
			
			foreach( $akYaz as $key => $v ){
				$item	=	$key;
				$item	=	explode( "9", $item );
				$aktarilacaklar[ $item[ 1 ] ] = $v;
			}
			
			foreach( $akYaz2 as $key => $v ){
				$item	=	$key;
				$item	=	explode( ".", $item );
				$aktar[ $item[ 1 ] ] = $v;
			}
													
			$yazilacaklar		=	array_intersect( array_keys( $aktar ), array_keys( $aktarilacaklar ) );
													
			// echo "<pre>";
			// print_r( $yazilacaklar );
			// echo "</pre>";
			// exit;
													
			$aktarSql				=	"select ".$aktarAlanlar." from "._SERVISFISLERI." 
													left join "._USERS." on "._SERVISFISLERI.".ekleyen_id = "._USERS.".user_id 
													left join "._MUSTERILER." on "._SERVISFISLERI.".musteri_id = "._MUSTERILER.".musteri_id 
													left join "._DURUMLAR." on "._DURUMLAR.".durum_id = "._SERVISFISLERI.".durum_id 
													left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
													left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
													where "._SERVISFISLERI.".fis_sil = 0 order by "._SERVISFISLERI.".servis_fis_id asc ".$limit;
			
			$_servis			=	new Servis();
			$musteriler	=	$_servis -> ozelSorgu( $aktarSql );
			
			if( $musteriler === false ) die("Hata Olustu!".$_servis -> getHata());
			if( !count( $musteriler ) ) die("Servis Fisi Bulunamadi!");
			
			$alfabe	=	range( "A", "Z" );
			
			//Dosya bilgileri giriliyor
			$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
											->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
											->	setTitle( "Servis Fişleri" )
											->	setSubject( "Servis Fişleri" )
											->	setDescription( "Servis Fişleri" )
											->	setKeywords( "servis fiş" )
											->	setCategory( "Servis Fişleri" );
			
			foreach( $yazilacaklar as $yaz ){
				static $sira_baslik	=	0;
				$objPHPExcel	->	setActiveSheetIndex(0)
												->	setCellValue( $alfabe[ $sira_baslik ]."1", $aktarilacaklar[ $yaz ] );
				$sira_baslik++;
			}
			
			foreach( $musteriler as $mus ){
				static $sira_deger	=	0;
				
				foreach( $yazilacaklar as $yaz ){
					static $sira_alfabe	=	0;
					$ekle	=	$mus[ $yaz ];
					
					if( $yaz == "servis_giris_tarihi" || $yaz == "servis_teslim_tarihi" ){
						if( strtotime( $mus[ $yaz ] ) ){
							$ekle	=	date( "d/m/Y H:i", strtotime( $mus[ $yaz ] ) );
						}
						else{
							$ekle	=	"";
						}
					}
					if( $yaz == "servis_garanti_durum" ){
						$ekle	=	( $mus[ $yaz ] ) ? "Var" : "Yok";
					}
					
					$objPHPExcel	->	setActiveSheetIndex(0)
													->	setCellValue( $alfabe[ $sira_alfabe ].( $sira_deger + 2 ), html_entity_decode( $ekle, ENT_COMPAT, "UTF-8" ) );
					$sira_alfabe++;
				}
				
				$sira_deger++;
				$sira_alfabe = 0;
			}
			
		//Adını değiştir
		$objPHPExcel -> getActiveSheet() -> setTitle('Servis Fişleri');
		$objPHPExcel -> setActiveSheetIndex(0);
		
		$adetYaz	=	( $adet ) ? "_".$bas."_".( $bas + $adet ) : null;
		
		//Çıktılama işlemi
		ob_end_clean();
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="servis_fisleri'.$adetYaz.'.xlsx"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');
		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0
		$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter	-> save('php://output');
		exit;
			
		break; // Servis fişlerini dışarı aktar--------------------------------------------------------------------------------------------------------
		
		case	"musteriler-disari-aktar"; // Müşterileri dışarı aktar-----------------------------------------------------------------------------------
			if( !count( $_POST ) ) die("Eksik Bilgi.");
			
			require $_SESSION["root"]."/inc/Iller.php";
			
			$_il	=	new Il();
			
			$bas							=	post("bas") ? post("bas") : 0;
			$adet						=	post("adet") ? post("adet") : 0;
			$limit						=	( $adet ) ? "LIMIT ".$bas.",".$adet : null;
			$aktar						=	post("aktar"); // Aktarılacak alanlar burada saklanıyor
			$aktarilacaklar	=	html_entity_decode( post("aktarilacaklar") );
			parse_str( $aktarilacaklar, $aktarilacaklar );
			$yazilacaklar		=	array_intersect( array_keys( $aktar ), array_keys( $aktarilacaklar ) );
			
			$aktarAlanlar		=	implode( ",", array_map( function( $item ){
														return $item;
													}, array_keys( $aktar ) ) );
													
			$aktarSql				=	"select ".$aktarAlanlar." from "._MUSTERILER." where musteri_sil = 0 order by musteri_id asc ".$limit;
			
			$_servis			=	new Servis();
			$musteriler	=	$_servis -> ozelSorgu( $aktarSql );
			
			if( $musteriler === false ) die("Hata Olustu!");
			if( !count( $musteriler ) ) die("Musteri Bulunamadi!");
			
			$alfabe	=	range( "A", "Z" );
			
			//Dosya bilgileri giriliyor
			$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
											->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
											->	setTitle( "Cari Hesaplar" )
											->	setSubject( "Cari Hesaplar" )
											->	setDescription( "Cari Hesaplar" )
											->	setKeywords( "cari hesap" )
											->	setCategory( "Cari Hesaplar" );
			
			foreach( $yazilacaklar as $yaz ){
				static $sira_baslik	=	0;
				$objPHPExcel	->	setActiveSheetIndex(0)
												->	setCellValue( $alfabe[ $sira_baslik ]."1", $aktarilacaklar[ $yaz ] );
				$sira_baslik++;
			}
			
			foreach( $musteriler as $mus ){
				static $sira_deger	=	0;
				
				foreach( $yazilacaklar as $yaz ){
					static $sira_alfabe	=	0;
					$ekle	=	$mus[ $yaz ];
					
					if( $yaz == "il" ){
						$ekle	=	$_il -> ilTek( $mus[ $yaz ] );
					}
					if( $yaz == "musteri_kayit_tarihi" ){
						$ekle	=	date( "d/m/Y H:i", strtotime( $mus[ $yaz ] ) );
					}
					if( $yaz == "musteri_tel1" || $yaz == "musteri_tel2" || $yaz == "musteri_faks" ){
						$ekle	=	filter_var( $mus[ $yaz ], FILTER_SANITIZE_NUMBER_INT );
					}
					
					$objPHPExcel	->	setActiveSheetIndex(0)
													->	setCellValue( $alfabe[ $sira_alfabe ].( $sira_deger + 2 ), html_entity_decode( $ekle, ENT_COMPAT, "UTF-8" ) );
					$sira_alfabe++;
				}
				
				$sira_deger++;
				$sira_alfabe = 0;
			}
			
		//Adını değiştir
		$objPHPExcel -> getActiveSheet() -> setTitle('Cari Hesaplar');
		$objPHPExcel -> setActiveSheetIndex(0);
		
		$adetYaz	=	( $adet ) ? "_".$bas."_".( $bas + $adet ) : null;
		
		//Çıktılama işlemi
		ob_end_clean();
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="musteriler'.$adetYaz.'.xlsx"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');
		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0
		$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter	-> save('php://output');
		exit;
			
		break; // Müşterileri dışarı aktar--------------------------------------------------------------------------------------------------------
		
		case	"servis_fisleri"	: //Servis Fişleri---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/ServisFisi.php";
			
			$basliklar = array(
				"hucreler" =>  array(
					"tarih" => "servis_giris_tarihi",
					"t_tarih" => "servis_teslim_tarihi",
					"fis_no" => "servis_fis_no",
					"fis_id" => _SERVISFISLERI.".servis_fis_id",
					"sikayet" => "sikayet",
					"u_id" => _SERVISFISLERI.".ekleyen_id",
					"m_id" => _SERVISFISLERI.".musteri_id",
					"m_adi" => "musteri_adi",
					"cihaz" => _SERVISFISLERI.".cihaz_id",
					"durum" => _SERVISFISLERI.".durum_id",
					"marka" => _SERVISFISLERI.".marka_id",
					"model" => "servis_model_no",
					"garanti" => _SERVISFISLERI.".servis_garanti_durum",
					"musteri_tablo" => _MUSTERILER
				),
				"siralama" => array(
					"desc" => "desc",
					"asc" => "asc"
				),
				"_paramYoksa" => "servis_giris_tarihi",
				"_tablo" => _SERVISFISLERI
			);
			
			$listeParam		=	new ListeParam($_GET,$basliklar);
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_SERVISFISLERI.".servis_fis_no",
				_SERVISFISLERI.".sikayet",
				_SERVISFISLERI.".servis_giris_tarihi",
				_SERVISFISLERI.".servis_teslim_tarihi",
				_SERVISFISLERI.".servis_garanti_durum",
				_SERVISFISLERI.".garanti_baslangic",
				_SERVISFISLERI.".garanti_bitis",
				_SERVISFISLERI.".servis_aciklama",
				_SERVISFISLERI.".birlikte_gelenler",
				_SERVISFISLERI.".servis_seri_no",
				_SERVISFISLERI.".servis_model_no",
				_MUSTERILER.".musteri_adi",
				_CIHAZLAR.".cihaz_baslik",
				_DURUMLAR.".durum_baslik",
				_MARKALAR.".marka_baslik"
			);
		
		$fisler				=	new ServisFisi();
		$_tablo			=	$fisler -> getServisFisleri($sayfa,$param,$paramValue,$secilecek_alanlar);
		
		if( $_tablo === false ){
			die( $fisler -> getHata() );
		}
		//Dosya bilgileri giriliyor
		$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setTitle( "Servis Fişleri" )
										->	setSubject( "Servis Fişleri" )
										->	setDescription( "Servis Fişleri" )
										->	setKeywords( "servis fiş" )
										->	setCategory( "Servis Fişleri" );
		//Başlıklar ekleniyor		
		$objPHPExcel	->	setActiveSheetIndex(0)
										->	setCellValue('A1', 'Fiş No')
										->	setCellValue('B1', 'Cari Adı')
										->	setCellValue('C1', 'Arıza')
										->	setCellValue('D1', 'Cihaz')
										->	setCellValue('E1', 'Marka')
										->	setCellValue('F1', 'Seri No')
										->	setCellValue('G1', 'Model No')
										->	setCellValue('H1', 'Durum')
										->	setCellValue('I1', 'Garanti')
										->	setCellValue('J1', 'Garanti Başlangıç')
										->	setCellValue('K1', 'Garanti Bitiş')
										->	setCellValue('L1', 'Birlikte Gelenler')
										->	setCellValue('M1', 'Açıklama')
										->	setCellValue('N1', 'Kayıt Tarihi');
										
		foreach( $_tablo as $fis ){
			static $sira	=	2;
			//Değerler ekleniyor		
			$objPHPExcel	->	setActiveSheetIndex(0)
											->	setCellValue('A'.$sira, $fis["servis_fis_no"] )
											->	setCellValue('B'.$sira, $fis["musteri_adi"] )
											->	setCellValue('C'.$sira, $fis["sikayet"] )
											->	setCellValue('D'.$sira, $fis["cihaz_baslik"] )
											->	setCellValue('E'.$sira, $fis["marka_baslik"] )
											->	setCellValue('F'.$sira, $fis["servis_seri_no"] )
											->	setCellValue('G'.$sira, $fis["servis_model_no"] )
											->	setCellValue('H'.$sira, $fis["durum_baslik"] )
											->	setCellValue('I'.$sira, ( $fis["servis_garanti_durum"] ? "Var" : "Yok" ) )
											->	setCellValue('J'.$sira, ( $fis["servis_garanti_durum"] ? date( "d/m/Y", strtotime( $fis["garanti_baslangic"] ) ) : null ) )
											->	setCellValue('K'.$sira, ( $fis["servis_garanti_durum"] ? date( "d/m/Y", strtotime( $fis["garanti_bitis"] ) ) : null ) )
											->	setCellValue('L'.$sira, $fis["birlikte_gelenler"] )
											->	setCellValue('M'.$sira, $fis["servis_aciklama"] )
											->	setCellValue('N'.$sira, date( "d/m/Y H:i", strtotime( $fis["servis_giris_tarihi"] ) ) );
			$sira++;
		}
		
		//Adını değiştir
		$objPHPExcel -> getActiveSheet() -> setTitle('Servis Fişleri');
		$objPHPExcel -> setActiveSheetIndex(0);
		
		//Çıktılama işlemi
		ob_end_clean();
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="servis_fisleri_'.( count( $_tablo ) ).'.xlsx"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');
		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0
		$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter	-> save('php://output');
		exit;
			
		break; //Servis Fişleri---------------------------------------------------------------------------------------------------
		
		case "musteriler"	: //Müşteriler---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/Musteri.php";
			require $_SESSION["root"]."/inc/Iller.php";
			
			$basliklar = array(
				"hucreler" =>  array(
					"m_id" => "musteri_id",
					"m_adi" => "musteri_adi",
					"m_kodu" => "musteri_kodu",
					"m_tel" => "musteri_tel1",
					"m_il" => "il",
					"i_s" => "ilce_semt",
					"bk" => "bakiye"
				),
				"siralama" => array(
					"desc" => "desc",
					"asc" => "asc"
				),
				"_paramYoksa" => "musteri_id",
				"_tablo" => _MUSTERILER
			);
			
			$listeParam		=	new ListeParam($_GET,$basliklar);
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_MUSTERILER.".musteri_adi",
				_MUSTERILER.".musteri_kodu",
				_MUSTERILER.".bakiye",
				_MUSTERILER.".musteri_email",
				_MUSTERILER.".musteri_tel1",
				_MUSTERILER.".musteri_tel2",
				_MUSTERILER.".musteri_faks",
				_MUSTERILER.".musteri_adres",
				_MUSTERILER.".musteri_vergi_no",
				_MUSTERILER.".musteri_vergi_dairesi",
				_MUSTERILER.".ilce_semt",
				_MUSTERILER.".il"
			);
			
		$il				=	new Il();
		$musteri	=	new Musteri();
		$_tablo	=	$musteri -> getMusteriler($sayfa,$param,$paramValue,$secilecek_alanlar);
		
		if( $_tablo === false ){
			die( $musteri -> getHata() );
		}
		//Dosya bilgileri giriliyor
		$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setTitle( "Cari Hesaplar" )
										->	setSubject( "Cari Hesaplar" )
										->	setDescription( "Cari Hesaplar" )
										->	setKeywords( "cari hesap profil" )
										->	setCategory( "Cari Hesaplar" );
		//Başlıklar ekleniyor		
		$objPHPExcel	->	setActiveSheetIndex(0)
										->	setCellValue('A1', 'Cari Adı')
										->	setCellValue('B1', 'Hesap Kodu')
										->	setCellValue('C1', 'Telefon1')
										->	setCellValue('D1', 'Telefon2')
										->	setCellValue('E1', 'Faks')
										->	setCellValue('F1', 'E-Posta')
										->	setCellValue('G1', 'Adres')
										->	setCellValue('H1', 'İl')
										->	setCellValue('I1', 'İlçe / Semt')
										->	setCellValue('J1', 'Vergi / Tc No')
										->	setCellValue('K1', 'Vergi Dairesi')
										->	setCellValue('L1', 'Bakiye');
										
		foreach( $_tablo as $fis ){
			static $sira	=	2;
			//Değerler ekleniyor		
			$objPHPExcel	->	setActiveSheetIndex(0)
											->	setCellValue('A'.$sira, $fis["musteri_adi"] )
											->	setCellValue('B'.$sira, $fis["musteri_kodu"] )
											->	setCellValue('C'.$sira, $fis["musteri_tel1"] )
											->	setCellValue('D'.$sira, $fis["musteri_tel2"] )
											->	setCellValue('E'.$sira, $fis["musteri_faks"] )
											->	setCellValue('F'.$sira, $fis["musteri_email"] )
											->	setCellValue('G'.$sira, $fis["musteri_adres"] )
											->	setCellValue('H'.$sira, $il -> ilTek( $fis["il"] ) )
											->	setCellValue('I'.$sira, $fis["ilce_semt"] )
											->	setCellValue('J'.$sira, $fis["musteri_vergi_no"] )
											->	setCellValue('K'.$sira, $fis["musteri_vergi_dairesi"] )
											->	setCellValue('L'.$sira, $fis["bakiye"] );
			$sira++;
		}
		
		//Adını değiştir
		$objPHPExcel -> getActiveSheet() -> setTitle('Cari Hesaplar');
		$objPHPExcel -> setActiveSheetIndex(0);
		
		//Çıktılama işlemi
		ob_end_clean();
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="musteriler_'.( count( $_tablo ) ).'.xlsx"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');
		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0
		$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter	-> save('php://output');
		exit;

		//Cari hareket------------------------------------------------------------------------------------
		case "cari_hareket":

			$params = $_GET["params"]["where"];

			$bas = $params["bas"];
			$bitis = $params["bitis"];
			$tur = $params["tur"];

			$_servis = new Servis();
	
			$select = array(
				"gelir" => "Tahsilatlar",
				"gider" => "Ödemeler",
				"alis" => "Alış Faturaları",
				"satis" => "Satış Faturaları",
				"fis" => "Servis Fişleri"
			);
	
			$fisSql = ' and false ';
			$tahsilatSql = ' and false ';
			$faturaSql = ' and false ';
			
			if( $tur == "gelir" || $tur == "gider" )
			{
				$tahsilatSql	=	' and '._TAHSILAT.'.islem = \''.$tur.'\' ';
			}
			else if( $tur == "alis" || $tur == "satis" )
			{
				$faturaSql	=	' and '._FATURALAR.'.fatura_tur = \''.$tur.'\' ';
			}
			else if( $tur == "fis" )
			{
				$fisSql	=	null;
			}
			else{
				$fisSql	=	$faturaSql	=	$tahsilatSql	=	null;
			}
			
			$whereTarih1	=	( $bas && $bitis ) ? ' and ( '._SERVISFISLERI.'.servis_giris_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$fisSql : $fisSql;
			$whereTarih2	=	( $bas && $bitis ) ? ' and ( '._TAHSILAT.'.tahsilat_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$tahsilatSql : $tahsilatSql;
			$whereTarih3	=	( $bas && $bitis ) ? ' and ( '._FATURALAR.'.fatura_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$faturaSql : $faturaSql;
																							
			$sFisler	=	array(
				_SERVISFISLERI.".servis_fis_id as ID",
				_SERVISFISLERI.".servis_giris_tarihi as Tarih",
				_SERVISFISLERI.".servis_fis_no as No",
				" NULL as Tutar ",
				" NULL as Odeme ",
				" 'servis_fis' as Tur ",
				_MUSTERILER.".musteri_adi as cari_adi"
			);
			
			$tahs		=	array(
				_TAHSILAT.".tahsilat_id as ID",
				_TAHSILAT.".tahsilat_tarihi as Tarih",
				_TAHSILAT.".islem as No",
				_TAHSILAT.".tahsilat_fiyat as Tutar",
				_TAHSILAT.".odeme_tur as Odeme",
				" 'tahsilat' as Tur ",
				_MUSTERILER.".musteri_adi as cari_adi"
			);
			
			$fat			=	array(
				_FATURALAR.".fatura_id as ID",
				_FATURALAR.".fatura_tarihi as Tarih",
				_FATURALAR.".fatura_seri_no as No",
				_FATURALAR.".fatura_toplam_tutar as Tutar",
				_FATURALAR.".fatura_tur as Odeme",
				" 'fatura' as Tur ",
				_MUSTERILER.".musteri_adi as cari_adi"
			);
																					
			$_tablo	=	$_servis -> ozelSorgu( "( select ".implode( ",", $sFisler )." from "._SERVISFISLERI." 
												inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
												where "._SERVISFISLERI.".fis_sil = 0 ".$whereTarih1." ) 
												UNION ALL 
												( select ".implode( ",", $tahs )." from "._TAHSILAT." 
												inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._TAHSILAT.".musteri_id 
												where "._TAHSILAT.".tahsilat_sil = 0 ".$whereTarih2." ) 
												UNION ALL 
												( select ".implode( ",", $fat )." from "._FATURALAR." 
												inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._FATURALAR.".musteri_id 
												where "._FATURALAR.".fatura_sil = 0 ".$whereTarih3." ) 
												order by Tarih desc" );
																					
			$islem_tur = array(
				"servis_fis" => "Servis Fişi",
				"tahsilat" => array(
					"gelir" => "Tahsilat",
					"gider" => "Ödeme"
				),
				"fatura" => array(
					"alis" => "Alış Faturası",
					"satis" => "Satış Faturası"
				)
			);

			if( $_servis === false ){
				die( $_servis -> getHata() );
			}

			//Dosya bilgileri giriliyor
					$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
					->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
					->	setTitle( "Cari Hareketleri" )
					->	setSubject( "Cari Hareketleri" )
					->	setDescription( "Cari Hareketleri" )
					->	setKeywords( "cari hareket" )
					->	setCategory( "Cari Hareketleri" );
			//Başlıklar ekleniyor		
			$objPHPExcel	->	setActiveSheetIndex(0)
					->	setCellValue('A1', 'ID')
					->	setCellValue('B1', 'Cari Hesap')
					->	setCellValue('C1', 'İşlem Türü')
					->	setCellValue('D1', 'Tarih')
					->	setCellValue('E1', 'İşlem No')
					->	setCellValue('F1', 'Tutar');

			foreach( $_tablo as $hrk ){
				static $sira = 2;
				static $toplam = 0.00;
				$tutar = 0.00;
				
				$_tur = $islem_tur[ $hrk["Tur"] ];

				if( $hrk["Tur"] == "fatura" )
				{
					$_tur = $islem_tur[ $hrk["Tur"] ][ $hrk["Odeme"] ];
					
					if( $hrk["Odeme"] == "alis" )
					{
						$tutar = -floatval( $hrk["Tutar"] );
					}
					else if( $hrk["Odeme"] == "satis" )
					{
						$tutar = floatval( $hrk["Tutar"] );
					}
				}
				elseif( $hrk["Tur"] == "tahsilat" )
				{
					$_tur = $islem_tur[ $hrk["Tur"] ][ $hrk["No"] ];
					
					if( $hrk["No"] == "gelir" )
					{
						$tutar = floatval( $hrk["Tutar"] );
					}
					elseif( $hrk["No"] == "gider" )
					{
						$tutar = -floatval( $hrk["Tutar"] );
					}
				}
				
				$toplam	+=	$tutar;

				//Değerler ekleniyor		
				$objPHPExcel	->	setActiveSheetIndex(0)
							->	setCellValue('A'.$sira, $hrk["ID"] )
							->	setCellValue('B'.$sira, $hrk["cari_adi"] )
							->	setCellValue('C'.$sira, $_tur )
							->	setCellValue('D'.$sira, date( "d.m.Y", strtotime( $hrk["Tarih"] ) ) )
							->	setCellValue('E'.$sira, ( ( $hrk["Tur"] != "tahsilat" ) ? $hrk["No"] : "" ) )
							->	setCellValue('F'.$sira, sqlToPara( $tutar ) );
				$sira++;
			}

			//Adını değiştir
			$objPHPExcel -> getActiveSheet() -> setTitle('Cari Hareketleri');
			$objPHPExcel -> setActiveSheetIndex(0);

			//Çıktılama işlemi
			ob_end_clean();
			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
			header('Content-Disposition: attachment;filename="cari_hareket_'.( count( $_tablo ) ).'.xlsx"');
			header('Cache-Control: max-age=0');
			// If you're serving to IE 9, then the following may be needed
			header('Cache-Control: max-age=1');
			// If you're serving to IE over SSL, then the following may be needed
			header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
			header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
			header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
			header ('Pragma: public'); // HTTP/1.0
			$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
			$objWriter	-> save('php://output');
			exit;

		break;
		//Cari hareket------------------------------------------------------------------------------------
		
		break; //Müşteriler---------------------------------------------------------------------------------------------------
		
		case "yedek_parcalar"	: //Yedek Parçalar---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/YedekParca.php";
			
			$basliklar = array(
				"hucreler"	=>	array(
					"y_id"				=>	"yedek_parca_id",
					"y_adi"				=>	"yedek_parca_adi",
					"y_stok"			=>	"stok",
					"y_birim"			=>	"birim_fiyat",
					"y_alis"				=>	"alis_fiyat",
					"y_barkod"	=>	"barkod",
					"y_raf_no"	=>	"raf_no",
					"stok"				=>	"stok",
					"s_kod"				=>	"stok_kodu"
				),
				"siralama"	=>	array(
					"desc"	=>	"desc",
					"asc"		=>	"asc"
				),
				"_paramYoksa"	=>	"yedek_parca_id",
				"_tablo"					=>	_YEDEKPARCA
			);
			
			$listeParam		=	new ListeParam($_GET,$basliklar);
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_YEDEKPARCA.".yedek_parca_adi",
				_YEDEKPARCA.".birim_fiyat",
				_YEDEKPARCA.".alis_fiyat",
				_YEDEKPARCA.".kdv",
				_YEDEKPARCA.".barkod",
				_YEDEKPARCA.".raf_no",
				_YEDEKPARCA.".stok",
				_YEDEKPARCA.".stok_kodu",
				_YEDEKPARCA.".stok_foto",
				_YEDEKPARCA.".yedek_parca_kayit_tarihi"
			);
			
		$yedekParca	=	new YedekParca();
		$_tablo				=	$yedekParca -> getYedekParcalar( $sayfa, $param, $paramValue, $secilecek_alanlar );
		
		if( $_tablo === false ){
			die( $yedekParca -> getHata() );
		}
		//Dosya bilgileri giriliyor
		$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setTitle( "Stok Listesi" )
										->	setSubject( "Stok Listesi" )
										->	setDescription( "Stok Listesi" )
										->	setKeywords( "stok liste yedek parça" )
										->	setCategory( "Stok Listesi" );
		//Başlıklar ekleniyor		
		$objPHPExcel	->	setActiveSheetIndex(0)
										->	setCellValue('A1', 'Stok Adı')
										->	setCellValue('B1', 'Barkod')
										->	setCellValue('C1', 'Satış Fiyatı')
										->	setCellValue('D1', 'Alış Fiyatı')
										->	setCellValue('E1', 'Kdv %')
										->	setCellValue('F1', 'Stok Miktarı')
										->	setCellValue('G1', 'Açılış tarihi')
										->	setCellValue('H1', 'Stok Kodu');
										
		foreach( $_tablo as $fis ){
			static $sira	=	2;
			//Değerler ekleniyor		
			$objPHPExcel	->	setActiveSheetIndex(0)
											->	setCellValue('A'.$sira, $fis["yedek_parca_adi"] )
											->	setCellValue('B'.$sira, $fis["barkod"] )
											->	setCellValue('C'.$sira, sqlToPara( $fis["birim_fiyat"] ) )
											->	setCellValue('D'.$sira, sqlToPara( $fis["alis_fiyat"] ) )
											->	setCellValue('E'.$sira, $fis["kdv"] )
											->	setCellValue('F'.$sira, $fis["stok"] )
											->	setCellValue('G'.$sira, date( "d.m.Y H:i" , strtotime( $fis["yedek_parca_kayit_tarihi"] ) ) )
											->	setCellValue('H'.$sira, $fis["stok_kodu"] );
			$sira++;
		}
		
		//Adını değiştir
		$objPHPExcel -> getActiveSheet() -> setTitle('Stok Listesi');
		$objPHPExcel -> setActiveSheetIndex(0);
		
		//Çıktılama işlemi
		ob_end_clean();
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="stoklar_'.( count( $_tablo ) ).'.xlsx"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');
		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0
		$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter	-> save('php://output');
		exit;
		
		break; //Yedek Parçalar---------------------------------------------------------------------------------------------------
		
		case "tahsilatlar"	: //Tahsilatlar---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/Tahsilat.php";
			
			$basliklar	=	array(
				"hucreler"	=>	array(
					"t_no"		=>	"tahsilat_id",
					"t_tutar"	=>	"tahsilat_fiyat",
					"t_tarih"	=>	"tahsilat_tarihi",
					"fis_no"	=>	"servis_fis_no",
					"islem"		=>	"islem",
					"m_adi"	=>	"musteri_adi",
					"m_id"		=>	_TAHSILAT.".musteri_id",
					"e_id"		=>	_TAHSILAT.".ekleyen_id",
					"musteri_tablo"	=>	_MUSTERILER
				),
				"siralama"	=>	array(
					"desc"	=>	"desc",
					"asc"		=>	"asc"
				),
				"_paramYoksa"	=>	"tahsilat_tarihi",
				"_tablo"	=>	_TAHSILAT
			);
			
			$listeParam		=	new ListeParam($_GET,$basliklar);
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_TAHSILAT.".*",
				_MUSTERILER.".musteri_adi",
				_USERS.".user_ad",
				_USERS.".user_soyad"
			);
			
		$_tahsilat	=	new Tahsilat();
		$_tablo		=	$_tahsilat -> getTahsilatlar($sayfa,$param,$paramValue,$secilecek_alanlar);
		
		if( $_tablo === false ){
			die( $_tahsilat-> getHata() );
		}
		//Dosya bilgileri giriliyor
		$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setTitle( "Kasa İşlemleri" )
										->	setSubject( "Kasa İşlemleri" )
										->	setDescription( "Kasa İşlemleri" )
										->	setKeywords( "kasa işlem tahsilat ödeme" )
										->	setCategory( "Kasa İşlemleri" );
		//Başlıklar ekleniyor		
		$objPHPExcel	->	setActiveSheetIndex(0)
										->	setCellValue('A1', 'No')
										->	setCellValue('B1', 'Cari Adı')
										->	setCellValue('C1', 'İşlem Türü')
										->	setCellValue('D1', 'Tutar')
										->	setCellValue('E1', 'Tahsilat Türü')
										->	setCellValue('F1', 'Servis Fiş No')
										->	setCellValue('G1', 'Personel')
										->	setCellValue('H1', 'Tarih');
										
		$_tur	=	array(
			"gelir"	=>	"Tahsilat",
			"gider"	=>	"Ödeme"
		);
										
		foreach( $_tablo as $fis ){
			static $sira	=	2;
			//Değerler ekleniyor		
			$objPHPExcel	->	setActiveSheetIndex(0)
											->	setCellValue('A'.$sira, $fis["tahsilat_id"] )
											->	setCellValue('B'.$sira, $fis["musteri_adi"] )
											->	setCellValue('C'.$sira, $_tur[ $fis["islem"] ] )
											->	setCellValue('D'.$sira, ( ( $fis["islem"] == "gider" ) ? "-" : null ).sqlToPara( $fis["tahsilat_fiyat"] ) )
											->	setCellValue('E'.$sira, ( ( $fis["tahsilat_tur"] == 1 ) ? "Serbest Tahsilat" : "Servis Tahsilatı" ) )
											->	setCellValue('F'.$sira, ( $fis["servis_fis_no"] ? $fis["servis_fis_no"] : null ) )
											->	setCellValue('G'.$sira, $fis["user_ad"]." ".$fis["user_soyad"] )
											->	setCellValue('H'.$sira, date( "d/m/Y", strtotime( $fis["tahsilat_tarihi"] ) ) );
			$sira++;
		}
		
		//Adını değiştir
		$objPHPExcel -> getActiveSheet() -> setTitle('Kasa İşlemleri');
		$objPHPExcel -> setActiveSheetIndex(0);
		
		//Çıktılama işlemi
		ob_end_clean();
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="kasa_islemleri_'.( count( $_tablo ) ).'.xlsx"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');
		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0
		$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter	-> save('php://output');
		exit;
		
		break; //Tahsilatlar---------------------------------------------------------------------------------------------------
		
		case "veresiye"	: //Veresiye---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/Veresiye.php";
			
			$basliklar	=	array(
				"hucreler"	=>	array(
					"v_id"		=>	"veresiye_id",
					"v_tutar"=>	"tutar",
					"v_tarih"	=>	"vade_tarihi",
					"t_tarih"	=>	"tahsil_tarihi",
					"ths"			=>	"tahsil",
					"m_adi"	=>	"musteri_adi",
					"m_id"		=>	_VERESIYE.".cari_id",
					"musteri_tablo"	=>	_MUSTERILER
				),
				"siralama"	=>	array(
					"desc"	=>	"desc",
					"asc"		=>	"asc"
				),
				"_paramYoksa"	=>	"veresiye_id",
				"_tablo"	=>	_VERESIYE
			);
			
			$listeParam		=	new ListeParam($_GET,$basliklar);
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_VERESIYE.".*",
				_MUSTERILER.".musteri_adi",
				_MUSTERILER.".musteri_sil"
			);
			
		$_tahsilat	=	new Veresiye();
		$_tablo		=	$_tahsilat -> getVeresiye( $sayfa,$param,$paramValue,$secilecek_alanlar );
		
		if( $_tablo === false ){
			die( $_tahsilat-> getHata() );
		}
		//Dosya bilgileri giriliyor
		$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setTitle( "Veresiye Defteri" )
										->	setSubject( "Veresiye Defteri" )
										->	setDescription( "Veresiye Defteri" )
										->	setKeywords( "veresiye defter" )
										->	setCategory( "Veresiye Defteri" );
		//Başlıklar ekleniyor		
		$objPHPExcel	->	setActiveSheetIndex(0)
										->	setCellValue('A1', 'Cari Hesap')
										->	setCellValue('B1', 'Tutar')
										->	setCellValue('C1', 'Tahsilat')
										->	setCellValue('D1', 'Vade Tarihi')
										->	setCellValue('E1', 'Tahsil Tarihi')
										->	setCellValue('F1', 'Ödeme Türü');
										
		$odeme_tur		=	array( "", "Nakit", "Kredi Kartı", "Çek" );
										
		foreach( $_tablo as $fis ){
			static $sira	=	2;
			
			$tahsil	=	$fis["tahsil"];
			
			//Değerler ekleniyor		
			$objPHPExcel	->	setActiveSheetIndex(0)
											->	setCellValue('A'.$sira, $fis["musteri_adi"] )
											->	setCellValue('B'.$sira, sqlToPara( $fis["tutar"] ) )
											->	setCellValue('C'.$sira, ( $tahsil ) ? "Evet" : "Hayır" )
											->	setCellValue('D'.$sira, ( strtotime( $fis["vade_tarihi"] ) > 0 ) ? date( "d.m.Y", strtotime( $fis["vade_tarihi"] ) ) : null  )
											->	setCellValue('E'.$sira, ( $tahsil && strtotime( $fis["tahsil_tarihi"] ) > 0 ) ? date( "d.m.Y", strtotime( $fis["tahsil_tarihi"] ) ) : null  )
											->	setCellValue('F'.$sira, ( $tahsil ? $odeme_tur[ $fis["odeme_tur"] ] : null ) );
			$sira++;
		}
		
		//Adını değiştir
		$objPHPExcel -> getActiveSheet() -> setTitle('Veresiye Defteri');
		$objPHPExcel -> setActiveSheetIndex(0);
		
		//Çıktılama işlemi
		ob_end_clean();
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="veresiye_defteri_'.( count( $_tablo ) ).'.xlsx"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');
		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0
		$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter	-> save('php://output');
		exit;
		
		break; //Veresiye---------------------------------------------------------------------------------------------------
		
		case "gg_fisler"	: //Gelir Gider Fişleri---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/GGFis.php";
			
			$basliklar	=	array(
				"hucreler"	=>	array(
					"f_id"		=>	"gg_fis_id",
					"f_tutar"	=>	"tutar",
					"f_tarih"	=>	"gg_fis_tarihi",
					"k_id"		=>	_GGFISLER.".kart_id",
					"islem"		=>	"islem",
					"e_id"		=>	_GGFISLER.".ekleyen_id"
				),
				"siralama"	=>	array(
					"desc"	=>	"desc",
					"asc"		=>	"asc"
				),
				"_paramYoksa"	=>	"gg_fis_id",
				"_tablo"	=>	_GGFISLER
			);
			
			$listeParam		=	new ListeParam($_GET,$basliklar);
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_GGFISLER.".*",
				_GEGKART.".kart_ismi",
				_USERS.".user_ad",
				_USERS.".user_soyad"
			);
			
		$_tahsilat	=	new GGFis();
		$_tablo		=	$_tahsilat -> getGGFisler( $sayfa,$param,$paramValue,$secilecek_alanlar );
		
		if( $_tablo === false ){
			die( $_tahsilat-> getHata() );
		}
		//Dosya bilgileri giriliyor
		$objPHPExcel	->	getProperties()	->	setCreator( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setLastModifiedBy( $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"] )
										->	setTitle( "Gelir Gider Fişleri" )
										->	setSubject( "Gelir Gider Fişleri" )
										->	setDescription( "Gelir Gider Fişleri" )
										->	setKeywords( "gelir gider fiş" )
										->	setCategory( "Gelir Gider Fişleri" );
		//Başlıklar ekleniyor		
		$objPHPExcel	->	setActiveSheetIndex(0)
										->	setCellValue('A1', 'Fiş No')
										->	setCellValue('B1', 'Kart')
										->	setCellValue('C1', 'İşlem Türü')
										->	setCellValue('D1', 'Ödeme Türü')
										->	setCellValue('E1', 'Tutar')
										->	setCellValue('F1', 'Ekleyen')
										->	setCellValue('G1', 'Tarih');
										
		$_tur	=	array(
			"gelir"	=>	"Gelir Fişi",
			"gider"	=>	"Gider Fişi"
		);
		
		$_odeme_tur	=	array( "", "Nakit", "Kredi Kartı", "Çek" );
										
		foreach( $_tablo as $fis ){
			static $sira	=	2;
			//Değerler ekleniyor		
			$objPHPExcel	->	setActiveSheetIndex(0)
											->	setCellValue('A'.$sira, $fis["gg_fis_id"] )
											->	setCellValue('B'.$sira, $fis["kart_ismi"] )
											->	setCellValue('C'.$sira, $_tur[ $fis["islem"] ] )
											->	setCellValue('D'.$sira, $_odeme_tur[ $fis["odeme_tur"] ] )
											->	setCellValue('E'.$sira, ( ( $fis["islem"] == "gider" ) ? "-" : null ).sqlToPara( $fis["tutar"] ) )
											->	setCellValue('F'.$sira, $fis["user_ad"]." ".$fis["user_soyad"] )
											->	setCellValue('G'.$sira, date( "d/m/Y", strtotime( $fis["gg_fis_tarihi"] ) ) );
			$sira++;
		}
		
		//Adını değiştir
		$objPHPExcel -> getActiveSheet() -> setTitle('Gelir Gider Fişleri');
		$objPHPExcel -> setActiveSheetIndex(0);
		
		//Çıktılama işlemi
		ob_end_clean();
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="gelir_gider_fisleri_'.( count( $_tablo ) ).'.xlsx"');
		header('Cache-Control: max-age=0');
		// If you're serving to IE 9, then the following may be needed
		header('Cache-Control: max-age=1');
		// If you're serving to IE over SSL, then the following may be needed
		header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
		header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
		header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
		header ('Pragma: public'); // HTTP/1.0
		$objWriter	=	PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter	-> save('php://output');
		exit;
		
		break; //Gelir Gider Fişleri---------------------------------------------------------------------------------------------------
	
	}	

?>