<?php

	session_start();
	ob_start();
	
	if( !isset($_SESSION["root"]) || !$_SESSION["login"] ){
		die("Gecersiz Istek");
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/ListeParam.php";
	
	$_token		=	get("token");
	$hangisi		=	get("hangisi");
	$noToken	=	( get("params")["noToken"] === "true" ) ? true : false;
	
	if( $_SESSION["yazdirToken"] != $_token && !$noToken ){
		die("Gecersiz Token");
	}

	$__servis = new Servis();
	$__firma = $__servis -> ozelSorgu("
		select firma_adi, firma_tel1, firma_tel2, firma_email, firma_il, firma_adres, firma_logo, firma_site 
		from "._FIRMA." 
		where firma_id = 1 LIMIT 1
	" )[0];

	$__logo = ( is_file( $_SESSION["root"]."/uploads/resimler/".$__firma["firma_logo"] ) ) ? 
		'<div style="margin-bottom:15px;text-align:center;">
			<img src="'.$_SESSION["oto_url"]."/uploads/resimler/".$__firma["firma_logo"].'" style="max-height:100px;width:auto;"/>
		</div>' 
		: null;
	
	switch( $hangisi ){
		
		case "fatura_fis"	: //Fatura fişi-----------------------------------------------------------------------------
			
			require $_SESSION["root"]."/inc/Iller.php";
			require $_SESSION["root"]."/inc/BBcode.php";
			require $_SESSION["root"]."/inc/YaziyaCevir.php";
			
			$fatura_id		=	get("params")["where"];
			$_servis			=	new Servis();
			$il						=	new Il();
			$bbcode			=	new BBcode();
			
			$bilgiler			=	$_servis -> ozelSorgu( "select fatura_id, fatura_seri_no, fatura_tarihi, fatura_ara_toplam, musteri_id, fatura_iskonto, 
																							fatura_kdv_tutar, fatura_toplam_tutar, fatura_aciklama, fatura_tur 
																							from "._FATURALAR." where fatura_sil = 0 and fatura_id = ? LIMIT 1", array( $fatura_id ) );
			$bilgiler			=	$bilgiler[0];
			$fatura_tur	=	$bilgiler["fatura_tur"];
			
			$fatura_tur_array	=	array(
				"alis"		=>	"alis_fiyat",
				"satis"	=>	"satis_fiyat"
			);
			
			$cari					=	$_servis -> ozelSorgu( "select musteri_adi, musteri_adres, il, ilce_semt, musteri_vergi_dairesi, musteri_vergi_no 
																							from "._MUSTERILER." where musteri_id = ? LIMIT 1", array( $bilgiler["musteri_id"] ) );
			$cari					=	$cari[0];
																							
			$urunler			=	$_servis -> ozelSorgu( "select "._YEDEKPARCA.".yedek_parca_adi, "._YEDEKPARCA.".barkod, 
																							"._FATURA_URUNLER.".kdv,
																							"._FATURA_URUNLER.".kdv_dahil, 
																							 "._FATURA_URUNLER.".".$fatura_tur_array[ $fatura_tur ]." as birim_fiyat, 
																							"._FATURA_URUNLER.".urun_adet, "._FATURA_URUNLER.".yedek_parca_id 
																							from "._FATURA_URUNLER." 
																							left join "._YEDEKPARCA." on "._YEDEKPARCA.".yedek_parca_id = "._FATURA_URUNLER.".yedek_parca_id 
																							where "._FATURA_URUNLER.".fatura_tur = ? and 
																							"._FATURA_URUNLER.".fatura_id = ?", array( $fatura_tur, $fatura_id ) );
																							
			$musteri_il_ilce	=	array( $cari["ilce_semt"], $il -> ilTek( $cari["il"] ) );
											
			$firmaSql		=	"select firma_adi,firma_tel1,firma_tel2,firma_faks,firma_email,firma_adres,firma_il from "._FIRMA." where firma_id = 1 LIMIT 1";
											
			$firma			=	$_servis -> ozelSorgu( $firmaSql );
			
			if( $fis === false ){
				die( $_servis -> getHata() );
			}

			extract( $firma[0] );
		
			$_cikti	=	'<div class="text-center firma-bilgi" style="margin-bottom:15px;">
									<h3>'.$firma_adi.'</h3>
									<p>'.$firma_adres.' / '.( $il -> ilTek( $firma_il ) ).'</p>
									<p>Telefon : '.$firma_tel1.' - '.$firma_tel2.'<br />'.$firma_email.'</p>
								</div>
								<table class="non-border">
									<tbody>
										<tr>
											<td style="width:80px;">Tarih</td>
											<td>: <span  style="float:right;">'.date( "d.m.Y", strtotime( $bilgiler["fatura_tarihi"] ) ).'</span></td>
										</tr>
										<tr>
											<td style="width:80px;">Sayın</td>
											<td>: <span  style="float:right;">'.$cari["musteri_adi"].'</span></td>
										</tr>
									</tbody>
								</table>
								<h4 style="padding:5px 5px; border-bottom:1px solid #ddd;"></h4>
								<table class="non-border">
									<thead>
										<th>Ürün</th>
										<th>Fiyat</th>
										<th>Kdv</th>
										<th>Adet</th>
										<th>Toplam Fiyat</th>
									</thead>
									<tbody>';
									
			foreach( $urunler as $urun ){
				$tutar = $urun["birim_fiyat"];

				$kdvsi = floatval( $urun["kdv"] / 100 );

				$matrah = ( $urun["kdv_dahil"] ) ? $tutar / ( 1 + $kdvsi ) : $tutar;

				$kdv = ( $urun["kdv_dahil"] ) ? floatval( $tutar - $matrah ) : floatval( $matrah * $kdvsi );

				$tutar = $matrah + $kdv;
 
				$toplam = intval( $urun["urun_adet"] ) * floatval( $tutar );




				$_cikti	.=	'<tr>
											<td style="white-space:nowrap;">'.( ( $urun["yedek_parca_id"] ) ? $urun["yedek_parca_adi"] : "Teknik Hizmet Bedeli" ).'</td>
											<td class="text-center">'.sqlToPara( $matrah ).' TL</td>
											<td class="text-center">'.sqlToPara( $kdv ).'</td>
											<td class="text-center" style="white-space:nowrap;">'.$urun["urun_adet"].'</td>
											<td class="text-center">'.sqlToPara( $toplam ).' TL</td>
										</tr>';
			}
			
			$_cikti		.=	'<tr style="border-top:1px solid #e6e6e6;">
											<td colspan="5"></td>
										</tr>
										<tr>
											<td colspan="4" style="text-align:right;"><strong>Ara Toplam</strong></td>
											<td>: '.sqlToPara( $bilgiler["fatura_ara_toplam"] ).' TL</td>
										</tr>
										<tr>
											<td colspan="4" style="text-align:right;"><strong>İskonto</strong></td>
											<td>: '.sqlToPara( $bilgiler["fatura_iskonto"] ).' TL</td>
										</tr>
										<tr>
											<td colspan="4" style="text-align:right;"><strong>Kdv</strong></td>
											<td>: '.sqlToPara( $bilgiler["fatura_kdv_tutar"] ).' TL</td>
										</tr>
										<tr>
											<td colspan="4" style="text-align:right;"><strong>Genel Toplam</strong></td>
											<td>: '.sqlToPara( $bilgiler["fatura_toplam_tutar"] ).' TL</td>
										</tr>
										<tr>
											<td colspan="5"></td>
										</tr>
										<tr>
											<td colspan="5">
												<strong>Yalnız</strong>, '.( sayiyiYaziyaCevir( floatval( $bilgiler["fatura_toplam_tutar"] ), 2, "TL", "Kuruş", null, null, null, null ) ).'
											</td>
										</tr>';
									
			$_cikti		.=	'</tbody></table>';
			
		break;//Fatura fişi----------------------------------------------------------------------------------------------------------
		
		case	"fatura"	:
		
			require $_SESSION["root"]."/inc/Iller.php";
			require $_SESSION["root"]."/inc/YaziyaCevir.php";
			
			$fatura_id		=	get("params")["where"];
			$_servis			=	new Servis();
			$_il						=	new Il();
			
			$fatura_tur_array	=	array(
				"alis"		=>	"alis_fiyat",
				"satis"	=>	"satis_fiyat"
			);
			
			$bilgiler			=	$_servis -> ozelSorgu( "select fatura_id, fatura_seri_no, fatura_tarihi, fatura_ara_toplam, musteri_id, fatura_iskonto, 
																							fatura_kdv_tutar, fatura_toplam_tutar, fatura_aciklama, fatura_tur 
																							from "._FATURALAR." where fatura_sil = 0 and fatura_id = ? LIMIT 1", array( $fatura_id ) )[0];
			$fatura_tur	=	$bilgiler["fatura_tur"];
			
			$cari					=	$_servis -> ozelSorgu( "select musteri_adi, musteri_adres, il, ilce_semt, musteri_vergi_dairesi, musteri_vergi_no 
																							from "._MUSTERILER." where musteri_id = ? LIMIT 1", array( $bilgiler["musteri_id"] ) )[0];
																							
			$urunler			=	$_servis -> ozelSorgu( "select "._YEDEKPARCA.".yedek_parca_adi, "._YEDEKPARCA.".barkod, 
																							"._FATURA_URUNLER.".kdv,
																							"._FATURA_URUNLER.".kdv_dahil, 
																							 "._FATURA_URUNLER.".".$fatura_tur_array[ $fatura_tur ]." as birim_fiyat, 
																							"._FATURA_URUNLER.".urun_adet, "._FATURA_URUNLER.".yedek_parca_id 
																							from "._FATURA_URUNLER." 
																							left join "._YEDEKPARCA." on "._YEDEKPARCA.".yedek_parca_id = "._FATURA_URUNLER.".yedek_parca_id 
																							where "._FATURA_URUNLER.".fatura_tur = ? and 
																							"._FATURA_URUNLER.".fatura_id = ?", array( $fatura_tur, $fatura_id ) );
																							
			$musteri_il_ilce	=	array( $cari["ilce_semt"], $_il -> ilTek( $cari["il"] ) );
			
			define( "F_TUR", $fatura_tur );
			
			require $_SESSION["root"]."/goster/faturaYazdir/".$fatura_tur."Faturasi.php";
			
			$yazdirHead	=	'<style type="text/css">
												.print-tablo-genel{
													height:100%;
												}
											</style>';
		
		break;
		
		case	"servis_fisleri"	: //Servis Fişleri---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/ServisFisi.php";
			
			$basliklar = array(
				"hucreler" =>  array(
					"tarih" => "servis_giris_tarihi",
					"t_tarih" => "servis_teslim_tarihi",
					"fis_no" => "servis_fis_no",
					"fis_id" => _SERVISFISLERI.".servis_fis_id",
					"sikayet" => "sikayet",
					"u_id" => _SERVISFISLERI.".ekleyen_id",
					"m_id" => _SERVISFISLERI.".musteri_id",
					"m_adi" => "musteri_adi",
					"cihaz" => _SERVISFISLERI.".cihaz_id",
					"durum" => _SERVISFISLERI.".durum_id",
					"marka" => _SERVISFISLERI.".marka_id",
					"model" => "servis_model_no",
					"garanti" => _SERVISFISLERI.".servis_garanti_durum",
					"musteri_tablo" => _MUSTERILER
				),
				"siralama" => array(
					"desc" => "desc",
					"asc" => "asc"
				),
				"_paramYoksa" => "servis_giris_tarihi",
				"_tablo" => _SERVISFISLERI
			);
			
			$listeParam		=	new ListeParam($_GET,$basliklar);
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_SERVISFISLERI.".servis_fis_id",
				_SERVISFISLERI.".servis_fis_no",
				_SERVISFISLERI.".sikayet",
				_SERVISFISLERI.".servis_giris_tarihi",
				_SERVISFISLERI.".servis_teslim_tarihi",
				_SERVISFISLERI.".servis_garanti_durum",
				_SERVISFISLERI.".servis_model_no",
				_MUSTERILER.".musteri_adi",
				_CIHAZLAR.".cihaz_baslik",
				_DURUMLAR.".durum_baslik",
				_MARKALAR.".marka_baslik"
			);
		
		$fisler				=	new ServisFisi();
		$_tablo			=	$fisler -> getServisFisleri($sayfa,$param,$paramValue,$secilecek_alanlar);
		
		if( $_tablo === false ){
			die( $fisler -> getHata() );
		}
		
		$_cikti	=	'<table class="zebra">
								<thead>
									<tr><th colspan="9">SERVİS FİŞ TABLOSU</th></tr>
									<tr>
										<th></th>
										<th>Fiş No</th>
										<th>Cari Adı</th>
										<th>Arıza</th>
										<th>Marka / Model</th>
										<th>Cihaz</th>
										<th>Durum</th>
										<th>Garanti</th>
										<th>Giriş Tarihi</th>
									</tr>
								</thead>
							<tbody>';
		
		array_reduce( $_tablo, function( $par, $tr ){
			global $_cikti;
			static $key	=	1;
			$_cikti	.=	'<tr>
										<td>#'.$key.'</td>
										<td>'.$tr["servis_fis_no"].'</td>
										<td>'.$tr["musteri_adi"].'</td>
										<td>'.$tr["sikayet"].'</td>
										<td>'.( $tr["marka_baslik"]." ".$tr["servis_model_no"] ).'</td>
										<td>'.( $tr["cihaz_baslik"] ).'</td>
										<td>'.( ( $tr["durum_baslik"] ) ? $tr["durum_baslik"] : "Yeni Servis" ).'</td>
										<td>'.( ( $tr["servis_garanti_durum"] ) ? "Var" : "Yok" ).'</td>
										<td>'.date("d.m.Y [H:i]",strtotime( $tr["servis_giris_tarihi"] ) ).'</td>
									</tr>';
									$key++;
		} );
		
		$_cikti	.=	'</tbody></table>';
			
		break; //Servis Fişleri---------------------------------------------------------------------------------------------------
		
		
		//Cari hareketleri------------------------------------------------------------------------------------
		case "cari_hareketleri":
		
			$params = $_GET["params"]["where"];

			$bas = ( $params["bas"] ) ? $params["bas"] : null;
			$bitis = ( $params["bitis"] ) ? $params["bitis"] : null;
			$cari_id = $params["value"][0];
			
			$_servis = new Servis();
			
			$whereTarih1 = ( $bas && $bitis ) ? ' and ( '._SERVISFISLERI.'.servis_giris_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ' : null;
			$whereTarih2 = ( $bas && $bitis ) ? ' and ( '._TAHSILAT.'.tahsilat_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ' : null;
			$whereTarih3 = ( $bas && $bitis ) ? ' and ( '._FATURALAR.'.fatura_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ' : null;
			
			$sFisler = array(
				_SERVISFISLERI.".servis_fis_id as ID",
				_SERVISFISLERI.".servis_giris_tarihi as Tarih",
				_SERVISFISLERI.".servis_fis_no as No",
				" NULL as Tutar ",
				" NULL as Odeme ",
				" 'servis_fis' as Tur "
			);
	
			$tahs = array(
				_TAHSILAT.".tahsilat_id as ID",
				_TAHSILAT.".tahsilat_tarihi as Tarih",
				_TAHSILAT.".islem as No",
				_TAHSILAT.".tahsilat_fiyat as Tutar",
				_TAHSILAT.".odeme_tur as Odeme",
				" 'tahsilat' as Tur "
			);
	
			$fat = array(
				_FATURALAR.".fatura_id as ID",
				_FATURALAR.".fatura_tarihi as Tarih",
				_FATURALAR.".fatura_seri_no as No",
				_FATURALAR.".fatura_toplam_tutar as Tutar",
				_FATURALAR.".fatura_tur as Odeme",
				" 'fatura' as Tur "
			);
			
			$cari = $_servis -> ozelSorgu( "select musteri_adi from "._MUSTERILER." where musteri_id = ? LIMIT 1", array( $cari_id ) )[0];
			
			$hareketler = $_servis -> ozelSorgu(
				"( select ".implode( ",", $sFisler )." from "._SERVISFISLERI." 
				where "._SERVISFISLERI.".musteri_id = ? and "._SERVISFISLERI.".fis_sil = 0 ".$whereTarih1." ) 
				UNION ALL 
				( select ".implode( ",", $tahs )." from "._TAHSILAT." 
				where "._TAHSILAT.".musteri_id = ? and "._TAHSILAT.".tahsilat_sil = 0 ".$whereTarih2." ) 
				UNION ALL 
				( select ".implode( ",", $fat )." from "._FATURALAR." 
				where "._FATURALAR.".musteri_id = ? and "._FATURALAR.".fatura_sil = 0 ".$whereTarih3." ) 
				order by Tarih",
				array( $cari_id, $cari_id, $cari_id )
			);
			
			$islem_tur = array(
				"servis_fis"	=>	"Servis Fişi",
				"tahsilat"	=>	array(
					"gelir"	=>	"Tahsilat",
					"gider"	=>	"Ödeme"
				),
				"fatura"		=>	array(
					"alis"		=>	"Alış Faturası",
					"satis"	=>	"Satış Faturası"
				)
			);
			
			$_cikti = '
			<table class="zebra">
				<thead>
					<tr>
						<th colspan="6">'.$cari["musteri_adi"].' - Cari Hareketleri [ '.$bas.' - '.$bitis.' ]</th>
					</tr>
					<tr>
						<th style="width:70px;">ID</th>
						<th>İşlem Türü</th>
						<th style="width:100px;">Tarih</th>
						<th style="width:100px;">İşlem No</th>
						<th style="width:100px;">Tutar (TRY)</th>
						<th style="width:100px;">Bakiye (TRY)</th>
					</tr>
				</thead>
			<tbody>';
			
			foreach( $hareketler as $hrk ){
				static $bakiye = 0.00;
				$tutar = 0.00;
				
				$_tur = $islem_tur[ $hrk["Tur"] ];
				
				if( $hrk["Tur"] == "fatura" ){
					$_tur = $islem_tur[ $hrk["Tur"] ][ $hrk["Odeme"] ];
					
					if( $hrk["Odeme"] == "alis" ){
						$bakiye -= floatval( $hrk["Tutar"] );
						$tutar = -floatval( $hrk["Tutar"] );
					}
					else if( $hrk["Odeme"] == "satis" ){
						$bakiye += floatval( $hrk["Tutar"] );
						$tutar = floatval( $hrk["Tutar"] );
					}
				}
				
				else if( $hrk["Tur"] == "tahsilat" ){
					$_tur = $islem_tur[ $hrk["Tur"] ][ $hrk["No"] ];
					
					if( $hrk["No"] == "gelir" ){
						$bakiye -= floatval( $hrk["Tutar"] );
						$tutar = floatval( $hrk["Tutar"] );
					}
					else if( $hrk["No"] == "gider" ){
						$bakiye	+= floatval( $hrk["Tutar"] );
						$tutar = -floatval( $hrk["Tutar"] );
					}
				}
				
				$_cikti .= '
					<tr>
						<td>'.$hrk["ID"].'</td>
						
						<td>'.$_tur.'</td>
						
						<td>'.date( "d.m.Y", strtotime( $hrk["Tarih"] ) ).'</td>
						
						<td>'.( is_numeric( $hrk["No"] ) ? $hrk["No"] : $hrk["ID"] ).'</td>
						
						<td>'.( ( $tutar ) ? sqlToPara( $tutar ) : null ).'</td>
						
						<td>'.( ( $hrk["Tur"] == "fatura" || $hrk["Tur"] == "tahsilat" ) ? sqlToPara( $bakiye ) : null ).'</td>
						
					</tr>
				';
			}
			
			$_cikti .= '
				</tbody>
				<tfoot> 
					<tr> 
						<th></th>
						<th></th>
						<th></th>
						<th></th>
						<th></th>
						<th><strong>'.sqlToPara( $bakiye ).'</strong></th>
					</tr>
				</tfoot>
			</table>
			';
			
		break;
		//Cari hareketleri------------------------------------------------------------------------------------
		
		
		//Cari hareket------------------------------------------------------------------------------------
		case "cari_hareket":

			$params = $_GET["params"]["where"];

			$bas = $params["bas"];
			$bitis = $params["bitis"];
			$tur = $params["tur"];

			$_servis = new Servis();
	
			$select = array(
				"gelir" => "Tahsilatlar",
				"gider" => "Ödemeler",
				"alis" => "Alış Faturaları",
				"satis" => "Satış Faturaları",
				"fis" => "Servis Fişleri"
			);
	
			$fisSql = ' and false ';
			$tahsilatSql = ' and false ';
			$faturaSql = ' and false ';
			
			if( $tur == "gelir" || $tur == "gider" )
			{
				$tahsilatSql	=	' and '._TAHSILAT.'.islem = \''.$tur.'\' ';
			}
			else if( $tur == "alis" || $tur == "satis" )
			{
				$faturaSql	=	' and '._FATURALAR.'.fatura_tur = \''.$tur.'\' ';
			}
			else if( $tur == "fis" )
			{
				$fisSql	=	null;
			}
			else{
				$fisSql	=	$faturaSql	=	$tahsilatSql	=	null;
			}
			
			$whereTarih1	=	( $bas && $bitis ) ? ' and ( '._SERVISFISLERI.'.servis_giris_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$fisSql : $fisSql;
			$whereTarih2	=	( $bas && $bitis ) ? ' and ( '._TAHSILAT.'.tahsilat_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$tahsilatSql : $tahsilatSql;
			$whereTarih3	=	( $bas && $bitis ) ? ' and ( '._FATURALAR.'.fatura_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$faturaSql : $faturaSql;
																							
			$sFisler	=	array(
				_SERVISFISLERI.".servis_fis_id as ID",
				_SERVISFISLERI.".servis_giris_tarihi as Tarih",
				_SERVISFISLERI.".servis_fis_no as No",
				" NULL as Tutar ",
				" NULL as Odeme ",
				" 'servis_fis' as Tur ",
				_MUSTERILER.".musteri_adi as cari_adi"
			);
			
			$tahs		=	array(
				_TAHSILAT.".tahsilat_id as ID",
				_TAHSILAT.".tahsilat_tarihi as Tarih",
				_TAHSILAT.".islem as No",
				_TAHSILAT.".tahsilat_fiyat as Tutar",
				_TAHSILAT.".odeme_tur as Odeme",
				" 'tahsilat' as Tur ",
				_MUSTERILER.".musteri_adi as cari_adi"
			);
			
			$fat			=	array(
				_FATURALAR.".fatura_id as ID",
				_FATURALAR.".fatura_tarihi as Tarih",
				_FATURALAR.".fatura_seri_no as No",
				_FATURALAR.".fatura_toplam_tutar as Tutar",
				_FATURALAR.".fatura_tur as Odeme",
				" 'fatura' as Tur ",
				_MUSTERILER.".musteri_adi as cari_adi"
			);
																					
			$hareketler	=	$_servis -> ozelSorgu( "( select ".implode( ",", $sFisler )." from "._SERVISFISLERI." 
												inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
												where "._SERVISFISLERI.".fis_sil = 0 ".$whereTarih1." ) 
												UNION ALL 
												( select ".implode( ",", $tahs )." from "._TAHSILAT." 
												inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._TAHSILAT.".musteri_id 
												where "._TAHSILAT.".tahsilat_sil = 0 ".$whereTarih2." ) 
												UNION ALL 
												( select ".implode( ",", $fat )." from "._FATURALAR." 
												inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._FATURALAR.".musteri_id 
												where "._FATURALAR.".fatura_sil = 0 ".$whereTarih3." ) 
												order by Tarih desc" );
																					
			$islem_tur = array(
				"servis_fis" => "Servis Fişi",
				"tahsilat" => array(
					"gelir" => "Tahsilat",
					"gider" => "Ödeme"
				),
				"fatura" => array(
					"alis" => "Alış Faturası",
					"satis" => "Satış Faturası"
				)
			);

			if( $_servis === false ){
				die( $_servis -> getHata() );
			}
			
			$_cikti	=	'<table class="zebra">
							<thead>
								<tr>
									<th colspan="6">Cari Hareketleri</th>
								</tr>
								<tr>
									<th>ID</th>
									<th>Cari Hesap</th>
									<th>İşlem Türü</th>
									<th>Tarih</th>
									<th>İşlem No</th>
									<th>Tutar</th>
								</tr>
							</thead>
						<tbody>';
			
			



			foreach( $hareketler as $hrk ){
				static $toplam = 0.00;
				$tutar = 0.00;
				
				$_tur = $islem_tur[ $hrk["Tur"] ];

				if( $hrk["Tur"] == "fatura" )
				{
					$_tur = $islem_tur[ $hrk["Tur"] ][ $hrk["Odeme"] ];
					
					if( $hrk["Odeme"] == "alis" )
					{
						$tutar = -floatval( $hrk["Tutar"] );
					}
					else if( $hrk["Odeme"] == "satis" )
					{
						$tutar = floatval( $hrk["Tutar"] );
					}
				}
				elseif( $hrk["Tur"] == "tahsilat" )
				{
					$_tur = $islem_tur[ $hrk["Tur"] ][ $hrk["No"] ];
					
					if( $hrk["No"] == "gelir" )
					{
						$tutar = floatval( $hrk["Tutar"] );
					}
					elseif( $hrk["No"] == "gider" )
					{
						$tutar = -floatval( $hrk["Tutar"] );
					}
				}
				
				$toplam	+=	$tutar;
			
				$_cikti .= '<tr>
								<td>'.$hrk["ID"].'</td>
								
								<td><strong>'.$hrk["cari_adi"].'</strong></td>
								
								<td>'.$_tur.'</td>
								
								<td>'.date( "d.m.Y", strtotime( $hrk["Tarih"] ) ).'</td>
								
								<td>'.( ( $hrk["Tur"] != "tahsilat" ) ? $hrk["No"] : null ).'</td>
								
								<td><i class="fa fa-try"></i> '.sqlToPara( $tutar ).'</td>
								
							</tr>';
			}
			
			$_cikti	.=	'</tbody></table>';

		break;
		//Cari hareket------------------------------------------------------------------------------------
		
		
		case "musteriler"	: //Müşteriler---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/Musteri.php";
			require $_SESSION["root"]."/inc/Iller.php";
			
			$basliklar = array(
				"hucreler" =>  array(
					"m_id" => "musteri_id",
					"m_adi" => "musteri_adi",
					"m_kodu" => "musteri_kodu",
					"m_tel" => "musteri_tel1",
					"m_il" => "il",
					"i_s" => "ilce_semt",
					"bk" => "bakiye"
				),
				"siralama" => array(
					"desc" => "desc",
					"asc" => "asc"
				),
				"_paramYoksa" => "musteri_id",
				"_tablo" => _MUSTERILER
			);
			
			$listeParam		=	new ListeParam($_GET,$basliklar);
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_MUSTERILER.".musteri_adi",
				_MUSTERILER.".musteri_kodu",
				_MUSTERILER.".bakiye",
				_MUSTERILER.".musteri_email",
				_MUSTERILER.".musteri_tel1",
				_MUSTERILER.".musteri_adres",
				_MUSTERILER.".ilce_semt",
				_MUSTERILER.".il"
			);
			
		$il				=	new Il();
		$musteri	=	new Musteri();
		$_tablo	=	$musteri -> getMusteriler($sayfa,$param,$paramValue,$secilecek_alanlar);
		
		if( $_tablo === false ){
			die( $musteri -> getHata() );
		}
		
		$_cikti	=	'<table  class="zebra">
								<thead>
									<tr><th colspan="9">MÜŞTERİ TABLOSU</th></tr>
									<tr>
										<th></th>
										<th>Cari Adı</th>
										<th>Hesap Kodu</th>
										<th>Bakiye</th>
										<th>Telefon1</th>
										<th>E-Posta</th>
										<th>İl</th>
										<th>İlce / Semt</th>
										<th>Adres</th>
									</tr>
								</thead>
							<tbody>';
		
		array_reduce( $_tablo, function( $par, $tr ){
			global	$_cikti;
			global	$il;
			static $key	=	1;
			$_cikti	.=	'<tr>
										<td>#'.$key.'</td>
										<td>'.$tr["musteri_adi"].'</td>
										<td>'.$tr["musteri_kodu"].'</td>
										<td>'.( sqlToPara( $tr["bakiye"] ) ).'</td>
										<td class="tel">'.$tr["musteri_tel1"].'</td>
										<td>'.$tr["musteri_email"].'</td>
										<td>'.( $il -> ilTek( $tr["il"]) ).'</td>
										<td>'.$tr["ilce_semt"].'</td>
										<td>'.$tr["musteri_adres"].'</td>
									</tr>';
									$key++;
		} );
		
		$_cikti	.=	'</tbody></table>';
		
		break; //Müşteriler---------------------------------------------------------------------------------------------------
		
		case "yedek_parcalar"	: //Yedek Parçalar---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/YedekParca.php";
			
			$basliklar = array(
				"hucreler"	=>	array(
					"y_id"				=>	"yedek_parca_id",
					"y_adi"				=>	"yedek_parca_adi",
					"y_stok"			=>	"stok",
					"y_birim"			=>	"birim_fiyat",
					"y_alis"				=>	"alis_fiyat",
					"y_barkod"	=>	"barkod",
					"y_raf_no"	=>	"raf_no",
					"stok"				=>	"stok",
					"s_kod"				=>	"stok_kodu"
				),
				"siralama"	=>	array(
					"desc"	=>	"desc",
					"asc"		=>	"asc"
				),
				"_paramYoksa"	=>	"yedek_parca_id",
				"_tablo"					=>	_YEDEKPARCA
			);
			
			$listeParam		=	new ListeParam($_GET,$basliklar);
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_YEDEKPARCA.".yedek_parca_adi",
				_YEDEKPARCA.".birim_fiyat",
				_YEDEKPARCA.".alis_fiyat",
				_YEDEKPARCA.".kdv",
				_YEDEKPARCA.".raf_no",
				_YEDEKPARCA.".stok",
				_YEDEKPARCA.".stok_kodu",
				_YEDEKPARCA.".stok_foto",
				_YEDEKPARCA.".barkod"
			);
			
		$yedekParca	=	new YedekParca();
		$_tablo				=	$yedekParca -> getYedekParcalar($sayfa,$param,$paramValue,$secilecek_alanlar);
		
		if( $_tablo === false ){
			die( $yedekParca -> getHata() );
		}
		
		$_cikti	=	'<table  class="zebra">
								<thead>
									<tr><th colspan="8">STOK TABLOSU</th></tr>
									<tr>
										<th></th>
										<th>Stok Adı</th>
										<th>Barkod</th>
										<th>S.Kod</th>
										<th>Satış Fiyatı</th>
										<th>Alış Fiyatı</th>
										<th>Kdv %</th>
										<th>Stok Miktarı</th>
									</tr>
								</thead>
							<tbody>';
		
		array_reduce( $_tablo, function( $par, $tr ){
			global	$_cikti;
			static $key	=	1;
			$_cikti	.=	'<tr>
										<td>#'.$key.'</td>
										<td>'.$tr["yedek_parca_adi"].'</td>
										<td>'.$tr["barkod"].'</td>
										<td>'.$tr["stok_kodu"].'</td>
										<td>'.$tr["birim_fiyat"].'</td>
										<td>'.$tr["alis_fiyat"].'</td>
										<td>'.$tr["kdv"].'</td>
										<td>'.$tr["stok"].'</td>
									</tr>';
									$key++;
		} );
		
		$_cikti	.=	'</tbody></table>';
		
		break; //Yedek Parçalar---------------------------------------------------------------------------------------------------
		
		
		//Stok hareketleri------------------------------------------------------------------------------------
		case "stok_hareketleri":
		
			$params = $_GET["params"]["where"];

			$bas = ( $params["bas"] ) ? $params["bas"] : null;
			$bitis = ( $params["bitis"] ) ? $params["bitis"] : null;
			$stok_id = $params["value"][0];
			
			$_servis = new Servis();
			
			$whereTarih1 = ( $bas && $bitis ) ? ' and ( '._FATURALAR.'.fatura_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ' : null;
			$whereTarih2 = ( $bas && $bitis ) ? ' and ( '._SERVISISLEMLERI.'.servis_islem_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ' : null;
			
			$fat = array(
				_FATURALAR.".fatura_id as ID",
				_FATURALAR.".fatura_seri_no as No",
				_FATURALAR.".fatura_tarihi as Tarih",
				_FATURALAR.".fatura_tur as Odeme",
				"SUM( "._FATURA_URUNLER.".urun_adet ) as Adet",
				" 'fatura' as Tur "
			);
			
			$islemler = array(
				_SERVISFISLERI.".servis_fis_id as ID",
				_SERVISFISLERI.".servis_fis_no as No",
				_SERVISISLEMLERI.".servis_islem_tarihi as Tarih",
				" NULL as Odeme ",
				_KULLANILANMALZEMELER.".adet as Adet",
				" 'servis_islemi' as Tur "
			);
			
			$stok = $_servis -> ozelSorgu( "select yedek_parca_adi from "._YEDEKPARCA." where yedek_parca_id = ? LIMIT 1", array( $stok_id ) )[0];
			
			$hareketler	=	$_servis -> ozelSorgu( "
				( select ".implode( ",", $fat )." from "._FATURALAR." 
				inner join "._FATURA_URUNLER." on "._FATURA_URUNLER.".fatura_id = "._FATURALAR.".fatura_id 
				where "._FATURA_URUNLER.".yedek_parca_id = ? and "._FATURALAR.".fatura_sil = 0 ".$whereTarih1." 
				group by "._FATURA_URUNLER.".fatura_id ) 
				UNION ALL 
				( select ".implode( ",", $islemler )." from "._SERVISISLEMLERI." 
				inner join "._SERVISFISLERI." on "._SERVISISLEMLERI.".servis_fis_id = "._SERVISFISLERI.".servis_fis_id 
				inner join "._KULLANILANMALZEMELER." on "._KULLANILANMALZEMELER.".servis_islem_id = "._SERVISISLEMLERI.".servis_islem_id 
				where "._KULLANILANMALZEMELER.".yedek_parca_id = ? and "._SERVISISLEMLERI.".servis_islem_sil = 0 
				and "._SERVISFISLERI.".fis_sil = 0 ".$whereTarih2." ) 
				order by Tarih",
				array( $stok_id, $stok_id )
			);
			
			$islem_tur	=	array(
				"servis_islemi"	=> "Servis İşlemi",
				"fatura"				=>	array(
					"alis"		=>	"Alış Faturası",
					"satis"	=>	"Satış Faturası"
				)
			);
			
			$_cikti = '
			<table class="zebra">
				<thead>
					<tr>
						<th colspan="6">'.$stok["yedek_parca_adi"].' - Stok Hareketleri [ '.$bas.' - '.$bitis.' ]</th>
					</tr>
					<tr>
						<th style="width:70px;">ID</th>
						<th>İşlem Türü</th>
						<th style="width:100px;">Tarih</th>
						<th style="width:100px;">İşlem No</th>
						<th style="width:100px;">Adet</th>
						<th style="width:100px;">Stok Miktarı</th>
					</tr>
				</thead>
			<tbody>';
			
			foreach( $hareketler as $hrk ){
				static $stok = 0;
				$adet = 0;
				
				$_tur	=	$islem_tur[ $hrk["Tur"] ];
				if( $hrk["Tur"] == "fatura" ){
					$_tur	=	$islem_tur[ $hrk["Tur"] ][ $hrk["Odeme"] ];
					
					if( $hrk["Odeme"] == "alis" ){
						$stok		+=	intval( $hrk["Adet"] );
						$adet		=		intval( $hrk["Adet"] );
					}
					else if( $hrk["Odeme"] == "satis" ){
						$stok		-=	intval( $hrk["Adet"] );
						$adet		=		-intval( $hrk["Adet"] );
					}
				}
				else if( $hrk["Tur"] == "servis_islemi" ){
					$adet		=		intval( $hrk["Adet"] );
				}
				
				$_cikti .= '
					<tr>
						<td>'.$hrk["ID"].'</td>
						
						<td>'.$_tur.'</td>
						
						<td>'.date( "d.m.Y", strtotime( $hrk["Tarih"] ) ).'</td>
						
						<td>'.$hrk["No"].'</td>
						
						<td>'.( $adet ? $adet : null ).'</td>
						
						<td>'.( ( $hrk["Tur"] == "fatura" ) ? $stok : null ).'</td>
						
					</tr>
				';
			}
			
			$_cikti .= '
				</tbody>
				<tfoot> 
					<tr> 
						<th></th>
						<th></th>
						<th></th>
						<th></th>
						<th></th>
						<th><strong>'.( is_numeric( $stok ) ? $stok : 0 ).'</strong></th>
					</tr>
				</tfoot>
			</table>
			';
			
		break;
		//Stok hareketleri------------------------------------------------------------------------------------
		
		
		case "tahsilatlar"	: //Tahsilatlar---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/Tahsilat.php";
			
			$basliklar	=	array(
				"hucreler"	=>	array(
					"t_no"		=>	"tahsilat_id",
					"t_tutar"	=>	"tahsilat_fiyat",
					"t_tarih"	=>	"tahsilat_tarihi",
					"fis_no"	=>	"servis_fis_no",
					"islem"		=>	"islem",
					"m_adi"	=>	"musteri_adi",
					"m_id"		=>	_TAHSILAT.".musteri_id",
					"e_id"		=>	_TAHSILAT.".ekleyen_id",
					"musteri_tablo"	=>	_MUSTERILER
				),
				"siralama"	=>	array(
					"desc"	=>	"desc",
					"asc"		=>	"asc"
				),
				"_paramYoksa"	=>	"tahsilat_tarihi",
				"_tablo"	=>	_TAHSILAT
			);
			
			$listeParam		=	new ListeParam( $_GET, $basliklar );
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_TAHSILAT.".*",
				_MUSTERILER.".musteri_adi",
				_USERS.".user_ad",
				_USERS.".user_soyad"
			);
			
		$_tahsilat	=	new Tahsilat();
		$_tablo		=	$_tahsilat -> getTahsilatlar($sayfa,$param,$paramValue,$secilecek_alanlar);
		
		if( $_tablo === false ){
			die( $_tahsilat-> getHata() );
		}
		
		$_cikti	=	'<table class="zebra">
								<thead>
									<tr><th colspan="9">KASA İŞLEMLERİ TABLOSU</th></tr>
									<tr>
										<th></th>
										<th>No</th>
										<th>Cari Adı</th>
										<th>İşlem Türü</th>
										<th>Tahsilat Türü</th>
										<th>Servis Fiş No</th>
										<th>Tutar</th>
										<th>Personel</th>
										<th>Tarih</th>
									</tr>
								</thead>
							<tbody>';
							
		$_tur	=	array(
			"gelir"	=>	"Tahsilat",
			"gider"	=>	"Ödeme"
		);
		
		$toplam_tutar	=	0.00;
		
		array_reduce( $_tablo, function( $par, $tr ){
			global	$_cikti, $_tur, $toplam_tutar;
			static $key	=	1;
			
			if				( $tr["islem"] == "gelir" ) $toplam_tutar	=	$toplam_tutar + floatval( $tr["tahsilat_fiyat"] );
			else if	( $tr["islem"] == "gider" ) $toplam_tutar	=	$toplam_tutar - floatval( $tr["tahsilat_fiyat"] );
			
			$_cikti	.=	'<tr>
										<td>#'.$key.'</td>
										<td>'.$tr["tahsilat_id"].'</td>
										<td>'.$tr["musteri_adi"].'</td>
										<td>'.$_tur[ $tr["islem"] ].'</td>
										<td>'.( ( $tr["tahsilat_tur"] == 2 ) ? "Servis Tahsilatı" : "Serbest Tahsilat" ).'</td>
										<td>'.( ( $tr["servis_fis_no"] ) ? $tr["servis_fis_no"] : "" ).'</td>
										<td>'.( ( $tr["islem"] == "gider" ) ? "-" : null ).( sqlToPara($tr["tahsilat_fiyat"]) ).' <i class="fa fa-try"></i></td>
										<td>'.( $tr["user_ad"]." ".$tr["user_soyad"]).'</td>
										<td>'.( date( "d.m.Y", strtotime( $tr["tahsilat_tarihi"] ) ) ).'</td>
									</tr>';
									$key++;
		} );
		
		$_cikti	.=	'<tr>
									<td colspan="6"></td>
									<td>'.sqlToPara( $toplam_tutar ).' <i class="fa fa-try"></i></td>
									<td colspan="2"></td>
								</tr>';
		
		$_cikti	.=	'</tbody></table>';
		
		break; //Tahsilatlar---------------------------------------------------------------------------------------------------
		
		case "veresiye"	: //Veresiye---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/Veresiye.php";
			
			$basliklar	=	array(
				"hucreler"	=>	array(
					"v_id"		=>	"veresiye_id",
					"v_tutar"=>	"tutar",
					"v_tarih"	=>	"vade_tarihi",
					"t_tarih"	=>	"tahsil_tarihi",
					"ths"			=>	"tahsil",
					"m_adi"	=>	"musteri_adi",
					"m_id"		=>	_VERESIYE.".cari_id",
					"musteri_tablo"	=>	_MUSTERILER
				),
				"siralama"	=>	array(
					"desc"	=>	"desc",
					"asc"		=>	"asc"
				),
				"_paramYoksa"	=>	"veresiye_id",
				"_tablo"	=>	_VERESIYE
			);
			
			$listeParam		=	new ListeParam( $_GET, $basliklar );
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_VERESIYE.".*",
				_MUSTERILER.".musteri_adi",
				_MUSTERILER.".musteri_sil"
			);
			
		$_tahsilat	=	new Veresiye();
		$_tablo		=	$_tahsilat -> getVeresiye( $sayfa,$param,$paramValue,$secilecek_alanlar );
		
		if( $_tablo === false ){
			die( $_tahsilat-> getHata() );
		}
		
		$_cikti	=	'<table class="zebra">
								<thead>
									<tr><th colspan="8">VERESİYE TABLOSU</th></tr>
									<tr>
										<th></th>
										<th>Cari Adı</th>
										<th>Tutar</th>
										<th>Tahsilat</th>
										<th>Vade Tarihi</th>
										<th>Tahsil Tarihi</th>
										<th>Ödeme Türü</th>
									</tr>
								</thead>
							<tbody>';
							
		$odeme_tur		=	array( "", "Nakit", "Kredi Kartı", "Çek" );
		
		$toplam_tutar	=	0.00;
		
		array_reduce( $_tablo, function( $par, $tr ){
			global	$_cikti, $odeme_tur, $toplam_tutar;
			static $key	=	1;
			
			$tahsil	=	$tr["tahsil"];
			
			$toplam_tutar	=	$toplam_tutar + floatval( $tr["tutar"] );
			
			$_cikti	.=	'<tr>
										<td>#'.$key.'</td>
										<td>'.$tr["musteri_adi"].'</td>
										<td>'.( sqlToPara( $tr["tutar"] ) ).' <i class="fa fa-try"></i></td>
										<td>'.( ( $tr["tahsil"] ) ? "Evet" : "Hayır" ).'</td>
										<td>'.( ( strtotime( $tr["vade_tarihi"] ) > 0 ) ? date( "d.m.Y", strtotime( $tr["vade_tarihi"] ) ) : "" ).'</td>
										<td>'.( ( $tahsil && strtotime( $tr["tahsil_tarihi"] ) > 0 ) ? date( "d.m.Y", strtotime( $tr["tahsil_tarihi"] ) ) : "" ).'</td>
										<td>'.( ( $tahsil ) ? $odeme_tur[ $tr["odeme_tur"] ] : "" ).'</td>
									</tr>';
									$key++;
		} );
		
		$_cikti	.=	'<tr>
									<td colspan="2"></td>
									<td>'.sqlToPara( $toplam_tutar ).' <i class="fa fa-try"></i></td>
									<td colspan="4"></td>
								</tr>';
		
		$_cikti	.=	'</tbody></table>';
		
		break; //Veresiye---------------------------------------------------------------------------------------------------
		
		case "gg_fisler"	: //Gelir Gider Fişleri---------------------------------------------------------------------------------------------------
		
			require $_SESSION["root"]."/inc/GGFis.php";
			
			$basliklar	=	array(
				"hucreler"	=>	array(
					"f_id"		=>	"gg_fis_id",
					"f_tutar"	=>	"tutar",
					"f_tarih"	=>	"gg_fis_tarihi",
					"k_id"		=>	_GGFISLER.".kart_id",
					"islem"		=>	"islem",
					"e_id"		=>	_GGFISLER.".ekleyen_id"
				),
				"siralama"	=>	array(
					"desc"	=>	"desc",
					"asc"		=>	"asc"
				),
				"_paramYoksa"	=>	"gg_fis_id",
				"_tablo"	=>	_GGFISLER
			);
			
			$listeParam		=	new ListeParam( $_GET, $basliklar );
			
			$paramValue	=	$listeParam -> paramValue;
			$param				=	$listeParam -> param;
			$where				=	$listeParam -> where;
			$wherePars		=	$listeParam -> wherePars;
			$pars					=	$listeParam -> pars;
			$sayfa					=	$listeParam -> sayfa;
			
			$secilecek_alanlar = array(
				_GGFISLER.".*",
				_GEGKART.".kart_ismi",
				_USERS.".user_ad",
				_USERS.".user_soyad"
			);
			
		$_tahsilat	=	new GGFis();
		$_tablo		=	$_tahsilat -> getGGFisler( $sayfa,$param,$paramValue,$secilecek_alanlar );
		
		if( $_tablo === false ){
			die( $_tahsilat-> getHata() );
		}
		
		$_cikti	=	'<table class="zebra">
								<thead>
									<tr><th colspan="8">GELİR GİDER FİŞLERİ</th></tr>
									<tr>
										<th></th>
										<th>Fiş No</th>
										<th>Kart</th>
										<th>İşlem Türü</th>
										<th>Ödeme Türü</th>
										<th>Tutar</th>
										<th>Ekleyen</th>
										<th>Tarih</th>
									</tr>
								</thead>
							<tbody>';
							
		$_tur	=	array(
			"gelir"	=>	"Gelir Fişi",
			"gider"	=>	"Gider Fişi"
		);
		
		$_odeme_tur	=	array( "", "Nakit", "Kredi Kartı", "Çek" );
		
		$toplam_tutar	=	0.00;
		
		array_reduce( $_tablo, function( $par, $tr ){
			global	$_cikti, $_tur, $toplam_tutar, $_odeme_tur;
			static $key	=	1;
			
			if				( $tr["islem"] == "gelir" ) $toplam_tutar	=	$toplam_tutar + floatval( $tr["tutar"] );
			else if	( $tr["islem"] == "gider" ) $toplam_tutar	=	$toplam_tutar - floatval( $tr["tutar"] );
			
			$_cikti	.=	'<tr>
										<td>#'.$key.'</td>
										<td>'.$tr["gg_fis_id"].'</td>
										<td>'.$tr["kart_ismi"].'</td>
										<td>'.$_tur[ $tr["islem"] ].'</td>
										<td>'.$_odeme_tur[ $tr["odeme_tur"] ].'</td>
										<td>'.( ( $tr["islem"] == "gider" ) ? "-" : null ).( sqlToPara($tr["tutar"]) ).' <i class="fa fa-try"></i></td>
										<td>'.( $tr["user_ad"]." ".$tr["user_soyad"]).'</td>
										<td>'.( date( "d.m.Y", strtotime( $tr["gg_fis_tarihi"] ) ) ).'</td>
									</tr>';
									$key++;
		} );
		
		$_cikti	.=	'<tr>
									<td colspan="5"></td>
									<td>'.sqlToPara( $toplam_tutar ).' <i class="fa fa-try"></i></td>
									<td colspan="2"></td>
								</tr>';
		
		$_cikti	.=	'</tbody></table>';
		
		break; //Gelir Gider Fişleri---------------------------------------------------------------------------------------------------
		
		case "musteri_profil"	: //Müşteri Profil-------------------------------------------------------------------------------------
			
			require $_SESSION["root"]."/inc/Iller.php";
			
			$musteri_id	=	get("params")["where"];
			$_servis			=	new Servis();
			$_il						=	new Il();
			
			$musteriSql	=	"select * from "._MUSTERILER." where musteri_id = ? and musteri_sil = 0 LIMIT 1";
			$musteri			=	$_servis -> ozelSorgu( $musteriSql, array( $musteri_id ) );
			
			if( $musteri === false ){
				die( $_servis -> getHata() );
			}
			
			$musteri			=	$musteri[0];
			
			$musteri_profil_resmi	=	( $musteri["musteri_profil_resmi"] && 
																is_file( $_SESSION["root"]."/uploads/resimler/".$musteri["musteri_profil_resmi"] ) ) ? 
																'<img src="'.( $_SESSION["oto_url"]."/uploads/resimler/".$musteri["musteri_profil_resmi"] ).'" style="width:170px;height:160px;" />' : 
																'<div 
																style="text-align:center;width:100%;height:100%;border:1px solid #cccccc;line-height:140px;">Profil Resmi</div>';
			
			$_cikti				=		'<table><thead><tr><th colspan="2">MÜŞTERİ BİLGİLERİ</th></tr></thead>';
			$_cikti				.=	'<tbody>
												<tr>
													<td style="width:170px;height:160px;padding:5px;vertical-align:top;">'.$musteri_profil_resmi.'</td>
													<td colspan="2" style="padding:0;vertical-align:top;">
														<table class="no-border">
															<tbody>
																<tr>
																	<td class="baslik"><strong>Cari Adı :</strong></td>
																	<td>'.$musteri["musteri_adi"].'</td>
																</tr>
																<tr>
																	<td class="baslik"><strong>Cari Kodu :</strong></td>
																	<td>'.$musteri["musteri_kodu"].'</td>
																</tr>
																<tr>
																	<td class="baslik"><strong>Telefon :</strong></td>
																	<td>'.$musteri["musteri_tel1"].' / '.$musteri["musteri_tel2"].'</td>
																</tr>
																<tr>
																	<td class="baslik"><strong>Faks :</strong></td>
																	<td>'.$musteri["musteri_faks"].'</td>
																</tr>
																<tr>
																	<td class="baslik"><strong>E-Posta :</strong></td>
																	<td>'.$musteri["musteri_email"].'</td>
																</tr>
															</tbody>
														</table>
													</td>
												</tr>
												<tr>
													<td><strong>Vergi / Tc No :</strong></td>
													<td>'.$musteri["musteri_vergi_no"].'</td>
												</tr>
												<tr>
													<td><strong>Vergi Dairesi :</strong></td>
													<td>'.$musteri["musteri_vergi_dairesi"].'</td>
												</tr>
												<tr>
													<td><strong>Kayıt Tarihi :</strong></td>
													<td>'.date( "d.m.Y [H:i]", strtotime( $musteri["musteri_kayit_tarihi"] ) ).'</td>
												</tr>
												<tr>
													<td colspan="2" style="text-align:center;"><strong>Adres</strong></td>
												</tr>
												<tr>
													<td style="height:150px;vertical-align:top;line-height:20px;" colspan="2">'.nl2br( $musteri["musteri_adres"] ).'<br />
													'.( ( $musteri["ilce_semt"] ) ? $musteri["ilce_semt"]." / " : null ).( $_il -> ilTek( $musteri["il"] ) ).'</td>
												</tr>
												';
			$_cikti				.=	'</tbody></table>';
		
		break; //Müşteri Profil-------------------------------------------------------------------------------------
		
		case "tahsilat_formu"	: //Tahsilat Formu-------------------------------------------------------------------------------------
			
			require $_SESSION["root"]."/inc/YaziyaCevir.php";
			require $_SESSION["root"]."/inc/Iller.php";
			
			$tahsilat_id	=	get("params")["where"];
			$_servis			=	new Servis();
			$_il						=	new Il();
			
			$tahsilatSql	=	"select "._TAHSILAT.".*, "._USERS.".user_ad, "._USERS.".user_soyad, "._MUSTERILER.".musteri_adi from "._TAHSILAT."
											left join "._USERS." on "._USERS.".user_id = "._TAHSILAT.".ekleyen_id 
											left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._TAHSILAT.".musteri_id 
											where "._TAHSILAT.".tahsilat_id = ? and "._TAHSILAT.".tahsilat_sil = 0 LIMIT 1";
			$firmaSql		=	"select firma_adi,firma_tel1,firma_tel2,firma_faks,firma_email,firma_adres, firma_logo, 
											firma_il, firma_vergi_no, firma_vergi_dairesi from "._FIRMA." where firma_id = 1 LIMIT 1";
			$ayarSql			=	"select tahsilat_makbuzu_tutar_yaz from "._AYARLAR." where ayar_id = 1 LIMIT 1";
											
			$tahsilat			=	$_servis -> ozelSorgu( $tahsilatSql, array( $tahsilat_id ) );
			$firma				=	$_servis -> ozelSorgu( $firmaSql );
			$ayar				=	$_servis -> ozelSorgu( $ayarSql );
			
			if( $tahsilat === false ){
				die( $_servis -> getHata() );
			}
			$tahsilat			=	$tahsilat[0];
			extract( $tahsilat, EXTR_PREFIX_ALL, "tah" );
			extract( $firma[0] );
			extract( $ayar[0] );
			
			$_logo	=	( $firma_logo && is_file( $_SESSION["root"]."/uploads/resimler/".$firma_logo ) ) ? 
											'<img src="'.( $_SESSION["oto_url"]."/uploads/resimler/".$firma_logo ).'" style="max-width:100%;max-height:130px;" />' : '<div 
											style="text-align:center;width:170px;height:130px;border:1px solid #cccccc;line-height:130px;">Logo</div>';
			
			$_cikti				=	'<div class="tahsilat-formu clear">
												<div class="clear tahsilat1">
													<div class="form1 left clear">
														<div class="firma-logo left">
															'.$_logo.'
														</div>
														<div class="firma-adres right">
															<h4>'.$firma_adi.'</h4>
															<p>'.$firma_adres.' '.( $_il -> ilTek( $firma_il ) ).'<br />
															Tel : '.$firma_tel1.' - '.$firma_tel2.'<br />
															Faks : '.$firma_faks.'<br />
															'.$firma_vergi_dairesi.' '.$firma_vergi_no.'</p>
														</div>
														<div class="sayin left clear">
															<span class="left">Sayin : </span>
															<h4 class="left">'.$tah_musteri_adi.'</h4>
														</div>
														<div class="odeme right">
															<div class="baslik clear"><span>Nakit Ödeme <span class="kutu"></span></span></div>
															<div class="baslik clear"><span>Çekle Ödeme <span class="kutu"></span></span></div>
															<div class="baslik clear"><span>Kredi Kartı <span class="kutu"></span></span></div>
														</div>
													</div>
													
													<div class="form2 left">
														<h2 class="text-center">TAHSİLAT MAKBUZU</h2>
														<p class="baslik"><span>Sıra : </span>'.$tah_tahsilat_id.'</p>
														<p class="baslik"><span>Tarih : </span>'.( date( "d/m/Y" ) ).'</p>
														<div class="tahsilat-kase-imza"><strong>KAŞE VE İMZA</strong></div>
													</div>
												</div>
												
												<div class="form3 clear">
													<p>Hesabınıza kaydedilmek üzere tahsil edilen Toplam, <strong style="font-size:18px;">
													'.( ( $tahsilat_makbuzu_tutar_yaz ) ? sqlToPara( $tah_tahsilat_fiyat )." TL" : null ).'</strong></p>
													<p class="baslik"><span>Yalnız, 
													<strong>'.( ( $tahsilat_makbuzu_tutar_yaz ) ? sayiyiYaziyaCevir($tah_tahsilat_fiyat,2,"tl","kuruş",null,null,null,null) : null ).'</strong></span></p>
												</div>
												
												<table style="margin-top:10px;">
													<thead>
														<tr>
															<th>Banka</th>
															<th>Şube</th>
															<th>Hesap No</th>
															<th>Çek No</th>
															<th>Vade Tarihi</th>
															<th>Tutarı</th>
														</tr>
													</thead>
													<tbody>
														<tr><td>&nbsp;</td><td></td><td></td><td></td><td></td><td></td></tr>
														<tr><td>&nbsp;</td><td></td><td></td><td></td><td></td><td></td></tr>
														<tr><td>&nbsp;</td><td></td><td></td><td></td><td></td><td></td></tr>
													<tbody>
												</table>
											</div>';
			
			
		
		break; //Tahsilat Formu-------------------------------------------------------------------------------------
		
		case "servis_kabul_formu"	: //Servis Kabul formu-----------------------------------------------------------------------------
			
			require $_SESSION["root"]."/inc/Iller.php";
			require $_SESSION["root"]."/inc/BBcode.php";
			
			$fis_id				=	get("params")["where"];
			$_servis			=	new Servis();
			$il						=	new Il();
			$bbcode			=	new BBcode();
			
			$fisSql = "select "._SERVISFISLERI.".*, "._MUSTERILER.".musteri_adi, "._MUSTERILER.".musteri_tel1, "._MUSTERILER.".musteri_tel2, "._MUSTERILER.".musteri_faks, "._MUSTERILER.".musteri_email, "._MUSTERILER.".musteri_adres, "._MUSTERILER.".il,"._MUSTERILER.".musteri_kodu, "._MUSTERILER.".musteri_vergi_no, "._MUSTERILER.".musteri_vergi_dairesi,"._MUSTERILER.".bakiye, "._USERS.".user_ad, "._USERS.".user_soyad, "._CIHAZLAR.".cihaz_baslik, "._MARKALAR.".marka_baslik 
			from "._SERVISFISLERI." 
			left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
			left join "._USERS." on "._USERS.".user_id = "._SERVISFISLERI.".ekleyen_id 
			left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
			left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
			where "._SERVISFISLERI.".servis_fis_id = ? and "._SERVISFISLERI.".fis_sil = 0 LIMIT 1";
											
			$firmaSql		=	"select firma_adi,firma_tel1,firma_tel2,firma_faks,firma_email,firma_adres,firma_il from "._FIRMA." where firma_id = 1 LIMIT 1";
			$ayarSql			=	"select musteri_sorgula, panel_bilgilerini_ekle, sartname, versiyon from "._AYARLAR." where ayar_id = 1 LIMIT 1";
											
			$fis				=	$_servis -> ozelSorgu( $fisSql, array( $fis_id ) );
			$firma			=	$_servis -> ozelSorgu( $firmaSql );
			$ayar			=	$_servis -> ozelSorgu( $ayarSql );
			
			if( $fis === false ){
				die( $_servis -> getHata() );
			}

			extract( $fis[0], EXTR_PREFIX_ALL, "fis" );
			extract( $firma[0] );
			extract( $ayar[0], EXTR_PREFIX_ALL, "ayar" );
			
			$firma_bilgileri_array	=	array( $firma_adi, ( ( $firma_tel1 ) ? $firma_tel1 : $firma_tel2 ), $firma_email, $firma_adres );
			$ayar_sartname				=	$bbcode -> Sartname( $ayar_sartname, $firma_bilgileri_array, "strong" );
		
			$_cikti	=	'<table class="non-border"><tbody><tr><td colspan="3" class="text-center"><h2>ÜRÜN KABUL FORMU</h2></td></tr>
									<tr>
										<td class="pos-rel">
											<img src="'.$_SESSION["oto_url"].'/plugin/barkod/barkod.php?text='.$fis_servis_fis_no.'&size=36" class="img-yazdir-fis-no" />
											<h3>Servis No : '.$fis_servis_fis_no.'</h3>
										</td>
										<td class="text-center"><h3>Cari Kodu : '.$fis_musteri_kodu.'</h3></td>
										<td class="text-right">Kabul Tarihi : '.( date( "d/m/Y H:i", strtotime( $fis_servis_giris_tarihi ) ) ).'</td>
									</tr>
								</tbody></table>
								<table class="servis_kabul_formu"><tbody>
									<tr>
										<td colspan="4" class="main-header"><strong>Cari Bilgileri</strong></td>
									</tr>
									<tr>
										<td class="baslik">Cari Adı :</td><td>'.$fis_musteri_adi.'</td>
										<td class="baslik">Telefon 2 :</td><td>'.$fis_musteri_tel2.'</td>
									</tr>
									<tr>
										<td class="baslik">Telefon :</td><td>'.$fis_musteri_tel1.'</td>
										<td class="baslik">E-Posta :</td><td>'.$fis_musteri_email.'</td>
									</tr>
									<tr>
										<td class="baslik">Faks</td><td>'.$fis_musteri_faks.'</td>
										<td class="baslik" colspan="2"></td>
									</tr>
									<tr>
										<td class="baslik">Adres :</td>
										<td colspan="3" rowspan="2" class="v-top">'.$fis_musteri_adres.'<br />'.( $il -> ilTek( $fis_il ) ).'</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td class="baslik">Vergi Dairesi :</td><td>'.$fis_musteri_vergi_dairesi.'</td>
										<td class="baslik">Vergi / Tc No :</td><td>'.$fis_musteri_vergi_no.'</td>
									</tr>
									<tr>
										<td colspan="4" class="main-header"><strong>Cihaz Bilgileri</strong></td>
									</tr>
									<tr>
										<td class="baslik">Cihaz :</td><td>'.$fis_cihaz_baslik.'</td>
										<td class="baslik">Marka :</td><td>'.$fis_marka_baslik.'</td>
									</tr>
									<tr>
										<td class="baslik">Seri No :</td><td>'.$fis_servis_seri_no.'</td>
										<td class="baslik">Model No :</td><td>'.$fis_servis_model_no.'</td>
									</tr>
									<tr>
										<td class="baslik">Garanti :</td><td colspan="3">'.( ( $fis_servis_garanti_durum ) ? "Var ".
										( ( strtotime( $fis_garanti_baslangic ) ) ? "Başlangıç : ".date( "d/m/Y", strtotime( $fis_garanti_baslangic ) ) : null )." - ".
										( ( strtotime( $fis_garanti_bitis ) ) ? "Bitiş : ".date( "d/m/Y", strtotime( $fis_garanti_bitis ) ) : null ) : "Yok" ).'</td>
									</tr>
									<tr>
										<td colspan="4" class="main-header"><strong>Servis Bilgileri</strong></td>
									</tr>
									<tr>
										<td class="baslik">Bildirilen Arıza :</td>
										<td colspan="3" rowspan="2" class="v-top">'.$fis_sikayet.'</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td class="baslik">Birlikte Gelenler :</td>
										<td colspan="3" rowspan="2" class="v-top">'.$fis_birlikte_gelenler.'</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td class="baslik">Yapılan İşlemler :</td>
										<td colspan="3" rowspan="2" class="v-top"></td>
									</tr>
									<tr>
										<td>&nbsp;</td>
									</tr>
									</tbody></table>
									<div style="padding:4px 0;">Bu Formun Ön ve Arka Sayfasında Yazılan Tüm Bilgileri Okudum ve Kabul Ediyorum.</div>
									<table><tbody>
										<tr>
											<td class="v-top"><h3>TESLİM ALAN PERSONEL :</h3><strong>'.$fis_user_ad.' '.$fis_user_soyad.'</strong></td>
										</tr>
									</tbody></table>
									<div style="padding:10px 0;"><h3>TEKNİK SERVİS ŞARTLARI</h3></div>
									<div class="teknik-servis-sartlari">
										'.nl2br( $ayar_sartname ).'
									</div>
									<div class="text-center firma-bilgi">
										<h3>'.$firma_adi.'</h3>
										<p>'.$firma_adres.' / '.( $il -> ilTek( $firma_il ) ).'</p>
										<p>Telefon : '.$firma_tel1.' - '.$firma_tel2.' / Faks : '.$firma_faks.' / Email : '.$firma_email.'</p>
									</div>
									<div class="kabul-fisi-cizgi">'.( ( $ayar_panel_bilgilerini_ekle ) ? '
										Değerli Müşterimiz, cihazınızla ilgili son bilgilere aşağıdaki bilgilerle ulaşabilirsiniz.
											<h4>'.$_SESSION["oto_url"].'</h4>
											<p>Tel : '.( ( $fis_musteri_tel1 ) ? $fis_musteri_tel1 : $fis_musteri_tel2 ).'</p>
											<p>Fiş No : '.$fis_servis_fis_no.'</p>' : null ).'
									</div>
								';
		
		break;//Servis Kabul formu----------------------------------------------------------------------------------------------------------
		
		case "servis_teslim_formu"	: //Servis Teslim formu---------------------------------
			
			require $_SESSION["root"]."/inc/Iller.php";
			require $_SESSION["root"]."/inc/BBcode.php";
			
			$fis_id				=	get("params")["where"];
			$_servis			=	new Servis();
			$il						=	new Il();
			$bbcode			=	new BBcode();
			
			$fisSql				=	"select "._SERVISFISLERI.".*, "._MUSTERILER.".musteri_adi, "._MUSTERILER.".musteri_tel1, "._MUSTERILER.".musteri_tel2, 
											"._MUSTERILER.".musteri_faks, "._MUSTERILER.".bakiye,"._MUSTERILER.".musteri_email, "._MUSTERILER.".musteri_adres, "._MUSTERILER.".il, 
											"._MUSTERILER.".musteri_kodu, "._MUSTERILER.".musteri_vergi_no, "._MUSTERILER.".musteri_vergi_dairesi, 
											"._USERS.".user_ad, "._USERS.".user_soyad, "._CIHAZLAR.".cihaz_baslik, "._MARKALAR.".marka_baslik 
											from "._SERVISFISLERI." 
											left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
											left join "._USERS." on "._USERS.".user_id = "._SERVISFISLERI.".ekleyen_id 
											left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
											left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
											where "._SERVISFISLERI.".servis_fis_id = ? and "._SERVISFISLERI.".fis_sil = 0 LIMIT 1";
											
			$islemSql		=	"select servis_islem_id, servis_tutar, servis_islem_tarihi, servis_islem_aciklama, servis_formunda_goster 
											from "._SERVISISLEMLERI." where servis_fis_id = ? and servis_islem_sil = 0 order by servis_islem_tarihi asc";
			
			$firmaSql		=	"select firma_adi,firma_tel1,firma_tel2,firma_faks,firma_email,firma_adres,firma_il from "._FIRMA." where firma_id = 1 LIMIT 1";
			$ayarSql			=	"select musteri_sorgula, servis_formu_tutar_yaz, panel_bilgilerini_ekle, sartname, versiyon, kdv_oran from "._AYARLAR." 
											where ayar_id = 1 LIMIT 1";
											
			$fis					=	$_servis -> ozelSorgu( $fisSql, array( $fis_id ) );
			$islemler		=	$_servis -> ozelSorgu( $islemSql, array( $fis_id ) );
			$firma				=	$_servis -> ozelSorgu( $firmaSql );
			$ayar				=	$_servis -> ozelSorgu( $ayarSql );
			
			if( $fis === false || $islemler === false ){
				die( $_servis -> getHata() );
			}

			extract( $fis[0], EXTR_PREFIX_ALL, "fis" );
			extract( $firma[0] );
			extract( $ayar[0], EXTR_PREFIX_ALL, "ayar" );
			
			$toplamTutar					=	0;
			$yedekParcalar				=	array();

			$imza = json_decode( $fis_mobil_imza, true );

			$imzaResim = array(
				"personel" => is_file( $_SESSION["root"]."/uploads/resimler/".$imza["dosya"]."_1.jpeg" ) ? '<img src="'.$_SESSION["oto_url"]."/uploads/resimler/".$imza["dosya"]."_1.jpeg".'" class="img img-responsive" style="width:200px;" />' : null,
				"musteri" => is_file( $_SESSION["root"]."/uploads/resimler/".$imza["dosya"]."_2.jpeg" ) ? '<img src="'.$_SESSION["oto_url"]."/uploads/resimler/".$imza["dosya"]."_2.jpeg".'" class="img img-responsive" style="width:200px;" />' : null
			);

			$teslim = array(
				"teslimAlan" => ( $imza["musteri"] ) ? $imza["musteri"] : $fis_musteri_adi,
	"teslimEden" => ( $imza["personel"] ) ? $imza["personel"] : $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"]
			);
			
			foreach( $islemler as $islem ){
				
				$_malzemeler	=	$_servis -> ozelSorgu( "select "._KULLANILANMALZEMELER.".*, "._YEDEKPARCA.".yedek_parca_adi, "._YEDEKPARCA.".barkod 
													from "._KULLANILANMALZEMELER." 
													left join "._YEDEKPARCA." on "._KULLANILANMALZEMELER.".yedek_parca_id = "._YEDEKPARCA.".yedek_parca_id 
													where "._KULLANILANMALZEMELER.".servis_islem_id = ?", array( $islem["servis_islem_id"] ) );
													
				foreach( $_malzemeler as $mal ){
					$toplamTutar		+=	intval( $mal["adet"] ) * floatval( $mal["birim_fiyat"] );
					$yedekParcalar[ $islem["servis_islem_id"] ]	.=	$mal["yedek_parca_adi"]." [".$mal["barkod"]."] [".$mal["adet"]."] , ";
				}
													
				$toplamTutar		+=	floatval( $islem["servis_tutar"] );
			}
																
			$tutarlar_yaz					=	'<h3 class="text-center">Toplam Tutar</h3><h3 class="text-center" 
																style="font-size:18px;padding-top:10px;">'.( sqlToPara( $toplamTutar ) ).' TL</h3>';
			if( $ayar_kdv_oran ){
				$kdv_oran			=	1 + floatval( floatval( $ayar_kdv_oran ) / 100 );
				$ara_toplam		=	$toplamTutar / $kdv_oran;
				$kdv_tutar		=	$toplamTutar - $ara_toplam;
				$tutarlar_yaz	=	'<span>Ara Toplam</span>
													<span style="border-bottom:1px solid #ddd;display:block;font-size:14px;">
														<strong>'.sqlToPara( $ara_toplam ).'</strong> <i class="fa fa-try"></i></span>
													<span>Kdv Tutarı ( %'.$ayar_kdv_oran.' )</span>
													<span style="border-bottom:1px solid #ddd;display:block;font-size:14px;">
														<strong>'.sqlToPara( $kdv_tutar ).'</strong> <i class="fa fa-try"></i></span>
													<span>Toplam</span>
													<span style="border-bottom:1px solid #ddd;display:block;font-size:14px;">
														<strong>'.sqlToPara( $toplamTutar ).'</strong> <i class="fa fa-try"></i></span>';
			}
			$firma_bilgileri_array	=	array( $firma_adi, ( ( $firma_tel1 ) ? $firma_tel1 : $firma_tel2 ), $firma_email, $firma_adres );
			$ayar_sartname				=	$bbcode -> Sartname( $ayar_sartname, $firma_bilgileri_array, "strong" );
		
			$_cikti	=	'<table class="non-border">
									<tbody>
										<tr>
											<td colspan="3" class="text-center"><h2>ÜRÜN TESLİM FORMU</h2></td>
										</tr>
										<tr>
											<td class="pos-rel">
												<img src="'.$_SESSION["oto_url"].'/plugin/barkod/barkod.php?text='.$fis_servis_fis_no.'&size=36" class="img-yazdir-fis-no" />
												<h3>Servis No : '.$fis_servis_fis_no.'</h3>
											</td>
											<td class="text-center"><h3>Cari Kodu : '.$fis_musteri_kodu.'</h3></td>
											<td class="text-right">Tarih : '.date( "d/m/Y H:i").'</td>
										</tr>

									</tbody>
								</table>

								<table class="servis_kabul_formu"><tbody>
									<tr>
										<td colspan="4" class="main-header"><strong>Cari Bilgileri</strong></td>
									</tr>
									<tr>
										<td class="baslik">Cari Adı :</td><td>'.$fis_musteri_adi.'</td>
										<td class="baslik">Telefon 2 :</td><td>'.$fis_musteri_tel2.'</td>
									</tr>
									<tr>
										<td class="baslik">Telefon :</td><td>'.$fis_musteri_tel1.'</td>
										<td class="baslik">E-Posta :</td><td>'.$fis_musteri_email.'</td>
									</tr>
									<tr>
										<td class="baslik">Faks</td><td>'.$fis_musteri_faks.'</td>
										<td class="baslik" colspan="2"></td>
									</tr>
									<tr>
										<td class="baslik">Adres :</td>
										<td colspan="3" rowspan="2" class="v-top">'.$fis_musteri_adres.'<br />'.( $il -> ilTek( $fis_il ) ).'</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td class="baslik">Vergi Dairesi :</td><td>'.$fis_musteri_vergi_dairesi.'</td>
										<td class="baslik">Vergi / Tc No :</td><td>'.$fis_musteri_vergi_no.'</td>
									</tr>
									<tr>
										<td colspan="4" class="main-header"><strong>Makine Bilgileri</strong></td>
									</tr>
									<tr>
										<td class="baslik">Cihaz :</td><td>'.$fis_cihaz_baslik.'</td>
										<td class="baslik">Marka :</td><td>'.$fis_marka_baslik.'</td>
									</tr>
									<tr>
										<td class="baslik">Seri No :</td><td>'.$fis_servis_seri_no.'</td>
										<td class="baslik">Model No :</td><td>'.$fis_servis_model_no.'</td>
									</tr>
									<tr>
										<td class="baslik">Garanti :</td><td>'.( ( $fis_servis_garanti_durum ) ? "Var ".
										( ( strtotime( $fis_garanti_baslangic ) ) ? "Başlangıç : ".date( "d/m/Y", strtotime( $fis_garanti_baslangic ) ) : null )." - ".
										( ( strtotime( $fis_garanti_bitis ) ) ? "Bitiş : ".date( "d/m/Y", strtotime( $fis_garanti_bitis ) ) : null ) : "Yok" ).'</td>
										<td class="baslik">Kabul Tarihi :</td><td>'.( date( "d/m/Y H:i", strtotime( $fis_servis_giris_tarihi ) ) ).'</td>
									</tr>
									<tr>
										<td colspan="4" class="main-header"><strong>Servis Bilgileri</strong></td>
									</tr>
									<tr>
										<td class="baslik v-top">Bildirilen Arıza :</td>
										<td colspan="3" rowspan="2" class="v-top">'.$fis_sikayet.'</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td class="baslik v-top">Birlikte Gelenler :</td>
										<td colspan="3" rowspan="2" class="v-top">'.$fis_birlikte_gelenler.'</td>
									</tr>
									<tr>
										<td>&nbsp;</td>
									</tr>
									<tr>
										<td class="baslik v-top">Yapılan İşlemler :</td>
										<td colspan="3" rowspan="2" class="v-top">
											'.( implode( array_map( function( $islem ) use($yedekParcalar){
												if( $islem["servis_formunda_goster"] ){
													static $sira	=	0;
													$sira++;

													return 
														'<div>
															<p>
																<strong>'.$sira.' -</strong> [ '.( date( "d/m/Y", strtotime( $islem["servis_islem_tarihi"] ) ) ).' ]
															</p>
															<p>'.nl2br($islem["servis_islem_aciklama"]).'</p><br />
															'.( 
																( $yedekParcalar[ $islem["servis_islem_id"] ] ) ? 
																	'<p>
																		<strong>Değişenler :</strong> '.$yedekParcalar[ $islem["servis_islem_id"] ].'
																	</p><br />' : null 
															).'
														</div>';
												}
												else{
													return null;
												}
									}, $islemler ) ) ).'
										</td>
									</tr>
									<tr>
										<td class="v-top">'.( ( $ayar_servis_formu_tutar_yaz ) ? $tutarlar_yaz : '&nbsp;' ).'</td>
									</tr>
									</tbody></table>
									<div style="padding:4px 0;">Bu Formun Ön ve Arka Sayfasında Yazılan Tüm Bilgileri Okudum ve Kabul Ediyorum.</div>
									<table><tbody>
										<tr>
											<td class="v-top">
												<h3>TESLİM ALAN : '.$teslim["teslimAlan"].'</h3>
												'.$imzaResim["musteri"].'
											</td>
											<td class="v-top">
												<h3>TESLİM EDEN PERSONEL : '.$teslim["teslimEden"].'</h3>
												'.$imzaResim["personel"].'
											</td>
										</tr>
									</tbody></table>
									<div style="padding:10px 0;"><h3>TEKNİK SERVİS ŞARTLARI</h3></div>
									<div class="teknik-servis-sartlari">
										'.nl2br( $ayar_sartname ).'
									</div>
									<div class="text-center firma-bilgi">
										<h3>'.$firma_adi.'</h3>
										<p>'.$firma_adres.' / '.( $il -> ilTek( $firma_il ) ).'</p>
										<p>Telefon : '.$firma_tel1.' - '.$firma_tel2.' / Faks : '.$firma_faks.' / Email : '.$firma_email.'</p>
									</div>
									<div class="kabul-fisi-cizgi">'.( ( $ayar_panel_bilgilerini_ekle ) ? '
										Değerli Müşterimiz, cihazınızla ilgili son bilgilere aşağıdaki bilgilerle ulaşabilirsiniz.
											<h4>'.$_SESSION["oto_url"].'</h4>
											<p>Tel : '.( ( $fis_musteri_tel1 ) ? $fis_musteri_tel1 : $fis_musteri_tel2 ).'</p>
											<p>Fiş No : '.$fis_servis_fis_no.'</p>' : null ).'
									</div>
								';
		
		break;//Servis Teslim formu---------------------------------------------------------------------


		case "servis_teslim_pdf"	: //Servis Teslim Pdf-------------------------------------------------
			
			require $_SESSION["root"]."/inc/Iller.php";
			require $_SESSION["root"]."/inc/BBcode.php";
			require $_SESSION["root"]."/inc/Yazdir.php";
			require $_SESSION["root"].'/vendor/autoload.php';
			
			$fis_id = get("params")["where"];
			$_servis =  new Servis();
			$yazdir = new Yazdir();

			$cikti = $yazdir -> servis_teslim($_servis, $fis_id);
			
			ob_end_clean();
			
			$html2pdf = new Spipu\Html2Pdf\Html2Pdf('P', 'A4', 'tr');
			$html2pdf->addFont('freesans', 'freesans.php');
			$html2pdf->setDefaultFont('freesans');
			$html2pdf->writeHTML($cikti);
			$html2pdf->output();

			exit();
		
		break;//Servis Teslim Pdf------------------------------------------------------------------------------------------------


		case "servis_barkod"	: //Servis Barkod----------------------------------------------------------
			
			require $_SESSION["root"]."/inc/Iller.php";
			require $_SESSION["root"]."/inc/BBcode.php";
			
			$fis_id				=	get("params")["where"];
			$_servis			=	new Servis();
			$il						=	new Il();
			$bbcode			=	new BBcode();
			
			$fisSql				=	"select "._SERVISFISLERI.".*, "._MUSTERILER.".musteri_adi, "._MUSTERILER.".musteri_tel1, "._MUSTERILER.".musteri_tel2, 
											"._MUSTERILER.".musteri_faks, "._MUSTERILER.".musteri_email, "._MUSTERILER.".musteri_adres, "._MUSTERILER.".il, 
											"._MUSTERILER.".musteri_kodu, "._MUSTERILER.".bakiye,"._MUSTERILER.".musteri_vergi_no, "._MUSTERILER.".musteri_vergi_dairesi, 
											"._USERS.".user_ad, "._USERS.".user_soyad, "._CIHAZLAR.".cihaz_baslik, "._MARKALAR.".marka_baslik 
											from "._SERVISFISLERI." 
											left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
											left join "._USERS." on "._USERS.".user_id = "._SERVISFISLERI.".ekleyen_id 
											left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
											left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
											where "._SERVISFISLERI.".servis_fis_id = ? and "._SERVISFISLERI.".fis_sil = 0 LIMIT 1";
											
			$islemSql		=	"select servis_islem_id, servis_tutar, servis_islem_tarihi, servis_islem_aciklama, servis_formunda_goster 
											from "._SERVISISLEMLERI." where servis_fis_id = ? and servis_islem_sil = 0 order by servis_islem_tarihi asc";
			
			$firmaSql		=	"select firma_adi,firma_tel1,firma_tel2,firma_faks,firma_email,firma_adres,firma_il from "._FIRMA." where firma_id = 1 LIMIT 1";
			$ayarSql			=	"select musteri_sorgula, servis_formu_tutar_yaz, panel_bilgilerini_ekle, sartname, versiyon, kdv_oran from "._AYARLAR." 
											where ayar_id = 1 LIMIT 1";
											
			$fis					=	$_servis -> ozelSorgu( $fisSql, array( $fis_id ) );
			$islemler		=	$_servis -> ozelSorgu( $islemSql, array( $fis_id ) );
			$firma				=	$_servis -> ozelSorgu( $firmaSql );
			$ayar				=	$_servis -> ozelSorgu( $ayarSql );
			
			if( $fis === false || $islemler === false ){
				die( $_servis -> getHata() );
			}

			extract( $fis[0], EXTR_PREFIX_ALL, "fis" );
			extract( $firma[0] );
			extract( $ayar[0], EXTR_PREFIX_ALL, "ayar" );
			
			$toplamTutar					=	0;
			$yedekParcalar				=	array();
			
			foreach( $islemler as $islem ){
				
				$_malzemeler	=	$_servis -> ozelSorgu( "select "._KULLANILANMALZEMELER.".*, "._YEDEKPARCA.".yedek_parca_adi 
													from "._KULLANILANMALZEMELER." 
													left join "._YEDEKPARCA." on "._KULLANILANMALZEMELER.".yedek_parca_id = "._YEDEKPARCA.".yedek_parca_id 
													where "._KULLANILANMALZEMELER.".servis_islem_id = ?", array( $islem["servis_islem_id"] ) );
													
				foreach( $_malzemeler as $mal ){
					$toplamTutar		+=	intval( $mal["adet"] ) * floatval( $mal["birim_fiyat"] );
					$yedekParcalar[ $islem["servis_islem_id"] ]	.=	$mal["yedek_parca_adi"]." [".$mal["adet"]."] , ";
				}
													
				$toplamTutar		+=	floatval( $islem["servis_tutar"] );
			}
																
			$tutarlar_yaz					=	'<h3 class="text-center">Toplam Tutar</h3><h3 class="text-center" 
																style="font-size:18px;padding-top:10px;">'.( sqlToPara( $toplamTutar ) ).' TL</h3>';
			if( $ayar_kdv_oran ){
				$kdv_oran			=	1 + floatval( floatval( $ayar_kdv_oran ) / 100 );
				$ara_toplam		=	$toplamTutar / $kdv_oran;
				$kdv_tutar		=	$toplamTutar - $ara_toplam;
				$tutarlar_yaz	=	'<span>Ara Toplam</span>
										<span style="border-bottom:1px solid #ddd;display:block;font-size:14px;">
											<strong>'.sqlToPara( $ara_toplam ).'</strong> <i class="fa fa-try"></i></span>
										<span>Kdv Tutarı ( %'.$ayar_kdv_oran.' )</span>
										<span style="border-bottom:1px solid #ddd;display:block;font-size:14px;">
											<strong>'.sqlToPara( $kdv_tutar ).'</strong> <i class="fa fa-try"></i></span>
										<span>Toplam</span>
										<span style="border-bottom:1px solid #ddd;display:block;font-size:14px;">
											<strong>'.sqlToPara( $toplamTutar ).'</strong> <i class="fa fa-try"></i></span>';
			}
			$firma_bilgileri_array	=	array( $firma_adi, ( ( $firma_tel1 ) ? $firma_tel1 : $firma_tel2 ), $firma_email, $firma_adres );
			$ayar_sartname				=	$bbcode -> Sartname( $ayar_sartname, $firma_bilgileri_array, "strong" );
			
			$__no_logo = true;
		
			$_cikti	=	'<div class="text-center firma-bilgi">
								<h3>'.$firma_adi.'</h3>
								<h3>'.$_SESSION["oto_url"].'</h3>
						</div>
						<div>
							<table class="non-border">
								<tr>
									<td style="width:100px;">Ad Soyad :</td>
									<td>'.$fis_musteri_adi.'</td>
								</tr>
								<tr>
									<td style="width:100px;">Telefon :</td>
									<td>'.$fis_musteri_tel1.'</td>
								</tr>
								<tr>
									<td style="width:100px;">Şikayet :</td>
									<td>'.$fis_sikayet.'</td>
								</tr>
							</table>
						</div>
						<div class="text-center">
							<table class="non-border">
								<tr>
									<td>
										<img src="'.$_SESSION["oto_url"].'/plugin/barkod/barkod.php?text='.$fis_servis_fis_no.'&size=36"/>
									</td>
								</tr>
								<tr>
									<td><h2>'.$fis_servis_fis_no.'</h2></td>
								</tr>
								<tr>
									<td>'.date("d.m.Y H:i", strtotime($fis_servis_giris_tarihi)).'</td>
								</tr>
							</table>
						</div>';
		
		break;//Servis Barkod-----------------------------------------------------------------------------
		
		case "stok_barkod"	: //Stok Barkod----------------------------------------------------------
			
			$fis_id = get("params")["where"];
			$_servis = new Servis();
			$__no_logo = true;
			
			$fisSql = "select "._YEDEKPARCA.".* from "._YEDEKPARCA." 
				where "._YEDEKPARCA.".yedek_parca_id = ? and "._YEDEKPARCA.".yedek_parca_sil = 0 
				LIMIT 1
			";
											
			$fis = $_servis -> ozelSorgu( $fisSql, array( $fis_id ) );
			
			if( $fis === false ){
				die( $_servis -> getHata() );
			}

			extract( $fis[0], EXTR_PREFIX_ALL, "fis" );
		
			$_cikti = '
				<div style="padding-top:10px;text-align:center;">
					<img style="width:150px;height:auto;margin:0 auto;display:inline-block;" src="'.$_SESSION["oto_url"].'/plugin/barkod/barkod.php?text='.$fis_barkod.'&size=32"/>
				</div>
				<div style="width:150px;line-height:10px;font-size:8px;margin:0 auto;">'.$fis_barkod.'</div>
			';
		
		break;//Stok Barkod-----------------------------------------------------------------------------

		case "servis_qrcode" : //Servis qrcode------------------------------------------------------------
			
			require $_SESSION["root"]."/inc/Iller.php";
			require $_SESSION["root"]."/inc/BBcode.php";
			
			$fis_id = get("params")["where"];
			$_servis = new Servis();
			$il = new Il();
			$bbcode = new BBcode();
			
			$fisSql = "
				select "._SERVISFISLERI.".*, "._MUSTERILER.".musteri_adi, "._MUSTERILER.".musteri_tel1, "._MUSTERILER.".musteri_tel2, "._MUSTERILER.".musteri_faks, "._MUSTERILER.".musteri_email, "._MUSTERILER.".musteri_adres, "._MUSTERILER.".il, "._MUSTERILER.".musteri_kodu, "._MUSTERILER.".bakiye,"._MUSTERILER.".musteri_vergi_no, "._MUSTERILER.".musteri_vergi_dairesi, 
				"._USERS.".user_ad, "._USERS.".user_soyad, "._CIHAZLAR.".cihaz_baslik, "._MARKALAR.".marka_baslik 
				from "._SERVISFISLERI." 
				left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
				left join "._USERS." on "._USERS.".user_id = "._SERVISFISLERI.".ekleyen_id 
				left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
				left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
				where "._SERVISFISLERI.".servis_fis_id = ? and "._SERVISFISLERI.".fis_sil = 0 
				LIMIT 1
			";
			
			$firmaSql = "
				select firma_adi,firma_tel1,firma_tel2,firma_faks,firma_email,firma_adres,firma_il 
				from "._FIRMA." 
				where firma_id = 1 LIMIT 1
			";

			$ayarSql = "
				select musteri_sorgula, servis_formu_tutar_yaz, panel_bilgilerini_ekle, sartname, versiyon, kdv_oran 
				from "._AYARLAR." 
				where ayar_id = 1 LIMIT 1
			";
											
			$fis = $_servis -> ozelSorgu( $fisSql, array( $fis_id ) );
			$firma = $_servis -> ozelSorgu( $firmaSql );
			$ayar = $_servis -> ozelSorgu( $ayarSql );
			
			if( $fis === false ){
				die( $_servis -> getHata() );
			}

			extract( $fis[0], EXTR_PREFIX_ALL, "fis" );
			extract( $firma[0] );
			extract( $ayar[0], EXTR_PREFIX_ALL, "ayar" );

			$firma_bilgileri_array = array( $firma_adi, ( ( $firma_tel1 ) ? $firma_tel1 : $firma_tel2 ), $firma_email, $firma_adres );
		
			$_cikti = '
			<div class="text-center">
				<table class="non-border">
					<tr>
						<td>
							<img src="'.$_SESSION["oto_url"]."/plugin/qrcode/qrcode.php?s=".$fis_servis_fis_no."_".$fis_id.'"/>
						</td>
					</tr>
					<tr>
						<td>
							'.$fis_servis_fis_no."_".$fis_id.'
						</td>
					</tr>
				</table>
			</div>';
		
		break;//Servis qrcode------------------------------------------------------------------------
		
		case "servis_kabul_fisi"	: //Servis Kabul fişi-----------------------------------------------------------------------------
			
			require $_SESSION["root"]."/inc/Iller.php";
			require $_SESSION["root"]."/inc/BBcode.php";
			
			$fis_id				=	get("params")["where"];
			$_servis			=	new Servis();
			$il						=	new Il();
			$bbcode			=	new BBcode();
			
			$fisSql				=	"select "._SERVISFISLERI.".*, "._MUSTERILER.".musteri_adi, "._MUSTERILER.".musteri_tel1, "._MUSTERILER.".musteri_tel2, 
											"._MUSTERILER.".musteri_faks, "._MUSTERILER.".musteri_email, "._MUSTERILER.".musteri_adres, "._MUSTERILER.".il, 
											"._MUSTERILER.".musteri_kodu, "._MUSTERILER.".musteri_vergi_no, "._MUSTERILER.".musteri_vergi_dairesi, 
											"._USERS.".user_ad, "._USERS.".user_soyad, "._CIHAZLAR.".cihaz_baslik, "._MARKALAR.".marka_baslik 
											from "._SERVISFISLERI." 
											left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
											left join "._USERS." on "._USERS.".user_id = "._SERVISFISLERI.".ekleyen_id 
											left join "._CIHAZLAR." on "._CIHAZLAR.".cihaz_id = "._SERVISFISLERI.".cihaz_id 
											left join "._MARKALAR." on "._MARKALAR.".marka_id = "._SERVISFISLERI.".marka_id 
											where "._SERVISFISLERI.".servis_fis_id = ? and "._SERVISFISLERI.".fis_sil = 0 LIMIT 1";
											
			$firmaSql		=	"select firma_adi,firma_tel1,firma_tel2,firma_faks,firma_email,firma_adres,firma_il from "._FIRMA." where firma_id = 1 LIMIT 1";
			$ayarSql			=	"select musteri_sorgula, panel_bilgilerini_ekle from "._AYARLAR." where ayar_id = 1 LIMIT 1";
											
			$fis				=	$_servis -> ozelSorgu( $fisSql, array( $fis_id ) );
			$firma			=	$_servis -> ozelSorgu( $firmaSql );
			$ayar			=	$_servis -> ozelSorgu( $ayarSql );
			
			if( $fis === false ){
				die( $_servis -> getHata() );
			}

			extract( $fis[0], EXTR_PREFIX_ALL, "fis" );
			extract( $firma[0] );
			extract( $ayar[0], EXTR_PREFIX_ALL, "ayar" );
		
			$_cikti	=	'<div class="text-center firma-bilgi" style="margin-bottom:15px;">
									<h3>'.$firma_adi.'</h3>
									<p>'.$firma_adres.' / '.( $il -> ilTek( $firma_il ) ).'</p>
									<p>Telefon : '.$firma_tel1.' - '.$firma_tel2.'<br />'.$firma_email.'</p>
								</div>
								<table class="non-border">
									<tbody>
										<tr>
											<td style="width:80px;">Tarih</td>
											<td>: <span  style="float:right;">'.date( "d/m/Y", strtoTime( $fis_servis_giris_tarihi ) ).'</span></td>
										</tr>
										<tr>
											<td>Fiş No</td>
											<td>: <span  style="float:right;">'.$fis_servis_fis_no.'</span></td>
										</tr>
										<tr>
											<td>Cari Adı</td>
											<td>: <span  style="float:right;">'.$fis_musteri_adi.'</span></td>
										</tr>
										<tr>
											<td>Hesap Kodu</td>
											<td>: <span  style="float:right;">'.$fis_musteri_kodu.'</span></td>
										</tr>
									</tbody>
								</table>
								<h4 style="padding:5px 5px; border-bottom:1px solid #ddd;">Cihaz Bilgileri</h4>
								<table class="non-border">
									<tbody>
										<tr>
											<td style="width:80px;">Cihaz Türü</td>
											<td>: <span  style="float:right;">'.$fis_cihaz_baslik.'</span></td>
										</tr>
										<tr>
											<td>Model No</td>
											<td>: <span  style="float:right;">'.$fis_servis_model_no.'</span></td>
										</tr>
										<tr>
											<td>Seri No</td>
											<td>: <span  style="float:right;">'.$fis_servis_seri_no.'</span></td>
										</tr>
									</tbody>
								</table>
								<h4 style="padding:5px 5px; border-bottom:1px solid #ddd;">Servis Bilgileri</h4>
								<table class="non-border">
									<tbody>
										<tr>
											<td style="width:80px;">Arıza</td>
											<td>: <span  style="float:right;">'.$fis_sikayet.'</span></td>
										</tr>
										<tr>
											<td style="width:80px;">Aksesuar</td>
											<td>: <span  style="float:right;">'.$fis_birlikte_gelenler.'</td>
										</tr>
									</tbody>
								</table>
								<table class="non-border">
									<tbody>
										<tr>
											<td style="width:130px;"><strong>Teslim Alan Personel</strong></td>
											<td>: <strong style="float:right;">'.$fis_user_ad.' '.$fis_user_soyad.'</strong></td>
										</tr>
									</tbody>
								</table>
								<div class="kabul-fisi-cizgi">'.( ( $ayar_panel_bilgilerini_ekle ) ? '
									Değerli Müşterimiz, cihazınızla ilgili son bilgilere aşağıdaki bilgilerle ulaşabilirsiniz.
									<table class="non-border">
										<tbody>
											<tr>
												<td colspan="2">'.$_SESSION["oto_url"].'</td>
											</tr>
											<tr>
												<td>Tel : '.( ( $fis_musteri_tel1 ) ? $fis_musteri_tel1 : $fis_musteri_tel2 ).'</td>
												<td>Fiş No : '.$fis_servis_fis_no.'</td>
											</tr>
										</tbody>
									</table>' : null ).'
								</div>';
		
		break;//Servis Kabul fişi----------------------------------------------------------------------------------------------------------
		
	}

?>
<!DOCTYPE html>
<html lang="tr-TR">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Teknik Servis Yönetimi :: Tabloyu Yazdır</title>

    <link rel="shortcut icon" type="image/png" href="<?php echo OTO_URL; ?>/assets/img/favicon.png" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/print.css?v=<?= ver(); ?>" />

    <?php echo ( $yazdirHead ) ? $yazdirHead : null; ?>

</head>

<body onload="window.print();">

    <?php
		if( !$__no_logo ){
			$_cikti = $__logo.$_cikti;
		}
	?>

    <div class="print-tablo-genel">
        <?php echo $_cikti; ?>
    </div>

    <script type="text/javascript">
    if (window.innerWidth > 1000) {
        setTimeout(kapat, 1000);
    }

    function kapat() {
        window.close();
        window.onmousemove = function() {
            window.close();
        }
    }
    </script>

</body>

</html>