<?php

	class Fatura extends Servis{
		
		public $limit = 20;
		public $toplam = 0;
		
		public function getFatura($sayfa = 1,$param = null,$values = null,array $alanlar = null){
			$select = (is_array($alanlar)) ? rtrim(implode(",",$alanlar),",") : "*";
			$bas = ($sayfa * $this -> limit) - $this -> limit;
			$bit = $this -> limit;
			
			$sql					=	"select ".$select." from "._FATURALAR." 
											left join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._FATURALAR.".musteri_id 
											where ( "._FATURALAR.".fatura_sil = 0 ) ".$param." LIMIT ".$bas.",".$bit;
											
			$toplamSql	=	"select count(fatura_id) as toplam from "._FATURALAR." where ( "._FATURALAR.".fatura_sil = 0 ) ".$param;
			
			$this -> toplam = $this -> toplamSayfa($toplamSql,$values);
			
			try{
				$musteriler = $this -> db -> _baglan -> prepare($sql);
				$musteriler -> execute($values);
				return $musteriler -> fetchAll(PDO::FETCH_ASSOC);
			}
			catch(PDOException $hata){
				$this -> db -> _hata = $hata -> getMessage();
				return false;
			}
		}
		
		/*
		* @param array
		* @return string
		*/
		public function ekliurunlerCiktila( $urunler, $kaldir = true ){
			$fatura_tur	=		array(
				"alis"		=>	"Alış Fiyatı",
				"satis"	=>	"Satış Fiyatı"
			);
			
			$fiyat	=	array(
				"satis"	=>	"satis_fiyati",
				"alis"		=>	"alis_fiyati"
			);
			
			$tablo	=		'<table class="table table-bordered ekli-urunler"><thead>';
			$tablo	.=	'	<th>Yedek Parça</th>
										<th>'.$fatura_tur[ $_SESSION["fatura_tur"] ].'</th>
										<th>Kdv</th>
										<th>Tutar</th>
										<th>Adet</th>
										<th>Toplam Tutar</th>
										<th></th>
									</thead>';
			$tablo	.=	'<tbody>';
									
			foreach( $urunler as $urun ){
				static $sira			=	0;

				$tutar = $urun[ $fiyat[ $_SESSION["fatura_tur"] ] ];

				$kdvsi = floatval( $urun["kdv"] / 100 );

				$matrah = ( $urun["kdv_dahil"] ) ? $tutar / ( 1 + $kdvsi ) : $tutar;

				$kdv = ( $urun["kdv_dahil"] ) ? floatval( $tutar - $matrah ) : floatval( $matrah * $kdvsi );

				$tutar = $matrah + $kdv;
 
				$toplam = intval( $urun["adet"] ) * floatval( $tutar );

				$tablo	.=	'<tr>
											<td class="baslik">'.( ( $urun["urun_id"] == 0 ) ? "Teknik Hizmet Bedeli" : $urun["urun_adi"] ).'</td>
											<td>'.sqlToPara( $matrah ).' TL</td>
											<td>'.sqlToPara( $kdv ).' TL</td>
											<td>'.sqlToPara( $tutar ).' TL</td>
											<td>'.$urun["adet"].'</td>
											<td>'.sqlToPara( $toplam ).' TL</td>
											<td>'.( $kaldir ? '<span class="kaldir" onclick="faturaEkle.urunSil( '.$sira.' )"><i class="fa fa-times"></i>' : null ).'</td>
										</tr>';
				$sira++;
			}
			$tablo	.=	'</tbody></table>';
			
			return $tablo;
		}
		
		/*
		* @param array
		* @return array
		*/
		public function tutarlar( $urunler ){
			$araToplam			=	0.00;
			$kdvTutar				=	0.00;
			$genelToplam		=	0.00;
			$kdvOrt					=	0.00;
			
			$fiyat	=	array(
				"satis"	=>	"satis_fiyati",
				"alis"		=>	"alis_fiyati"
			);
			
			foreach( $urunler as $urun ){

				$tutar = $urun[ $fiyat[ $_SESSION["fatura_tur"] ] ];

				$kdvsi = floatval( $urun["kdv"] / 100 );

				$matrah = ( $urun["kdv_dahil"] ) ? $tutar / ( 1 + $kdvsi ) : $tutar;

				$kdv = ( $urun["kdv_dahil"] ) ? floatval( $tutar - $matrah ) : floatval( $matrah * $kdvsi );

				$tutar = $matrah + $kdv;

				$kdv = intval( $urun["adet"] ) * $kdv;
 
				$toplam = intval( $urun["adet"] ) * floatval( $tutar );




				$kdvOrt				+=	$kdv;
				$urunFiyat			=	floatval( $toplam );
				$genelToplam	+=	$urunFiyat;
			}
			
			$kdvOrtalama	=	$kdvOrt;
			$araToplam		=	$genelToplam - floatval( $kdvOrtalama );
			
			//$araToplam	=	$genelToplam - floatval( ( $genelToplam / 100 ) * intval( $kdvOrt / count( $urunler ) ) ); Hatalı hesaplama
			$kdvTutar			=	$kdvOrtalama;
			
			$tutar	=	array(
				"araToplam"			=>	floatval( $araToplam ),
				"kdvTutar"				=>	floatval( $kdvTutar ),
				"genelToplam"	=>	floatval( $genelToplam ),
				"kdvOrt"					=>	floatval( $kdvOrt )
			);
			return $tutar;
		}
		
	}

?>