<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/plugin/phpmailer/PHPMailerAutoload.php";
	
	$musteriler		=	post("musteriler");
	$baslik					=	post("mail_baslik");
	$detay					=	post("mail_detay");
	$imza_ekle		=	post("imza_ekle");
	$sonuc				=	array();
	
	$yetki_email_gonder				=	yetki( "email_gonder" );
	$yetki_servis_email_gonder	=	yetki( "servis_email_gonder" );
	
	//Yetki Kontrolü
	if( post("kayit") == "ekle" ){
		if( !$yetki_servis_email_gonder ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	"Email Gönderme Yetkiniz Yok !";
			echo json_encode( $sonuc );
			exit();
		}
	}
	else{
		if( !$yetki_email_gonder ){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	"Email Gönderme Yetkiniz Yok !";
			echo json_encode( $sonuc );
			exit();
		}
	}
	
	$mesaj					=	$detay;
	
	if( empty( $baslik ) || empty( $detay ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Gerekli Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	if( !is_array( $musteriler ) && empty( $musteriler ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Gerekli Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	
	$_servis				=	new Servis();
	
	$email_ayarlar	=	$_servis -> ozelSorgu("select email_sunucu, email_kullanici_adi, email_sifre, email_port from "._SMS_EMAIL." where ayar_id = 1");
	
	extract( $email_ayarlar[0] );
	
	if( !$email_sunucu || !$email_kullanici_adi || !$email_sifre ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Mail Ayarlarınız Yapılandırılmamış! Ayarlar Bölümüden Email Ayarlarınızı Yapabilirsiniz.";
		echo json_encode($sonuc);
		exit();
	}
	
	if( $imza_ekle ){
		$firma	=	$_servis -> ozelSorgu("select firma_imza from "._AYARLAR." where ayar_id = 1 LIMIT 1");
		$mesaj	.=	$firma[0]["firma_imza"];
	}
	
	$firma_adi	=	$_servis -> ozelSorgu( "select firma_adi from "._FIRMA." where firma_id = 1 LIMIT 1" )[0];
	
	$mail				=	new PHPMailer();
	
	$mail -> isSMTP();                                      // Set mailer to use SMTP
	$mail -> SMTPAuth		=	true;                               // Enable SMTP authentication
	$mail -> Host					=	$email_sunucu;  // Specify main and backup SMTP servers
	$mail -> Username		=	$email_kullanici_adi;                 // SMTP username
	$mail -> Password			=	$email_sifre;                           // SMTP password
	$mail -> SMTPSecure	=	'TLS';                            // Enable TLS encryption, `ssl` also accepted
	$mail -> Port					=	( $email_port ) ? intval($email_port) : 587;
	$mail -> SMTPOptions = array (
		'ssl' => array(
		'verify_peer' => false,
		'verify_peer_name' => false,
		'allow_self_signed' => true)
	);
	
	$mail -> CharSet = "UTF-8";
	$mail -> setLanguage('tr');
	$mail -> setFrom( $email_kullanici_adi, $firma_adi["firma_adi"] );
	$mail -> addReplyTo( $email_kullanici_adi, 'Cevapla' );
	
	//Gönderilecek emailler belirtiliyor
	foreach( $musteriler as $musteri_email ){
		$mail -> addAddress( $musteri_email ); // Name is optional
	}
	
	$mail -> IsHTML(true);                                  // Set email format to HTML

	$mail -> Subject		=	$baslik;
	$mail -> Body			=	nl2br( html_entity_decode( $mesaj ) );
	$mail -> AltBody		=	$detay;

	if( !$mail -> send() ) {
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Mail Gönderilemedi. ".$mail->ErrorInfo;
	} else {
		$sonuc["hata"]	=	false;
		$sonuc["mesaj"]	=	"<i class='fa fa-check'></i> Mailiniz Gönderildi.";
		
		//Mail gönderilmişse veritabanına kaydediliyor
		if( post("kayit") == "ekle" ){
			$servis_fis_id	=	post("servis_fis_id");
			$benID				=	$_SESSION["user"]["user_id"];
			$kayit					=	$_servis -> kayitEkle("insert into "._SMS_EMAIL_GONDERILENLER." set se_gonderen_id = ?, se_baslik = ?, se_mesaj = ?, 
																		se_tur = ?, servis_fis_id = ?", array($benID, $baslik, $mesaj, "email", $servis_fis_id) );
			if( $kayit !== false ){
				$sonuc["gonderim"]	=	true;
				$sonuc["content"]	=	'<div class="gonderim-bir">
																	<div class="header clearfix">
																		<span class="gonderen pull-left">
																		<strong> '.$_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"].'</strong></span>
																		<span class="tarih pull-right"><strong>'.date( "d/m/Y H:i" ).'</strong></span>
																	</div>
																	<div class="mesaj">
																		<div class="konu"><strong>'.$baslik.'</strong></div>
																		<div class="detay">'.nl2br( html_entity_decode( $mesaj ) ).'</div>
																	</div>
																</div>';
			}
		}
	}
	
	echo json_encode($sonuc);

?>