<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$id								=	post("id");
	$firma_adi				=	post("firma_adi");
	$telefon1				=	post("telefon1");
	$telefon2				=	post("telefon2");
	$faks						=	post("faks");
	$il								=	post("il");
	$email						=	post("email");
	$sektor					=	post("sektor");
	$adres						=	post("adres");
	$vergi_no				=	post("vergi_no");
	$vergi_dairesi		=	post("vergi_dairesi");
	$firma_hakkinda	=	post("firma_hakkinda");
	$firma_site			=	post("web_site");
	
	$sonuc					=	array();
	
	$yetki_firma_bilgileri_guncelle	=	yetki( "firma_bilgileri_guncelle" );
	
	//Yetki kontrolü
	if( !$yetki_firma_bilgileri_guncelle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Firma Bilgilerini Güncelleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if( $id != 1 ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik ID Bilgisi! ";
		echo json_encode($sonuc);
		exit();
	}
	
	//Email doğruluk kontrolü
	if( $email && filter_var($email, FILTER_VALIDATE_EMAIL) != true ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Email Adresini Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Web site doğruluk kontrolü
	// if( !preg_match( '@^http@si', $firma_site ) ){
		// $firma_site	=	"http://".$firma_site;
	// }
	if( $firma_site && filter_var( $firma_site, FILTER_VALIDATE_URL ) != true ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Web Sitenizi Doğru Girin!";
		echo json_encode( $sonuc );
		exit();
	}
	//Telefon doğruluk kontrolü
	if( ( $telefon1 && !preg_match('@\(\d{3}\) \d{3} \d{2} \d{2}@si',$telefon1) ) || 
		  ( $telefon2 && !preg_match('@\(\d{3}\) \d{3} \d{2} \d{2}@si',$telefon2) ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Telefon Numarasını Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Faks doğruluk kontrolü
	if( ( $faks && !preg_match('@\(\d{3}\) \d{3} \d{2} \d{2}@si',$faks) ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Faks Numarasını Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	
	$_servis	=	new Servis();
	
	$sql			=	"update "._FIRMA." set firma_adi = ?, firma_tel1 = ?, firma_tel2 = ?, firma_faks = ?, firma_email = ?, firma_adres = ?, 
							 firma_il = ?, firma_vergi_no = ?, firma_vergi_dairesi = ?, firma_hakkinda = ?, firma_sektor = ?, firma_site = ? where firma_id = ?";
							 
	$kayit		=	$_servis -> kayitGuncelle( $sql,array( $firma_adi, $telefon1, $telefon2, $faks, $email, $adres, $il, 
													$vergi_no, $vergi_dairesi, $firma_hakkinda, $sektor, $firma_site, $id ) ) ;
	
	if($kayit === false){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	$_servis -> getHata();
	}
	else{
		$sonuc["hata"]	=	false;
		$sonuc["mesaj"]	=	'<i class="fa fa-check"></i> Firma Bilgileri Güncellendi.';
	}
	
	echo json_encode($sonuc);

?>