<?php

	session_start();
	
	if( !isset( $_SESSION["root"] ) || !$_SESSION["login"] || !isset( $_POST["data"] ) ){
		exit();
	}
		
	require $_SESSION["root"]."/inc/autoload.php";
	
	$sonuc	=	array();
	$_servis	=	new Servis();
	
	$_id			=	array_search(	"k_id", $_POST["params"]["where"]["kolon"] );
	$kart_id	=	$_POST["params"]["where"]["value"][$_id];
	
	parse_str( $_POST["ekstraPar"], $params );
	
	$bas		=	$params["start"]	?	unixTarih( $params["start"], "00:00:00" )	:	null;
	$bitis	=	$params["end"]		?	unixTarih( $params["end"], "00:00:00" )		:	null;
	
	$whereTarih	=	( $bas && $bitis ) ? ' and ( '._GGFISLER.'.gg_fis_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ' : null;
	
	//Kart ID Kontrolü
	if( !$kart_id ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Kart Bilgisi Alınamadı !";
	}
	
	//Hata varsa sonuç basılıyor
	if( $sonuc["hata"] ){
		echo json_encode( $sonuc );
		exit();
	}
	
	$tahs		=	array(
		_GGFISLER.".gg_fis_id as ID",
		_GGFISLER.".tutar as Tutar",
		_GGFISLER.".islem as Islem",
		_GGFISLER.".odeme_tur as Odeme",
		_GGFISLER.".gg_fis_tarihi as Tarih"
	);
	
	$kart				=	$_servis -> ozelSorgu( "select kart_ismi from "._GEGKART." where kart_id = ? LIMIT 1", array( $kart_id ) )[0];
																					
	$hareketler	=	$_servis -> ozelSorgu( "( select ".implode( ",", $tahs )." from "._GGFISLER." 
																					inner join "._GEGKART." on "._GEGKART.".kart_id = "._GGFISLER.".kart_id 
																					where "._GEGKART.".kart_id = ? and "._GGFISLER.".gg_fis_sil = 0 ".$whereTarih." ) 
																					order by Tarih asc", array( $kart_id ) );
																					
	$islem_tur	=	array(
		"gelir"	=>	"Gelir Fişi",
		"gider"	=>	"Gider Fişi"
	);
	
	$_odeme_tur	=	array( "", "Nakit", "Kredi Kartı", "Çek" );
																					
	ob_start();
	
?>

	<div id="tabloUst">
		<form id="kart-hareketleri" method="post" action="">
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-default no-radius no-shadow pull-left"><?php echo $kart["kart_ismi"]; ?></button>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<div class="form-group no-margin pull-left">
				<div class="input-group tarih-secim input-daterange no-margin">
					<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" 
					value="<?php echo ( $bas ) ? date( "d/m/Y", strtotime( $bas ) ) : null; ?>" />
					<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" 
					value="<?php echo ( $bitis ) ? date( "d/m/Y", strtotime( $bitis ) ) : null; ?>" />
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-default no-radius no-shadow pull-left" data-hrk-form="#kart-hareketleri" 
			data-listele="gg_kart_hareketleri" data-param='{ "where" : { "kolon" : ["k_id"], "tur" : ["tam"], "value" : [ "<?php echo $kart_id; ?>" ] } }'>
			<i class="fa fa-search"></i></button>
		</div>
		
		</form>
	</div>
	
	<div id="tabloListelemeDiv">
		<form method="post" action="" id="dataForm">
			<table id="tabloListeleme" class="table table-bordered" data-hangisi="gg_kart_hareketleri">
				<thead>
					<tr> 
						<th style="width:70px;">ID</th>
						<th style="width:100px;">İşlem Türü</th>
						<th style="width:100px;">Tarih</th>
						<th style="width:100px;">Ödeme Türü</th>
						<th style="width:100px;">Tutar</th>
					</tr>
				</thead>
				
				<tbody>
					<?php foreach( $hareketler as $hrk ): 
						
						static $bakiye	=	0.00;
						$tutar					=	0.00;
						
						$_tur	=	$islem_tur[ $hrk["Islem"] ];
							
						if( $hrk["Islem"] == "gider" ){
							$bakiye	-=	floatval( $hrk["Tutar"] );
							$tutar		=		-floatval( $hrk["Tutar"] );
						}
						else if( $hrk["Islem"] == "gelir" ){
							$bakiye	+=	floatval( $hrk["Tutar"] );
							$tutar		=		floatval( $hrk["Tutar"] );
						}
							
					?>
						<tr>
							<td data-order="<?php echo $hrk["ID"]; ?>"><?php echo $hrk["ID"]; ?></td>
							
							<td><?php echo $_tur; ?></td>
							
							<td data-order="<?php echo $hrk["Tarih"]; ?>"><?php echo date( "d.m.Y", strtotime( $hrk["Tarih"] ) ); ?></td>
							
							<td><?php echo $_odeme_tur[ $hrk["Odeme"] ]; ?></td>
							
							<td data-order="<?php echo ( $tutar ) ? $tutar : null; ?>">
								<?php echo ( $tutar ) ? '<strong 
								style="color:'.( ( $tutar >= 0 ) ? '#0086b3' : '#d90000' ).';">'.sqlToPara( $tutar ).'</strong>'.' <i class="fa fa-try"></i>' : null; ?>
							</td>
							
						</tr>
					<?php endforeach; ?>
				</tbody>
				
				<tfoot> 
					<tr> 
						<th>ID</th>
						<th>İşlem Türü</th>
						<th>Tarih</th>
						<th>Ödeme Türü</th>
						<th><?php echo '<strong 
						style="color:'.( ( $bakiye >= 0 ) ? '#0086b3' : '#d90000' ).';">'.sqlToPara( $bakiye ).'</strong>'; ?> <i class="fa fa-try"></i></th>
					</tr>
				</tfoot>
			</table>
		</form>
	</div>

<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$sonuc["hata"]				=	false;
	$sonuc["datePicker"]	=	true;
	$sonuc["data"]				=	$cikti;
	
	echo json_encode( $sonuc );

?>