<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Musteri.php";
	
	$musteri_adi		=	post("musteri_adi");
	$musteri_kodu	=	post("musteri_kodu");
	$email						=	post("email") ? post("email") : "";
	$tel1						=	post("telefon1");
	$tel2						=	post("telefon2") ? post("telefon2") : "";
	$faks						=	post("faks") ? post("faks") : "";
	$vergi_no				=	post("vergi_no") ? post("vergi_no") : "";
	$vergi_dairesi		=	post("vergi_dairesi") ? post("vergi_dairesi") : "";
	$adres						=	post("adres") ? post("adres") : "";
	$il								=	post("il");
	$ilce_semt				=	post("ilce_semt") ? post("ilce_semt") : "";
	$ekleyen_id			=	$_SESSION["user"]["user_id"];
	
	$sonuc					=	array();
	
	$yetki_musteri_ekle	=	yetki( "musteri_ekle" );
	
	//Yetki kontrolü
	if( !$yetki_musteri_ekle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Cari Ekleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Boşluk kontrolü
	if(empty($musteri_adi) || empty($musteri_kodu)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	//Email doğruluk kontrolü
	if( $email && filter_var($email, FILTER_VALIDATE_EMAIL) != true ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Email Adresini Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Telefon doğruluk kontrolü
	if( ($tel1 && !preg_match('@\(\d{3}\) \d{3} \d{2} \d{2}@si',$tel1)) || ($tel2 && !preg_match('@\(\d{3}\) \d{3} \d{2} \d{2}@si',$tel2)) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Telefon Numarasını Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Müşteri kodu kontrolü
	if( strlen( $musteri_kodu ) < 3 ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Hesap Kodu Minimum 3 Karakter Olmalı!";
		echo json_encode($sonuc);
		exit();
	}
	
	$_musteri = new Musteri();

	$telefon = $_musteri -> ozelSorgu(
		"select musteri_tel1, musteri_tel2 from "._MUSTERILER." 
			where musteri_sil = 0 
				and ( ( musteri_tel1 = ? and musteri_tel1 != '' ) || ( musteri_tel2 = ? and musteri_tel2 != '' ) ) 
			LIMIT 1",
		array($tel1, $tel2)
	);

	//Telefon no hatası
	if( count($telefon) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Telefon numarası başka cari de kayıtlı !";
		echo json_encode($sonuc);
		exit();
	}
	
	//Müşteri kodu önceden kayıtlı mı
	$kodSql		=	"select musteri_kodu from "._MUSTERILER." where musteri_kodu = ?";
	$kodVarmi	=	$_musteri -> ozelSorgu($kodSql,array($musteri_kodu));
	if( count($kodVarmi) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Bu Hesap Kodu Önceden Kullanılmış.Lütfen Farklı Bir Hesap Kodu Girin.";
		echo json_encode($sonuc);
		exit();
	}
	
	$sql		=	"insert into "._MUSTERILER." set musteri_kodu = ?, musteri_adi = ?, ekleyen_id = ?, musteri_email = ?, musteri_adres = ?, musteri_tel1 = ?, 
						musteri_tel2 = ?, musteri_faks = ?, musteri_vergi_no = ?, musteri_vergi_dairesi = ?, musteri_sil = 0, il = ?, ilce_semt = ?";
	
	$kayit	=	$_musteri -> kayitEkle($sql, 
						array($musteri_kodu,$musteri_adi,$ekleyen_id,$email,$adres,$tel1,$tel2,$faks,$vergi_no,$vergi_dairesi,$il,$ilce_semt));
	
		if($kayit === false){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	$_musteri-> getHata();
		}
		else{
			$sonuc["hata"]						=	false;
			$sonuc["mesaj"]						=	'<strong><i class="fa fa-check"></i> Tebrikler.</strong> Kayıt Başarılı.<br /><i class="fa fa-info-circle"></i> Yandaki Panelden Cari Profil Resmi Ekleyebilisiniz.';
			$sonuc["son_id"] 					= $_musteri -> last_id();
			$sonuc["mus_id_arti"] 		= true;
			
			if( get("hizliEkle") ){
				require $_SESSION["root"]."/inc/Iller.php";
				$_il	=	new Il();
				//Hızlı müşteri ekleme ekranı için girilen bilgiler gönderiliyor
				$sonuc["mInfo"]	=	array(
					"isim" => $musteri_adi,
					"kod" => $musteri_kodu,
					"email" => $email,
					"telefon" => $tel1,
					"il" => "0,00",
					"sehir" => $_il -> ilTek($il),
					"adres" => $adres
				);
			}
		}
	
	echo json_encode($sonuc);

?>