<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Users.php";
	
	$sifre					=	post("sifre");
	$sifre_tekrar	=	post("sifre_tekrar");
	$ad						=	post("ad");
	$aktif					=	post("aktif") ? 1 : ( ( $_SESSION["user_admin"] ) ? null : 3 );
	$soyad					=	post("soyad");
	$email					=	post("email");
	$telefon				=	post("telefon");
	$gorev_tanim	=	post("gorev_tanim");
	$yetki					=	post("yetki") ? post("yetki") : -1;
	$id							=	post("id");
	$sifre_degistir	=	post("sifre_degistir") ? 1 : 0;
	
	$sonuc	=	array();
	
	$yetki_personel_duzenle	=	yetki( "personel_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_personel_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Personel Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	if($yetki == 0 && $_SESSION["user"]["user_yetki"] != 0){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Yönetici Bilgilerini Değiştirme Yetkiniz Yok!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Şifre en az 6 karakter olmalı
	if( strlen( $sifre ) < 6 && $sifre_degistir ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Şifre En Az 6 Karakter Olmalı!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Boşluk kontrolü
	if( empty($ad) || empty($soyad) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode($sonuc);
		exit();
	}
	//Şifre doğruluk kontrolü
	if( $sifre != $sifre_tekrar && $sifre_degistir ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Şifre Tekrarını Yanlış Girdiniz!";
		echo json_encode($sonuc);
		exit();
	}
	//Email doğruluk kontrolü
	if( $email && filter_var($email, FILTER_VALIDATE_EMAIL) != true ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Email Adresini Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Telefon doğruluk kontrolü
	if( $telefon && !preg_match('@\(\d{3}\) \d{3} \d{2} \d{2}@si',$telefon) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Telefon Numarasını Doğru Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//Yetki değeri gönderilmemişse
	if(!$yetki && $yetki != 0 && $yetki != -1){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Tanımsız Gelen Bilgi! Yetki Değeri alınamıyor.";
		echo json_encode($sonuc);
		exit();
	}
	//Yetki değeri numara değilse
	if( !is_numeric( $yetki ) ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Tanımsız Gelen Bilgi! Yetki Değeri alınamıyor.";
		echo json_encode($sonuc);
		exit();
	}
	
	$_users	=	new Users();
	
	$sifreSql	=	( $sifre_degistir ) ? "user_sifre = ?," : null;
	$aktifSql	=	( $aktif ) ? ", user_durum = ? " : null;
	
	$sql			=	"update "._USERS." set ".$sifreSql." user_email = ?, user_ad = ?, user_soyad = ?, user_yetki = IF(  
							user_yetki = 0 , 0, {$yetki} ), 
							user_gorev_tanim = ?, user_tel = ? ".$aktifSql." where user_id = ?";
							
	$degerler	=	array();
	
	$sifre_degistir ? $degerler[ ]	=	md5( $sifre ) : null;
	$degerler[ ]	=	$email;
	$degerler[ ]	=	$ad;
	$degerler[ ]	=	$soyad;
	$degerler[ ]	=	$gorev_tanim;
	$degerler[ ]	=	$telefon;
	$aktif ? $degerler[ ]	=	$aktif : null;
	$degerler[ ]	=	$id;
	
	$kayit		=	$_users -> kayitGuncelle( $sql, $degerler );
	
		if($kayit === false){
			$sonuc["hata"]	=	true;
			$sonuc["mesaj"]	=	$_users -> getHata();
		}
		else{
			$sonuc["hata"]	=	false;
			$sonuc["mesaj"]	=	'<i class="fa fa-check"></i> Personel Bilgileri Güncellendi.';
		}
	
	echo json_encode( $sonuc );

?>