<?php

	session_start();
	
	if( !isset( $_SESSION["root"] ) || !$_SESSION["login"] || !isset( $_POST["data"] ) ){
		exit();
	}
		
	require $_SESSION["root"]."/inc/autoload.php";
	
	$sonuc = array();
	$_servis = new Servis();
	
	$_token = uniqid();
	$_SESSION["yazdirToken"] = $_token;
	
	parse_str( $_POST["ekstraPar"], $params );
	
	$bas = $params["start"] ? unixTarih( $params["start"], "00:00:00" ) : date( "Y-m-d H:i:s", time() - ( 60 * 60 * 24 * 30 ) );
	$bitis = $params["end"] ? unixTarih( $params["end"], "00:00:00" ) : date( "Y-m-d 00:00:00" );
	
	$tur		=	$params["tur"] ? $params["tur"] : "hepsi";
	
	$select	=	array(
		"gelir"			=>	"Tahsilatlar",
		"gider"			=>	"Ödemeler",
		"alis"				=>	"Alış Faturaları",
		"satis"			=>	"Satış Faturaları",
		"fis"				=>	"Servis Fişleri"
	);
	
	$fisSql				=	' and false ';
	$tahsilatSql	=	' and false ';
	$faturaSql		=	' and false ';
	
	if( $tur == "gelir" || $tur == "gider" ){
		$tahsilatSql	=	' and '._TAHSILAT.'.islem = \''.$tur.'\' ';
	}
	else if( $tur == "alis" || $tur == "satis" ){
		$faturaSql	=	' and '._FATURALAR.'.fatura_tur = \''.$tur.'\' ';
	}
	else if( $tur == "fis" ){
		$fisSql	=	null;
	}
	else{
		$fisSql	=	$faturaSql	=	$tahsilatSql	=	null;
	}
	
	$whereTarih1	=	( $bas && $bitis ) ? ' and ( '._SERVISFISLERI.'.servis_giris_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$fisSql : $fisSql;
	$whereTarih2	=	( $bas && $bitis ) ? ' and ( '._TAHSILAT.'.tahsilat_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$tahsilatSql : $tahsilatSql;
	$whereTarih3	=	( $bas && $bitis ) ? ' and ( '._FATURALAR.'.fatura_tarihi Between "'.$bas.'" and "'.$bitis.'" ) '.$faturaSql : $faturaSql;
																					
	$sFisler	=	array(
		_SERVISFISLERI.".servis_fis_id as ID",
		_SERVISFISLERI.".servis_giris_tarihi as Tarih",
		_SERVISFISLERI.".servis_fis_no as No",
		" NULL as Tutar ",
		" NULL as Odeme ",
		" 'servis_fis' as Tur ",
		_MUSTERILER.".musteri_adi as cari_adi"
	);
	
	$tahs		=	array(
		_TAHSILAT.".tahsilat_id as ID",
		_TAHSILAT.".tahsilat_tarihi as Tarih",
		_TAHSILAT.".islem as No",
		_TAHSILAT.".tahsilat_fiyat as Tutar",
		_TAHSILAT.".odeme_tur as Odeme",
		" 'tahsilat' as Tur ",
		_MUSTERILER.".musteri_adi as cari_adi"
	);
	
	$fat			=	array(
		_FATURALAR.".fatura_id as ID",
		_FATURALAR.".fatura_tarihi as Tarih",
		_FATURALAR.".fatura_seri_no as No",
		_FATURALAR.".fatura_toplam_tutar as Tutar",
		_FATURALAR.".fatura_tur as Odeme",
		" 'fatura' as Tur ",
		_MUSTERILER.".musteri_adi as cari_adi"
	);
																					
	$hareketler	=	$_servis -> ozelSorgu( "( select ".implode( ",", $sFisler )." from "._SERVISFISLERI." 
											inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._SERVISFISLERI.".musteri_id 
											where "._SERVISFISLERI.".fis_sil = 0 ".$whereTarih1." ) 
											UNION ALL 
											( select ".implode( ",", $tahs )." from "._TAHSILAT." 
											inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._TAHSILAT.".musteri_id 
											where "._TAHSILAT.".tahsilat_sil = 0 ".$whereTarih2." ) 
											UNION ALL 
											( select ".implode( ",", $fat )." from "._FATURALAR." 
											inner join "._MUSTERILER." on "._MUSTERILER.".musteri_id = "._FATURALAR.".musteri_id 
											where "._FATURALAR.".fatura_sil = 0 ".$whereTarih3." ) 
											order by Tarih desc" );
																					
	$islem_tur	=	array(
		"servis_fis"	=>	"Servis Fişi",
		"tahsilat"	=>	array(
			"gelir"	=>	"Tahsilat",
			"gider"	=>	"Ödeme"
		),
		"fatura"		=>	array(
			"alis"		=>	"Alış Faturası",
			"satis"	=>	"Satış Faturası"
		)
	);
																					
	ob_start();
	
?>

	<div id="tabloUst">
		<form id="cari-hareketleri" method="post" action="">
		
		<div class="inline-block listele-secenek clearfix" style="z-index:120;">
			<div class="form-group no-margin pull-left">
				<div class="input-group no-margin">
					<select name="tur" class="form-control selectpicker">
						<option value="hepsi">Hepsi</option>
						<?php foreach( $select as $key => $val ): ?>
							<option value="<?php echo $key; ?>" <?php echo ( $params["tur"] == $key ) ? "selected" : null; ?>><?php echo $val; ?></option>
						<?php endforeach; ?>
					</select>
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<div class="form-group no-margin pull-left">
				<div class="input-group tarih-secim input-daterange no-margin">
					<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" 
					value="<?php echo ( $bas ) ? date( "d/m/Y", strtotime( $bas ) ) : null; ?>" />
					<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" 
					value="<?php echo ( $bitis ) ? date( "d/m/Y", strtotime( $bitis ) ) : null; ?>" />
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-primary no-radius no-shadow pull-left" data-hrk-form="#cari-hareketleri" data-listele="rapor_cari_hareketleri">
				BUL <i class="fa fa-search"></i>
			</button>
		</div>

		<div class="inline-block listele-secenek clearfix">

			<button type="button" class="btn btn-default pull-left" title="Tabloyu Yazdır" data-yazdir-btn="cari_hareket" data-token = "<?= $_token; ?>" data-param='{ "where" : { "bas" : "<?= $bas; ?>", "bitis" : "<?= $bitis; ?>", "tur" : "<?= $tur; ?>" } }'>
				<i class="fa fa-print"></i> Yazdır
			</button>

		</div>

		<div class="inline-block listele-secenek clearfix">

			<button type="button" class="btn btn-success pull-left" title="Excel\'e Aktar" data-excel-btn="cari_hareket" data-token = "<?= $_token; ?>" data-param='{ "where" : { "bas" : "<?= $bas; ?>", "bitis" : "<?= $bitis; ?>", "tur" : "<?= $tur; ?>" } }'>
				<i class="fa fa-exchange"></i> <i class="fa fa-file-excel-o"></i>
			</button>

		</div>
		
		</form>

	</div>
	
	<div id="tabloListelemeDiv">
		<form method="post" action="" id="dataForm">
			<table id="tabloListeleme" class="table table-bordered" data-hangisi="rapor_cari_hareketleri">
				<thead>
					<tr> 
						<th style="width:70px;">ID</th>
						<th>Cari Hesap</th>
						<th style="width:100px;">İşlem Türü</th>
						<th style="width:100px;">Tarih</th>
						<th style="width:100px;">İşlem No</th>
						<th style="width:100px;">Tutar</th>
					</tr>
				</thead>
				
				<tbody>
					<?php foreach( $hareketler as $hrk ): 
						
						static $toplam	=	0.00;
						$tutar						=	0.00;
						
						$_tur	=	$islem_tur[ $hrk["Tur"] ];
						if( $hrk["Tur"] == "fatura" ){
							$_tur	=	$islem_tur[ $hrk["Tur"] ][ $hrk["Odeme"] ];
							
							if( $hrk["Odeme"] == "alis" ){
								$tutar		=		-floatval( $hrk["Tutar"] );
							}
							else if( $hrk["Odeme"] == "satis" ){
								$tutar		=		floatval( $hrk["Tutar"] );
							}
						}
						else if( $hrk["Tur"] == "tahsilat" ){
							$_tur	=	$islem_tur[ $hrk["Tur"] ][ $hrk["No"] ];
							
							if( $hrk["No"] == "gelir" ){
								$tutar		=	floatval( $hrk["Tutar"] );
							}
							else if( $hrk["No"] == "gider" ){
								$tutar		=	-floatval( $hrk["Tutar"] );
							}
						}
						
						$toplam	+=	$tutar;
					?>
						<tr>
							<td data-order="<?php echo $hrk["ID"]; ?>"><?php echo $hrk["ID"]; ?></td>
							
							<td><strong><?php echo $hrk["cari_adi"]; ?></strong></td>
							
							<td><?php echo $_tur; ?></td>
							
							<td data-order="<?php echo $hrk["Tarih"]; ?>"><?php echo date( "d.m.Y", strtotime( $hrk["Tarih"] ) ); ?></td>
							
							<td><?php echo ( $hrk["Tur"] != "tahsilat" ) ? $hrk["No"] : null; ?></td>
							
							<td data-order="<?php echo ( $tutar ) ? $tutar : null; ?>">
								<?php echo ( $tutar ) ? '<strong 
								style="color:'.( ( $tutar >= 0 ) ? '#0086b3' : '#d90000' ).';">'.sqlToPara( $tutar ).'</strong>'.' <i class="fa fa-try"></i>' : null; ?>
							</td>
							
						</tr>
					<?php endforeach; ?>
				</tbody>
				
				<tfoot>
					<tr> 
						<th>ID</th>
						<th>Cari Hesap</th>
						<th>İşlem Türü</th>
						<th>Tarih</th>
						<th>İşlem No</th>
						<th>
							<?php echo ( $toplam ) ? '<strong 
								style="color:'.( ( $toplam >= 0 ) ? '#0086b3' : '#d90000' ).';">'.sqlToPara( $toplam ).'</strong>'.' <i class="fa fa-try"></i>' : null; ?>
						</th>
					</tr>
				</tfoot>
			</table>
		</form>
	</div>

<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$sonuc["hata"]					=	false;
	$sonuc["datePicker"]		=	true;
	$sonuc["selectPicker"]	=	true;
	$sonuc["data"]					=	$cikti;
	
	echo json_encode( $sonuc );

?>