<?php

	session_start();
	
	if( !isset( $_SESSION["root"] ) || !$_SESSION["login"] || !isset( $_POST["data"] ) ){
		exit();
	}
		
	require $_SESSION["root"]."/inc/autoload.php";
	
	$sonuc	=	array();
	$_servis	=	new Servis();
	
	parse_str( $_POST["ekstraPar"], $params );
	
	$bas		=	$params["start"]	?	unixTarih( $params["start"], "00:00:00" )	:	date( "Y-m-d 00:00:00", ( time() - ( ( 60 * 60 * 24 ) * 30 ) ) );
	$bitis	=	$params["end"]		?	unixTarih( $params["end"], "00:00:00" )		:	date( "Y-m-d 00:00:00" );
	
	$whereTarih1	=	( $bas && $bitis ) ? ' and ( '._FATURALAR.'.fatura_tarihi Between "'.$bas.'" and "'.$bitis.'" ) ' : null;
	
	$fatSec	=	array(
		"SUM( "._FATURALAR.".fatura_toplam_tutar ) as Tutar",
		"DATE("._FATURALAR.".fatura_tarihi ) as Tarih",
		_FATURALAR.".fatura_tur as Tur",
		" 'fatura' as Islem"
	);
																					
	$hareketler	=	$_servis -> ozelSorgu( "select ".( implode( ",", $fatSec ) )." from "._FATURALAR." 
																					where "._FATURALAR.".fatura_sil = 0 ".$whereTarih1." 
																					group by Tarih, Tur order by Tarih desc" );
																					
	ob_start();
	
?>

	<div id="tabloUst">
		<form id="gunluk-alis-satis" method="post" action="">
		
		<div class="inline-block listele-secenek clearfix">
			<div class="form-group no-margin pull-left">
				<div class="input-group tarih-secim input-daterange no-margin">
					<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" 
					value="<?php echo ( $bas ) ? date( "d/m/Y", strtotime( $bas ) ) : null; ?>" />
					<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" 
					value="<?php echo ( $bitis ) ? date( "d/m/Y", strtotime( $bitis ) ) : null; ?>" />
				</div>
			</div>
		</div>
		
		<div class="inline-block listele-secenek clearfix">
			<button type="button" class="btn btn-primary no-radius no-shadow pull-left" 
			data-hrk-form="#gunluk-alis-satis" data-listele="rapor_gunluk_alis_satis">
			<i class="fa fa-search"></i></button>
		</div>
		
		</form>
	</div>
	
	<div>
		<?php echo $_servis -> getHata(); ?>
	</div>
	
	<div id="tabloListelemeDiv">
		<form method="post" action="" id="dataForm">
			<table id="tabloListeleme" class="table table-bordered" data-hangisi="rapor_gunluk_alis_satis">
				<thead>
					<tr> 
						<th style="width:100px;">Tarih</th>
						<th style="width:100px;">Alış Toplamı</th>
						<th style="width:100px;">Satış Toplamı</th>
						<th></th>
					</tr>
				</thead>
				
				<tbody>
					<?php foreach( $hareketler as $hrk ): 
						
						static $fatAlisTutarToplam		=	0.00;
						static $fatSatisTutarToplam	=	0.00;
						
						$fatAlisTutar	=	0.00;
						$fatSatisTutar	=	0.00;
						
						//Fatura
						if( $hrk["Islem"] == "fatura" ){
							//Alış faturası
							if( $hrk["Tur"] == "alis" ){
								$fatAlisTutar					=	$hrk["Tutar"];
								$fatAlisTutarToplam	+=	$fatAlisTutar;
							}
							else if( $hrk["Tur"] == "satis" ){
								$fatSatisTutar					=	$hrk["Tutar"];
								$fatSatisTutarToplam	+=	$fatSatisTutar;
							}
						}
						
					?>
						<tr>
							
							<td data-order="<?php echo $hrk["Tarih"]; ?>"><?php echo date( "d.m.Y", strtotime( $hrk["Tarih"] ) ); ?></td>
							
							<td data-order="<?php echo $hrk["Tutar"]; ?>"><?php echo sqlToPara( $fatAlisTutar ); ?> <i class="fa fa-try"></i></td>
							
							<td data-order="<?php echo $hrk["Tutar"]; ?>"><?php echo sqlToPara( $fatSatisTutar ); ?> <i class="fa fa-try"></i></td>
							
							<td></td>
							
						</tr>
					<?php endforeach; ?>
				</tbody>
				
				<tfoot>
					<tr> 
						<th>Tarih</th>
						<th><?php echo sqlToPara( $fatAlisTutarToplam ); ?> <i class="fa fa-try"></i></th>
						<th><?php echo sqlToPara( $fatSatisTutarToplam ); ?> <i class="fa fa-try"></i></th>
						<th><?php echo sqlToPara( $fatSatisTutarToplam - $fatAlisTutarToplam ); ?> <i class="fa fa-try"></i></th>
					</tr>
				</tfoot>
			</table>
		</form>
	</div>

<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$sonuc["hata"]					=	false;
	$sonuc["datePicker"]		=	true;
	$sonuc["data"]					=	$cikti;
	
	echo json_encode( $sonuc );

?>