<?php

	session_start();
	
	if( !isset( $_SESSION["root"] ) || !$_SESSION["login"] || !isset( $_POST["data"] ) ){
		exit();
	}
		
	require $_SESSION["root"]."/inc/autoload.php";
	
	$sonuc	=	array();
	$_servis	=	new Servis();
	
	parse_str( $_POST["ekstraPar"], $params );
	
	$bas		=	$params["start"]	?	unixTarih( $params["start"], "00:00:00" )	:	null;
	$bitis	=	$params["end"]		?	unixTarih( $params["end"], "00:00:00" )		:	null;
	
	$servisTarih	=	( $bas && $bitis ) ? ' and ( '._SERVISISLEMLERI.'.servis_islem_tarihi Between \''.$bas.'\' and \''.$bitis.'\' ) ' : null;
	$fatTarih		=	( $bas && $bitis ) ? ' and ( '._FATURALAR.'.fatura_tarihi Between \''.$bas.'\' and \''.$bitis.'\' ) ' : null;
	$fisTarih		=	( $bas && $bitis ) ? ' and ( '._GGFISLER.'.gg_fis_tarihi Between \''.$bas.'\' and \''.$bitis.'\' ) ' : null;
	
	$mesaj	=	( $bas && $bitis ) ? date( "d/m/Y", strtotime( $bas ) )." ile ".date( "d/m/Y", strtotime( $bitis ) )." arası KAR ZARAR RAPORU" 
															: "TAM KAR ZARAR RAPORU";
															
	$servis_gider	=	 $_servis -> ozelSorgu( "select SUM( gider_tutar ) as servis_gider from "._SERVISISLEMLERI." 
																						inner join "._SERVISFISLERI." on "._SERVISISLEMLERI.".servis_fis_id = "._SERVISFISLERI.".servis_fis_id 
																						where "._SERVISFISLERI.".fis_sil = 0 and "._SERVISISLEMLERI.".servis_islem_sil = 0 
																						".$servisTarih." LIMIT 1" )[0];
																						
	$alisToplam		=	$_servis -> ozelSorgu( "select SUM( fatura_toplam_tutar ) as gider from "._FATURALAR." 
																						where "._FATURALAR.".fatura_sil = 0 and "._FATURALAR.".fatura_tur = 'alis' 
																						".$fatTarih." LIMIT 1" )[0];
																						
	$satisToplam	=	$_servis -> ozelSorgu( "select SUM( fatura_toplam_tutar ) as gelir from "._FATURALAR." 
																						where "._FATURALAR.".fatura_sil = 0 and "._FATURALAR.".fatura_tur = 'satis' 
																						".$fatTarih." LIMIT 1" )[0];
																						
	$giderFisleri		=	$_servis -> ozelSorgu( "select SUM( tutar ) as tutar from "._GGFISLER." 
																						where "._GGFISLER.".gg_fis_sil = 0 and "._GGFISLER.".islem = 'gider' 
																						".$fisTarih." LIMIT 1" )[0];
																						
	$gelirFisleri		=	$_servis -> ozelSorgu( "select SUM( tutar ) as tutar from "._GGFISLER." 
																						where "._GGFISLER.".gg_fis_sil = 0 and "._GGFISLER.".islem = 'gelir' 
																						".$fisTarih." LIMIT 1" )[0];
																						
	$kar	=	( floatval( $satisToplam["gelir"] ) - ( floatval( $servis_gider["servis_gider"] ) + floatval( $alisToplam["gider"] ) ) ) + 
					( floatval( $gelirFisleri["tutar"] ) - floatval( $giderFisleri["tutar"] ) );
	
	ob_start();
	
?>
	
	<form id="kar-zarar-rapor" method="post" action="">
		
		<div class="garanti-kutu clearfix" style="padding:8px;">
			<div class="inline-block listele-secenek clearfix pull-left" style="z-index:120;margin-right:5px;">
				<div class="form-group no-margin pull-left">
					<div class="input-group tarih-secim input-daterange no-margin">
						<input type="text" name="start" placeholder="Başlangıç" class="form-control datepicker" 
						value="<?php echo ( $bas ) ? date( "d/m/Y", strtotime( $bas ) ) : null; ?>" />
						<span class="input-group-addon" style="padding:5px 10px;background-color:#fff;"><i class="fa fa-calendar"></i></span>
						<input type="text" name="end" placeholder="Bitiş" class="form-control datepicker" 
						value="<?php echo ( $bitis ) ? date( "d/m/Y", strtotime( $bitis ) ) : null; ?>" />
					</div>
				</div>
			</div>
			
			<div class="inline-block listele-secenek clearfix pull-left">
				<button type="button" class="btn btn-primary no-radius no-shadow pull-left" 
				data-hrk-form="#kar-zarar-rapor" data-listele="rapor_kar_zarar">
				<i class="fa fa-search"></i></button>
			</div>
			
			<div class="pull-left kasa-raporu-mesaj">
				<strong><?php echo $mesaj; ?></strong>
			</div>
		</div>
		
		<div class="row">
			<div class="col-xs-12 col-sm-8">
			
				<div class="kasa-satir mavi clearfix">
					<span class="baslik pull-left">Servis Giderleri</span>
					<span class="tutar pull-right">-<?php echo sqlToPara( $servis_gider["servis_gider"] ); ?> <i class="fa fa-try"></i></span>
				</div>
				
				<div class="kasa-satir kirmizi clearfix">
					<span class="baslik pull-left">Gider Fişleri</span>
					<span class="tutar pull-right">-<?php echo sqlToPara( $giderFisleri["tutar"] ); ?> <i class="fa fa-try"></i></span>
				</div>
				
				<div class="kasa-satir kirmizi clearfix">
					<span class="baslik pull-left">Alış Toplamı</span>
					<span class="tutar pull-right">-<?php echo sqlToPara( $alisToplam["gider"] ); ?> <i class="fa fa-try"></i></span>
				</div>
				
				<div class="kasa-satir yesil clearfix">
					<span class="baslik pull-left">Satış Toplamı</span>
					<span class="tutar pull-right"><?php echo sqlToPara( $satisToplam["gelir"] ); ?> <i class="fa fa-try"></i></span>
				</div>
				
				<div class="kasa-satir yesil clearfix">
					<span class="baslik pull-left">Gelir Fişleri</span>
					<span class="tutar pull-right"><?php echo sqlToPara( $gelirFisleri["tutar"] ); ?> <i class="fa fa-try"></i></span>
				</div>
				
			</div>
			
			<div class="col-xs-12 col-sm-4">
				<div class="kasa" style="<?php echo ( $kar < 0 ) ? 'background-color:#ff5959;border:1px solid #ff0000;' : null; ?>">
					<h4><?php echo ( $kar < 0 ) ? "ZARAR" : "KAR"; ?></h4>
					<span class="tutar"><strong><?php echo sqlToPara( $kar ); ?></strong> <i class="fa fa-try"></i></span>
				</div>
			</div>
		</div>
	
	</form>

<?php

	$cikti	=	ob_get_contents();
	
	ob_end_clean();
	
	$sonuc["hata"]								=	false;
	$sonuc["datePicker"]					=	true;
	$sonuc["noDataTables"]			=	true;
	$sonuc["data"]								=	$cikti;
	
	echo json_encode( $sonuc );

?>