<?php

	session_start();
	
	if( !isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"] ){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	
	$malzeme				=	$_POST["malzeme"];
	$aciklama				=	post("islem_aciklama");
	$goster					=	post("servis_formunda_goster") ? 1 : 0;
	$tutar						=	paraToSql(post("tutar"));
	$durum					=	post("durum");
	$fis_id						=	post("servis_fis_id");
	$gider_ekle			=	post("gider_ekle") ? 1 : 0;
	$gider_aciklama	=	( $gider_ekle ) ? post("gider_aciklama") : "";
	$gider_tutar			=	( $gider_ekle ) ? paraToSql( post("gider_tutar") ) : 0.00;
	$tarih						=	date( "Y-m-d 00:00:00" );
	$sonuc					=	array();
	
	$_servis		=	new Servis();
	
	//Gider ekleme kontrolü
	if( $gider_ekle && ( empty( $gider_aciklama) || !$gider_tutar ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Gider Açıklaması ve Tutarını Ekleyin !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Boşluk kontrolü
	if( empty( $aciklama ) || !$fis_id || !isset( $durum ) ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Lütfen Zorunlu Alanları Boş Bırakmayın!";
		echo json_encode( $sonuc );
		exit();
	}
	
	$ekleSql		=	"insert into "._SERVISISLEMLERI." set servis_fis_id = ?, servis_tutar = ?, ekleyen_id = ?, durum_id = ?, 
								servis_islem_aciklama = ?, servis_formunda_goster = ?, gider_aciklama = ?, gider_tutar = ?, servis_islem_tarihi = ?";
							
	$kayit		=	$_servis -> kayitEkle( $ekleSql, 
													array( $fis_id, $tutar, $_SESSION["user"]["user_id"], $durum, $aciklama, $goster, $gider_aciklama, $gider_tutar, $tarih ) );
	
	//Kayıt başarılı değilse
	if( $kayit === false ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	$_servis -> getHata();
	}
	else{
		$son_id														=	$_servis -> last_id();
		$sonuc["hata"]										=	false;
		$sonuc["mesaj"]										=	"Kayıt Başarılı";
		$sonuc["servis_islem_durum_id"]	=	$durum;
		$_servis -> kayitGuncelle( "update "._SERVISFISLERI." set durum_id = ? where servis_fis_id = ?",array($durum,$fis_id) );
		
		$toplam_tutar	=	$_servis -> ozelSorgu("select SUM(servis_tutar) as toplam_tutar from "._SERVISISLEMLERI." 
											where servis_fis_id = ? and servis_islem_sil = 0", array( $fis_id ) );
		
		//Malzeme eklenmişse
		if( count( $malzeme ) ){
			$degerler	=	array();
			$kmSql		=	"INSERT INTO `"._KULLANILANMALZEMELER."` 
										( `servis_islem_id`,`yedek_parca_id`, `adet`, `servis_fis_id`, `birim_fiyat`, `alis_fiyat`, `kdv` ) VALUES ";
			
			foreach( $malzeme as $mal ){
				$yedekParca	=	$_servis -> ozelSorgu( "select birim_fiyat, alis_fiyat, kdv from "._YEDEKPARCA." 
																									where yedek_parca_id = ? and yedek_parca_sil = 0 LIMIT 1", array( $mal["id"] ) )[0];
				$kmSql			.=	"(?,?,?,?,?,?,?), ";
				$degerler[ ]	=	$son_id;
				$degerler[ ]	=	$mal["id"];
				$degerler[ ]	=	$mal["adet"];
				$degerler[ ]	=	$fis_id;
				$degerler[ ]	=	floatval( $mal["toplam_fiyat"] ) / intval( $mal["adet"] ) ;
				$degerler[ ]	=	$yedekParca["alis_fiyat"];
				$degerler[ ]	=	$yedekParca["kdv"];
			}
			
			$kmSql	=	rtrim( $kmSql, ", " );
			$_servis -> kayitEkle( $kmSql, $degerler );
		}
		
		$durum_baslik = array_filter($_SESSION["bilgi"]["durumlar"],function($durum_id){
			global $durum;
			return ( $durum_id["durum_id"] == $durum ) ;
		});
		$durum_baslik = array_values( $durum_baslik );
		$durum_baslik = ( $durum_baslik[0]["durum_baslik"] ) ? $durum_baslik[0]["durum_baslik"] : "Yeni Servis";
									
		$sonuc["islem_bir"]										=	$islem_bir;
		$sonuc["servis_toplam_tutar"]				=	sqlToPara( $toplam_tutar[0]["toplam_tutar"] );
		$sonuc["servis_toplam_tutar_ekle"]	=	true;
		$sonuc["servis_fis_id"]								=	$fis_id;
		
	}
	
	echo json_encode( $sonuc );

?>