<?php

	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_POST) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/Tahsilat.php";
	
	$musteri_id		=	post("musteri_id");
	$tahsilat_tur	=	post("tahsilat_tur");
	$odeme_tur		=	post("odeme_tur");
	$f_seri_no			=	post("fatura_seri_no");
	$aciklama			=	post("aciklama");
	$islem_tur			=	post("islem_tur");
	$tutar					=	floatval(str_replace(array(".",","),array(null,"."),post("tutar")));
	$tarih					=	post("tarih");
	$ekleyen_id		=	post("ekleyen_id");
	$fis_no					=	(  $tahsilat_tur == 2 ) ? post("fis_no") : 0;
	$id							=	post("id");
	
	$sonuc				=	array();
	
	$yetki_tahsilat_duzenle	=	yetki( "tahsilat_duzenle" );
	
	//Yetki Kontrolü
	if( !$yetki_tahsilat_duzenle ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"Tahsilat Düzenleme Yetkiniz Yok !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//İşlem kontrolü
	if( $islem_tur != "gelir" && $islem_tur != "gider" ){
		$sonuc["hata"]	=	true;
		$sonuc["mesaj"]	=	"İşlem Türü Alınamadı !";
		echo json_encode( $sonuc );
		exit();
	}
	
	//Müşteri Kontrolü
	if(!$musteri_id){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Cari Seçmediniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	if(empty($id) || !is_numeric($id)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Eksik Bilgi!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Fiyat Kontrolü
	if(!is_numeric($tutar)){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Tahsilat Tutarını Giriniz!";
		echo json_encode($sonuc);
		exit();
	}
	
	//Fiş no kontrolü
	if($tahsilat_tur == 2 && !$fis_no){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "Lütfen Servis Fiş Numarası Girin!";
		echo json_encode($sonuc);
		exit();
	}
	//İşlem tarihi gelecek kontrolü
	elseif( $tarih && strtotime( unixTarih( $tarih ) ) > time() ){
		$sonuc["hata"] = true;
		$sonuc["mesaj"] = "İşlem Tarihi Gelecek Zamandan Seçilemez !";
		$sonuc["tarih"] = $tarih;
		echo json_encode($sonuc);
		exit();
	}
	
	$_tahsilat = new Tahsilat();
	
	//Fiş no varmı kontrol ediliyor
	if($tahsilat_tur == 2 ){
		$fis_no_varmi = $_tahsilat -> ozelSorgu("select servis_fis_id from "._SERVISFISLERI." where servis_fis_no = ? and fis_sil = 0",array($fis_no));
		if(!count($fis_no_varmi)){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = "Girdiğiniz Servis Fişi Bulunamadı!";
			echo json_encode($sonuc);
			exit();
		}
	}
	
	$sql	=	"update "._TAHSILAT." set tahsilat_tur = ?, musteri_id = ?, tahsilat_fiyat = ?, 
					odeme_tur = ?, ekleyen_id = ?, servis_fis_no = ?, tahsilat_tarihi = ?, islem = ? , aciklama = ?, fatura_seri_no = ?  
					where tahsilat_id = ?";
	
	$kayit	=	$_tahsilat -> kayitGuncelle( $sql, 
													array( $tahsilat_tur, $musteri_id, $tutar, $odeme_tur, $ekleyen_id, $fis_no, unixTarih( $tarih ), $islem_tur, $aciklama, $f_seri_no, $id ) );
	
		if($kayit === false){
			$sonuc["hata"] = true;
			$sonuc["mesaj"] = $_tahsilat-> getHata();
		}
		else{
			$sonuc["hata"] = false;
			$sonuc["mesaj"] = '<i class="fa fa-check"></i> Tahsilat Bilgileri Güncellendi.';
		}
	
	echo json_encode($sonuc);

?>