<?php
	
	session_start();
	
	if(!isset($_SESSION["root"]) || !isset($_GET["data"]) || !$_SESSION["login"]){
		exit();
	}
	
	require $_SESSION["root"]."/inc/autoload.php";
	require $_SESSION["root"]."/inc/YedekParca.php";
	
	$form = "yedek-parca-duzenleme-form";
	$id = get("id");
	$_parca = new YedekParca();
	
	$bilgiler = $_parca -> ozelSorgu("
			select yedek_parca_adi, birim_fiyat, alis_fiyat, barkod, kdv, eksi_stok, raf_no, stok_kodu, stok_foto from "._YEDEKPARCA." 
			where yedek_parca_id = ? and yedek_parca_sil = 0 LIMIT 1
		",
		array( $id )
	);
																			
	if( $bilgiler === false || !count( $bilgiler ) ){
		$hata	=	"Yedek Parça Bulunamadı. ".$_parca -> getHata();
	}
	
	$_resim	=	$bilgiler[0]["stok_foto"];
	
		if(is_file($_SESSION["root"]."/uploads/resimler/".$_resim)){
			$_resim = $_SESSION["oto_url"]."/uploads/resimler/".$_resim;
			$resimEkli = true;
		}
		else{
			$_resim = $_SESSION["oto_url"]."/assets/img/no-image.jpg";
		}

?>
	<div class="modal-icerik-style">
		<div class="row">
			<div class="col-xs-12">
			
			<?php if( $hata ): ?>
				<div class="alert alert-danger">
					<strong>İstenilen Bilgilere Ulaşılamıyor veya Kaynak Silinmiş.</strong><br />
					<strong>Bilgi :</strong> <?php echo $hata; ?>
				</div>
			<?php exit(); ?>
			<?php endif; ?>
			
				<form id="<?php echo $form; ?>" action="" method="post" enctype="multipart/form-data" data-par='{ "hangisi" : "yedek_parca" , "listele" : "yedek_parcalar" }' autocomplete = "off" >
					<div class="row">
						<div class="col-xs-12 col-sm-7 sablon-paneli-css">
							<div class="row ilk-panel">
								<div class="col-xs-12">
									<div class="form-group">
										<label><i class="fa fa-gavel"></i> Parça İsmi</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="parca_adi" class="form-control" maxlength="100" value="<?php echo $bilgiler[0]["yedek_parca_adi"]; ?>" required />
										</div>
									</div>
								</div>
								
								<div class="col-xs-12">
									<div class="form-group">
										<label><i class="fa fa-barcode"></i> Stok Kodu</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="stok_kodu" class="form-control" value="<?php echo $bilgiler[0]["stok_kodu"]; ?>" maxlength="50" />
										</div>
									</div>
								</div>
								
								<div class="duz-cizgi" style="margin-bottom:5px;"><hr /></div>
								
								<div class="col-xs-12">
									<div class="form-group">
										<label><i class="fa fa-barcode"></i> Barkod</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="barkod" class="form-control" value="<?php echo $bilgiler[0]["barkod"]; ?>" maxlength="32" required />
										</div>
									</div>
								</div>
								
								<div class="col-xs-9">
									<div class="form-group">
										<label><i class="fa fa-barcode"></i> Raf No</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="raf_no" class="form-control" value="<?php echo $bilgiler[0]["raf_no"]; ?>" maxlength="50" />
										</div>
									</div>
								</div>
								<div class="col-xs-3">
									<div class="form-group">
										<label><i class="fa fa-percent"></i> Kdv</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="kdv" class="form-control" value="<?php echo $bilgiler[0]["kdv"]; ?>" 
											data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false" maxlength="2" />
										</div>
									</div>
								</div>
								
								<div class="duz-cizgi" style="margin-bottom:5px;"><hr /></div>
								
								<div class="col-xs-6">
									<div class="form-group">
										<label><i class="fa fa-try"></i> Satış Fiyatı</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="birim_fiyat" class="form-control" 
											value="<?php echo sqlToPara( $bilgiler[0]["birim_fiyat"] ); ?>" 
											data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" />
										</div>
									</div>
								</div>
								<div class="col-xs-6">
									<div class="form-group">
										<label><i class="fa fa-try"></i> Alış Fiyatı</label>
										<div class="form-group pos-rel input-data">
											<input type="text" name="alis_fiyat" class="form-control" 
											value="<?php echo sqlToPara( $bilgiler[0]["alis_fiyat"] ); ?>" 
											data-para-format="TR" data-thousands="." data-decimal="," placeholder="0,00" />
										</div>
									</div>
								</div>

								<div class="col-xs-12">
									<div class="ui checkbox <?= ( $bilgiler[0]["eksi_stok"] == 1 ) ? "checked" : null; ?>" 
									style="margin:-10px 0 10px 0;">
										<input type="checkbox" name="eksi_stok" value="1" 
										<?= ( $bilgiler[0]["eksi_stok"] == 1 ) ? "checked" : null; ?> />
										<label>Eksi Stok</label>
									</div>
								</div>
								
								<div class="duz-cizgi" style="margin-bottom:15px;"><hr /></div>
								
								<div class="col-xs-12">
									<input type="hidden" name="hangisi" value="stok" />
									<input type="hidden" name="islem" value="duzenle" />
									<input type="hidden" name="id" value="<?php echo $id; ?>" />
									
									<button type="submit" class="submit-btn btn btn-primary col-xs-12 col-sm-4" data-fonksiyon="kayitDuzenle" data-form="#<?php echo $form; ?>"><span class="rotate"><i class="fa fa-spinner"></i></span> <i class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
									
									<button type="button" class="btn btn-default hidden-768 no-shadow no-radius pull-right" 
									data-param='{ "where" : <?php echo $id; ?> }' 
									data-yazdir-btn="stok_barkod" data-token = "<?php echo $_SESSION["yazdirToken"]; ?>">
									<i class="fa fa-print"></i> Barkod</button>
								</div>
							</div>
						</div>
						
						<div class="col-xs-12 col-sm-5 resim-yukleme-paneli no-border">
							<div class="pos-rel">
								<span class="yeni-resim-yukleniyor rotate"><i class="fa fa-spinner"></i></span>
								<div class="resim-ozellikleri">
									<!--<span>max : 200x200</span>-->
									<span>jpg , png</span>
								</div>
								<img src="<?php echo $_resim; ?>" class="thumbnail img-responsive ortala" alt="<?php echo $bilgiler[0]["yedek_parca_adi"]; ?>" data-guncellenecek-resim="true" />
								<?php if( $resimEkli ): ?>
									<span class="ikon-resim-sil" data-toggle-iki="tooltip" title="Resmi Sil" data-param='{ "tur" : "stok", "id" : <?php echo $id; ?>, "resim_adi" : "<?php echo $bilgiler[0]["stok_foto"]; ?>" }'><i class="fa fa-times"></i></span>
								<?php endif; ?>
								<div class="resim-siliniyor">
									<span class="rotate"><i class="fa fa-spinner"></i></span>
								</div>
							</div>
							
							<div class="resim-secme clear" style="margin-top:10px;">
								<span class="btn btn-default btn-sm dosya-sec in-block left col-xs-5"><i class="fa fa-floppy-o"></i> Resim Seç
									<input type="file" name="resim" accept=".jpg, .png" />
								</span>
								<span class="secilen-dosya left in-block col-xs-7 font-bold">
									
								</span>
							</div>
							
							<div class="resim-yukleme-islemi">
								<div class="resim-load-bar">
									<div class="progress" style="margin:10px 0;">
									  <div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:0%">
										<span class="sr-only">0%</span>
									  </div>
									</div>
								</div>
								<div class="resim-yukleme-butonu">
									<input type="hidden" name="hangisi" value="stok" />
									<input type="hidden" name="islem" value="duzenle" />
									<input type="hidden" name="resim_adi" value="<?php echo $bilgiler[0]["stok_foto"]; ?>" />
									<input type="hidden" name="id" value="<?php echo $id; ?>" />
									<button type="submit" class="btn btn-primary btn-sm col-xs-5" data-form="<?php echo $form; ?>" data-resim-duzenle="true"><i class="fa fa-cloud-upload"></i> Yükle</button>
								</div>
							</div>
							
							<div class="sonuc-mesaj">
								<div class="alert alert-success response" role="alert"></div>
							</div>
							
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>