<?php

    if( !defined("ROOT") ){
        echo "Bu Sayfayı Görme Yetkiniz Yok";
        exit();
    }

    //Lisans api key olarak kullanılacak
    $lisans = $_servis -> ozelSorgu( "select lisans from "._AYARLAR." where ayar_id = 1" );

    $keys = array(
        $lisans[0]["lisans"]
    );

    //Zorunlu
    $key = get("key");
    $telefon = get( "telefon" );
    $fisNo = get("fisno");

    //Çıktı
    $result = array();

    //Bilgiler tammı ?
    if( empty($key) ){
        $result["error"] = 1;
        $result["msg"] = "Api key bilgisi eksik !";
    }
    elseif( !in_array( $key, $keys ) ){
        $result["error"] = 1;
        $result["msg"] = "Api key bilgisi bulunamadı !";
    }
    elseif( empty($telefon) || empty( $fisNo ) ){
        $result["error"] = 1;
        $result["msg"] = "Eksik parametre !";
    }

    $telefonNum = filter_var( get( "telefon" ), FILTER_SANITIZE_NUMBER_INT );

    //Devam--------------------------------------------------------------------------------
    if( !$result["error"] ){

        $telefonNum = preg_replace( '~.*(\d{3})[^\d]{0,9}(\d{3})[^\d]{0,9}(\d{2})(\d{2}).*~', '($1) $2 $3 $4', $telefonNum );

        $servisFisi = $_servis -> ozelSorgu( 
            "select "._SERVISFISLERI.".servis_fis_id, "._SERVISFISLERI.".sikayet, "._SERVISFISLERI.".servis_giris_tarihi, "._SERVISFISLERI.".birlikte_gelenler, "._SERVISFISLERI.".servis_garanti_durum, "._SERVISFISLERI.".servis_model_no, "._SERVISFISLERI.".servis_seri_no, "._CIHAZLAR.".cihaz_baslik, "._MARKALAR.".marka_baslik, "._DURUMLAR.".durum_baslik 
            from "._SERVISFISLERI." 
            left join "._CIHAZLAR." on "._SERVISFISLERI.".cihaz_id = "._CIHAZLAR.".cihaz_id 
            left join "._MARKALAR." on "._SERVISFISLERI.".marka_id = "._MARKALAR.".marka_id 
            left join "._DURUMLAR." on "._SERVISFISLERI.".durum_id = "._DURUMLAR.".durum_id 
            left join "._MUSTERILER." on "._SERVISFISLERI.".musteri_id = "._MUSTERILER.".musteri_id 
            where "._SERVISFISLERI.".servis_fis_no = ? and "._SERVISFISLERI.".fis_sil = 0 and ( "._MUSTERILER.".musteri_tel1 = ? or "._MUSTERILER.".musteri_tel2 = ? or "._MUSTERILER.".musteri_tel1 = ? or "._MUSTERILER.".musteri_tel2 = ? ) 
            LIMIT 1",
            array( $fisNo, $telefonNum, $telefonNum, $telefon, $telefon )
        );

        if( count( $servisFisi ) ){
            //Servis varsa
            $result["servisFisi"] = $servisFisi[0];

            $servis_islemleri = $_servis -> ozelSorgu( "select servis_islem_id, servis_islem_tarihi, servis_islem_aciklama 
                from "._SERVISISLEMLERI." 
                where servis_islem_sil = 0 and servis_formunda_goster = 1 and servis_fis_id = ? 
                order by servis_islem_tarihi asc",
                array( $servisFisi[0]["servis_fis_id"] )
            );

            if( count( $servis_islemleri ) ){
                //Servis işlemi varsa
                foreach( $servis_islemleri as $islem ){
                    $islemEkle = $islem;
                    //Servis işleminde kullanılan parçalar
                    $parcalar = $_servis -> ozelSorgu( "select "._KULLANILANMALZEMELER.".adet, "._YEDEKPARCA.".yedek_parca_adi 
                        from "._KULLANILANMALZEMELER." 
                        left join "._YEDEKPARCA." on "._KULLANILANMALZEMELER.".yedek_parca_id = "._YEDEKPARCA.".yedek_parca_id 
                        where "._KULLANILANMALZEMELER.".servis_islem_id = ?",
                        array( $islem["servis_islem_id"] )
                    );

                    if( count( $parcalar ) ){
                        //Parça kullanılmışsa
                        foreach( $parcalar as $parca ){
                            $islemEkle["parcalar"][] = $parca;
                        }
                    }

                    $result["servisFisi"]["islemler"][] = $islemEkle;
                }
            }
        }

    }

    //Sonlandır--------------------------------------------------
    bitir( $result );

    //Çıktıla fonksiyonu
    function bitir( $result = array() )
    {
        ob_end_clean();
        header("Content-type:application/json; charset=UTF-8");
        echo json_encode( $result, JSON_UNESCAPED_UNICODE );
        //print_r( $result );
        exit();
    }

?>