<?php

	if( !defined("ROOT") && !$_SESSION["login"] ){
		header("Content-type: text/html; charset=UTF-8");
		echo "Bu Sayfayı Görme Yetkiniz Yok";
		exit;
	}
	
	require ROOT."/inc/Cihazlar.php";
	require ROOT."/inc/Durumlar.php";
	require ROOT."/inc/Markalar.php";
	require ROOT."/inc/Yetkiler.php";
	require ROOT."/inc/Gorev.php";
	require ROOT."/inc/Hatirlatma.php";
	require ROOT."/inc/Iller.php";
	require ROOT."/inc/Tampon.php";
	
	$yedekBilgi = array();
	//Yedek alma operasyonu
	{
		$yedekTarih = date("Ymd");
		$yedekDizin = '/backup/';
		$dosyaAdi = $yedekTarih."_".substr(md5(ROOT), 0, 4);
		$yedekDosya = ROOT.$yedekDizin.$dosyaAdi.".sql";
		$yedekGun = 15; //Gün önceki yedek dosyalarını sil
		
		//O güne ait yedek dosyası yoksa oluştur
		if( !is_file($yedekDosya) && $_SITE_AYARLAR["backup"] == 1 )
		{
			require ROOT."/plugin/mysqldump/mysqldump.php";
			try{
				$dump = new Ifsnop\Mysqldump\Mysqldump('mysql:host='._HOST.';dbname='._DB, _USER, _SIFRE);
				$dump->start($yedekDosya);
				$yedekBilgi["mesaj"] = "<i class='fa fa-check'></i> Veritabanı yedeği alındı";
				$yedekBilgi["durum"] = "success";
			}catch (\Exception $e) {
				$yedekBilgi["mesaj"] = "Veritabanı yedeği alınamadı : ".$e->getMessage();
				$yedekBilgi["durum"] = "error";
			}
			
			$dosyalar = glob(ROOT.$yedekDizin."*.sql"); //Tüm yedek dosyaları
			//Dosyalara silme kontrolü yap
			foreach( $dosyalar as $dosya ){
				$dosyaAdi = basename($dosya);
				$dosyaTarih = explode("_",$dosyaAdi);
				$dosyaTarihAdi = $dosyaTarih[0];
				//Yedek günü geçmiş dosyaları sil
				if( intval($dosyaTarihAdi) < intval($yedekTarih) - $yedekGun ){
					unlink($dosya);
				}
			}
		}
	}
	
	$_user = new Users();
	$_tampon = new Tampon();
	$_token = uniqid();
	$_SESSION["token"] = $_token;
	
	$_durum = new Durum();
	$_cihaz = new Cihaz();
	$_marka = new Marka();
	$_yetki = new Yetki();
	$_gorev = new Gorev();
	$_hatirlatma = new Hatirlatma();
	$_il = new Il();
	
	$userInfo			=	$_user -> ozelSorgu( "select user_id, user_name, user_email, user_ad, user_soyad, user_yetki, user_son_giris, user_durum, user_profil_resmi from "._USERS." where user_id = ? LIMIT 1", array( $_SESSION["user"]["user_id"] ) );

	$senelikBakimAdet = $_user -> ozelSorgu("
		SELECT COUNT(servis_fis_id) AS adet FROM `sy_servis_fisleri` 
		WHERE fis_sil = 0 
			AND hatirlat > 0 
			AND DATE( servis_giris_tarihi ) < CURRENT_DATE() 
			AND ( 
				DATEDIFF( DATE_ADD(CURRENT_DATE(), INTERVAL 10 DAY), servis_giris_tarihi ) % ( hatirlat * ( DAYOFYEAR(DATE_FORMAT(CURRENT_DATE(), '%Y-12-31')) / 12 ) ) 
			) < 10 
			AND ( 
				DATEDIFF( DATE_ADD(CURRENT_DATE(), INTERVAL 10 DAY), servis_giris_tarihi ) % ( hatirlat * ( DAYOFYEAR(DATE_FORMAT(CURRENT_DATE(), '%Y-12-31')) / 12 ) ) 
			) > 0 
		LIMIT 1
	");
	
	$senelikBakimAdet = $senelikBakimAdet[0]["adet"];
	
	$_SESSION["user"] = $userInfo[0];
	$_SESSION["bilgi"]["cihazlar"] = $_cihaz -> sadeceCihazlar( array("cihaz_id","cihaz_baslik") );
	$_SESSION["bilgi"]["durumlar"] = $_durum -> sadeceDurumlar( array("durum_id","durum_baslik") );
	$_SESSION["bilgi"]["markalar"] = $_marka -> sadeceMarkalar( array("marka_id","marka_baslik") );
	$_SESSION["bilgi"]["yetkiler"] = $_yetki -> sadeceYetkiler( array("yetki_id","yetki_baslik") );
	 
	$_gorevler = $_gorev -> getGorevler($_SESSION["user"]["user_id"]);
	
	$benID = $_SESSION["user"]["user_id"];
	
	$bugunDate = date("Y-m-d")." 00:00:00";
	$hatirlatma = $_hatirlatma -> ozelSorgu( "select hatirlatma_id from "._HATIRLATMA." where (
									( ekleyen_id = {$benID} and date(hatirlatma_tarih) = date('{$bugunDate}') ) or 
									( hatirlatma_kimlere = 2 and date(hatirlatma_tarih) = date('{$bugunDate}') ) or 
									( hatirlatma_kimlere = 3 and date(hatirlatma_tarih) = date('{$bugunDate}') and 
									Match( hatirlatma_personeller ) Against( '<id>{$benID}</id>*' IN BOOLEAN MODE ) ) ) and hatirlatma_sil = 0" );
									
	$hatirlatmaAdet = count( $hatirlatma );
									
	$max_mus_id = $_user -> ozelSorgu( "select MAX(musteri_id) as max_id from "._MUSTERILER." LIMIT 1" );
	$max_mus_id = $max_mus_id[0]["max_id"] + 1;
	
	unset( $_SESSION["yetkilerim"] );
	
	$_marka ->  x  (  );
	
	//Eğer personel admin değilse yetkileri yükleniyor
	if( $_SESSION["user"]["user_yetki"] != 0 ){

		$yetkiGetir = $_yetki -> ozelSorgu( "select yetkiler from "._YETKILER." where yetki_id = ? LIMIT 1",
		array( $_SESSION["user"]["user_yetki"] ) );

		$yetkilerim = $yetkiGetir[0]["yetkiler"];
		
		//Yetkiler işleniyor
		preg_match_all( '@\[([A-Za-z_]+)\]@si', $yetkilerim, $yetkiVar );
		$yetkiVar = array_values( $yetkiVar[1] );
		
		$_SESSION["yetkilerim"] = $yetkiVar;
	}
	
	//Yetki değişkenleri oluşturuluyor
	$yetki_servis_fisi_ekle = yetki( "servis_fisi_ekle" );
	$yetki_musteri_ekle = yetki( "musteri_ekle" );
	$yetki_tahsilat_ekle = yetki( "tahsilat_ekle" );
	$yetki_personel_ekle = yetki( "personel_ekle" );
	$yetki_hatirlatma_ekle = yetki( "hatirlatma_ekle" );
	$yetki_genel_ayarlar_duzenle = yetki( "genel_ayarlar_duzenle" );
	$yetki_firma_bilgileri_guncelle = yetki( "firma_bilgileri_guncelle" );
	$yetki_alis_faturasi_ekle = yetki( "alis_faturasi_ekle" );
	$yetki_satis_faturasi_ekle = yetki( "satis_faturasi_ekle" );
	$yetki_gg_fis_ekle = yetki( "gg_fis_ekle" );
	$yetki_veresiye_ekle = yetki( "veresiye_ekle" );
	
	$yetki_rapor_cari_hareketleri = yetki( "rapor_cari_hareketleri" );
	$yetki_rapor_kasa_raporu = yetki( "rapor_kasa_raporu" );
	$yetki_rapor_kasa_hareketleri = yetki( "rapor_kasa_hareketleri" );
	$yetki_rapor_kar_zarar = yetki( "rapor_kar_zarar" );
	$yetki_rapor_yogunluk_analizi = yetki( "rapor_yogunluk_analizi" );
	$yetki_rapor_stok_hareketleri = yetki( "rapor_stok_hareketleri" );
	$yetki_rapor_gunluk_alis_satis  = yetki( "rapor_gunluk_alis_satis" );

?>
<!DOCTYPE html>
<html lang="tr-TR">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="robots" content="noindex,nofollow" />
    <title>Teknik Servis Yönetimi V<?= ver(); ?></title>

    <link rel="shortcut icon" type="image/png" href="<?php echo OTO_URL; ?>/assets/img/favicon.png" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/bootstrap.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/bootstrap-select.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/checkbox.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/transition.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/jquery.qtip.min.css" />
    <link rel="stylesheet" type="text/css"
        href="<?php echo OTO_URL; ?>/assets/plugin/datepicker/css/bootstrap-datepicker3.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/plugin/DataTables/datatables.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/plugin/jquery-ui/jquery-ui.min.css" />
    <link rel="stylesheet" type="text/css"
        href="<?php echo OTO_URL; ?>/assets/plugin/fancybox/jquery.fancybox.css?v=2.1.5" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/plugin/trumbowyg/ui/trumbowyg.min.css" />
    <link rel="stylesheet" type="text/css"
        href="<?php echo OTO_URL; ?>/assets/plugin/trumbowyg/plugins/colors/ui/trumbowyg.colors.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/plugin/fullcalendar/core/main.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/plugin/fullcalendar/daygrid/main.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/animate.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/tanimlama.css?v=<?= ver(); ?>" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/style.css?v=<?= ver(); ?>" />
    <link rel="stylesheet" type="text/css" href="<?php echo OTO_URL; ?>/assets/css/responsive.css?v=<?= ver(); ?>" />

    <script type="text/javascript">
    var SITE = "<?php echo OTO_URL; ?>";
    var user_son_giris = "<?php echo $_SESSION["user_son_giris"]; ?>";
    var user_son_giris_time = Math.floor(Date.parse(user_son_giris) / 1000);
    var _simdi = "<?php echo date("Y-m-d H:i:s"); ?>";
    var _token = "<?php echo $_token; ?>";
    var panelSifre = "<?php echo PANEL_SIFRE; ?>";
    var max_mus_id = <?php echo $max_mus_id; ?>;
    var devam_suresi = <?php echo $_SITE_AYARLAR["devam_suresi"]; ?>;

    <?php 
				$_cihaz ->      x        (     );
				if( $_COOKIE["cari_k"] == "cari_k" ):
			?>
    window.cari_k = "cari_k";
    <?php endif; ?>
    </script>

    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/bootstrap-select.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/checkbox.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/transition.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/jquery.slimscroll.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/modernizr-custom.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/jquery.qtip.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/jquery.form.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/datepicker/js/bootstrap-datepicker.min.js">
    </script>
    <script type="text/javascript"
        src="<?php echo OTO_URL; ?>/assets/plugin/datepicker/locales/bootstrap-datepicker.tr.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/DataTables/datatables.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/jquery-ui/jquery-ui.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/inputmask/jquery.inputmask.bundle.min.js">
    </script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/fancybox/jquery.fancybox.pack.js?v=2.1.5">
    </script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/jquery.noty.packaged.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/jquery.maskMoney.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/Chart.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/trumbowyg/trumbowyg.min.js"></script>
    <script type="text/javascript"
        src="<?php echo OTO_URL; ?>/assets/plugin/trumbowyg/plugins/colors/trumbowyg.colors.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/trumbowyg/langs/tr.min.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/fullcalendar/core/main.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/fullcalendar/interaction/main.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/fullcalendar/core/locales/tr.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/fullcalendar/daygrid/main.js"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/plugin/signature_pad/signature_pad.umd.js">
    </script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/tanimlama.js?v=<?= ver(); ?>"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/fonksiyon.js?v=<?= ver(); ?>"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/bildirimler.js?v=<?= ver(); ?>"></script>
    <script type="text/javascript" src="<?php echo OTO_URL; ?>/assets/js/index.js?v=<?= ver(); ?>"></script>

    <?php if( isset($yedekBilgi["durum"]) ): ?>
    <script>
    $(function() {
        bildirim({
            "mesaj": "<?= $yedekBilgi["mesaj"]; ?>",
            "merkez": "center",
            "zaman": 4000,
            "durum": "<?= $yedekBilgi["durum"]; ?>"
        });
    });
    </script>
    <?php endif; ?>

</head>

<body>

    <div class="container-fluid sutun">

        <div id="top" class="clear">

            <div id="yazilim-baslik">

                <span id="menu-ac">
                    <i class="fa fa-bars"></i>
                </span>

                <h4>
                    <a href="<?= OTO_URL."/".PANEL_SIFRE; ?>" style="color:#fff;">
                        Teknik Servis <span class="script-baslik-uzanti">Yönetimi</span>
                    </a>
                    <span class="versiyon">V<?= ver(); ?></span>
                </h4>

            </div>

            <div id="top-right" class="clear">

                <div id="aktif-kullanicilar">

                    <ul>

                        <li class="dropdown">

                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                                aria-haspopup="true" aria-expanded="true">
                                Online Personeller <i class="fa fa-angle-down"></i> <span id="aktif-users" class="badge"
                                    style="display:none;">1</span>
                            </a>

                            <ul class="dropdown-menu">
                                <li>
                                    <ul class="online-users">
                                        <li>
                                            <a href="#" data-modal-ac="personel_duzenleme"
                                                data-param='{ "baslik" : "Personel Bilgileri", "id" : <?php echo $_SESSION["user"]["user_id"]; ?> , "yenile" : true }'>
                                                <img src="<?php echo ( $_SESSION["user"]["user_profil_resmi"] && 
													is_file( ROOT."/uploads/resimler/".$_SESSION["user"]["user_profil_resmi"] ) ) ? 
													OTO_URL."/uploads/resimler/".$_SESSION["user"]["user_profil_resmi"] : 
													OTO_URL."/assets/img/user-icon.png" ; ?>" alt="<?php echo $_SESSION["user"]["user_name"]; ?>" />
                                                <?php echo $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"]; ?>
                                            </a>
                                        </li>
                                    </ul>
                                </li>
                            </ul>

                        </li>

                    </ul>
                </div>
                <div id="user-panel">
                    <ul class="clear">
                        <li class="notif dropdown" id="bildirim-mesajlar">
                            <a href="#" class="dropdown-toggle" title="Mesajlar" data-toggle="dropdown" role="button"
                                aria-haspopup="true" aria-expanded="false"><i class="fa fa-envelope"></i>
                                <span class="badges" style="display:none;">0</span>
                            </a>
                            <ul class="dropdown-menu">
                                <li class="header"></li>
                                <ul class="bildirimler-menu">
                                    <!--Buraya ajax dönen data gelecek-->
                                </ul>
                                <li class="footer gelen-giden-kutusu clearfix">
                                    <a href="#" data-listele="mesajlar" data-param=''>Tüm Konuşmaları Gör</a>
                                </li>
                            </ul>
                        </li>
                        <li class="notif dropdown" id="bildirim-bildirimler">
                            <a href="#" class="dropdown-toggle" title="Bildirimler" data-toggle="dropdown" role="button"
                                aria-haspopup="true" aria-expanded="false"><i class="fa fa-bell"></i>
                                <span class="badges" style="display:none;">0</span>
                            </a>
                            <ul class="dropdown-menu">
                                <li class="header"></li>
                                <ul class="bildirimler-menu">
                                    <!--Buraya ajax dönen data gelecek-->
                                </ul>
                                <li class="footer gelen-giden-kutusu clearfix">
                                    <a href="#" class="link-ata"
                                        onclick="bildirimler.sil('all');bildirimler.bildirimKontrol();">Bildirimleri
                                        Okundu Say</a>
                                </li>
                            </ul>
                        </li>
                        <li class="notif dropdown" id="bildirim-gorevler">
                            <a href="#" class="dropdown-toggle" title="Görevler" data-toggle="dropdown" role="button"
                                aria-haspopup="true" aria-expanded="false">
                                <i class="fa fa-tasks"></i>
                                <?php
										$yeniGorevSayisi = array_filter($_gorevler, function($item){
											return !$item["gorev_durum"];
										});
									?>
                                <?php if(count($_gorevler)): ?>
                                <span class="badges tasks"><?php echo count($yeniGorevSayisi); ?></span>
                                <?php endif; ?>
                            </a>
                            <ul class="dropdown-menu">
                                <li class="header"><?php echo count($yeniGorevSayisi); ?> Tane Yeni Göreviniz Var</li>
                                <ul class="bildirimler-menu">
                                    <?php foreach($_gorevler as $grv): ?>
                                    <?php $bgColor = ($grv["gorev_durum"] == 1) ? 'style="background-color:#f5e8da"' : null; ?>
                                    <li <?= $bgColor ?>>
                                        <a href="#" data-modal-ac="servis_fisi_duzenleme" data-param='{ "baslik" : "Servis Bilgilerini Düzenle", "id" : <?php echo $grv["servis_fis_id"]; ?>, 
													"yenile" : true, "size" : "modal-lg" }'>
                                            <strong><?php echo $grv["user_ad"]." ".$grv["user_soyad"]; ?> :</strong>
                                            <?php echo $grv["servis_fis_no"]; ?> <i class="fa fa-barcode"></i>
                                        </a>
                                    </li>
                                    <?php endforeach; ?>
                                </ul>
                                <li class="footer"></li>
                            </ul>
                        </li>
                        <li class="dropdown user-name-button">
                            <a href="#user-panel-ac" class="dropdown-toggle" data-toggle="dropdown" role="button"
                                aria-haspopup="true" aria-expanded="false">
                                <img src="<?php echo ($_SESSION["user"]["user_profil_resmi"]) ? OTO_URL."/uploads/resimler/".$_SESSION["user"]["user_profil_resmi"] : OTO_URL."/assets/img/user-icon.png" ; ?>"
                                    alt="<?php echo $_SESSION["user"]["user_name"]; ?>" />
                                <?php echo $_SESSION["user"]["user_name"]; ?> <i class="fa fa-angle-down"></i>
                            </a>
                            <ul class="dropdown-menu">
                                <li class="son-giris"
                                    data-son-giris="<?php echo strtotime($_SESSION["user_son_giris"]); ?>">
                                    <strong
                                        style="display: block;color: #444444;font-size: 13px;margin: -5px -20px 3px -20px;background: #E2E2E2;padding: 5px 10px 2px 20px;border-bottom: 1px solid #CECECE;"><?php echo $_SESSION["user"]["user_ad"]." ".$_SESSION["user"]["user_soyad"]; ?></strong>
                                    Son Giriş :<span><i class="fa fa-clock-o"></i>
                                        <?php echo tarihGoster($_SESSION["user_son_giris"]); ?></span>
                                </li>
                                <li><a href="#cikis-yap" style="color:#8c0000;"><i class="fa fa-sign-out"></i> Çıkış
                                        Yap</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div id="sidebar">

            <div id="menu-baslik">

                <span class="mob-display-none">
                    <i class="fa fa-user"></i> SERVİS PANELİ
                </span>

                <span id="menu-kapat" class="mob-display-visible">
                    <i class="fa fa-times"></i> KAPAT
                </span>

            </div>

            <ul id="menuler">

                <?php $_servis -> basla(); ?>

                <li>
                    <a href="#" data-alt-menu="true" class="<?= ( $senelikBakimAdet > 0 ) ? "bildirim-var" : null; ?>">
                        <i class="fa fa-file-text-o"></i> Servis Fişleri<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( $yetki_servis_fisi_ekle ) ): ?>

                        <li>
                            <a href="#"
                                data-param='{ "baslik" : "Yeni Servis Fişi", "size" : "modal-lg", "yenile" : true }'
                                data-modal-ac="servis_fisi_ekleme">
                                <i class="fa fa-plus"></i> Yeni Servis Fişi
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("servis_fisi_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="servis_fisleri" data-param="">
                                <i class="fa fa-bars"></i> Hepsini Listele
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="takvim" data-param="">
                                <i class="fa fa-calendar"></i> Takvime Bak
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="durumliste" data-param="">
                                <i class="fa fa-pie-chart"></i> Durumlara Göre
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="servis_fisleri"
                                data-param='{ "where" : { "kolon" : ["tarih"], "tur" : ["senelik"], "value" : [ "<?= date("Y-m-d H:i:s"); ?>" ] } }'>
                                <i class="fa fa-calendar"></i> Bakımı Yaklaşanlar
                                <?= ( $senelikBakimAdet > 0 ) ? '<span class="menu-badges mavi">'.$senelikBakimAdet.'</span>' : null; ?>
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="servis_fisleri"
                                data-param='{ "where" : { "kolon" : ["tarih"], "tur" : ["gunluk"], "value" : [ "<?php echo date("Y-m-d")." 00:00:00"; ?>" ] } }'>
                                <i class="fa fa-arrow-circle-o-right"></i> Bugün Eklenenler
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="servis_fisleri"
                                data-param='{ "where" : { "kolon" : ["u_id"], "tur" : ["tam"], "value" : [<?php echo $_SESSION["user"]["user_id"]; ?>] } }'>
                                <i class="fa fa-user-plus"></i> Benim Eklediklerim
                            </a>
                        </li>

                        <li>
                            <a href="#" data-modal-ac="servis_fisi_arama"
                                data-param='{ "baslik" : "Servis Fişi Ara" , "yenile" : true }'>
                                <i class="fa fa-search"></i> Arama
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-users"></i> Cari Hesaplar<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( $yetki_musteri_ekle ) ): ?>

                        <li>
                            <a href="#" data-param='{ "baslik" : "Cari Hesap Ekle", "yenile" : true }'
                                data-modal-ac="musteri_ekleme">
                                <i class="fa fa-plus"></i> Yeni Cari Hesap
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("musteri_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="musteriler" data-param="">
                                <i class="fa fa-bars"></i> Hepsini Listele
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="musteriler"
                                data-param='{ "where" : { "kolon" : ["bk"], "tur" : ["buyuk"], "value" : [ 0 ] } }'>
                                <i class="fa fa-try"></i> Borçlu Olanlar
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="musteriler"
                                data-param='{ "where" : { "kolon" : ["bk"], "tur" : ["kucuk"], "value" : [ 0 ] } }'>
                                <i class="fa fa-try"></i> Alacaklı Olanlar
                            </a>
                        </li>

                        <li>
                            <a href="#" data-modal-ac="musteri_arama"
                                data-param='{ "baslik" : "Cari Ara", "size" : "modal-sm" }'>
                                <i class="fa fa-search"></i> Arama
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-database"></i> Stok Yönetimi<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( yetki("yedek_parca_ekle") ) ): ?>

                        <li>
                            <a href="#" data-param='{ "baslik" : "Yedek Parça Ekle", "yenile" : true }'
                                data-modal-ac="yedek_parca_ekleme">
                                <i class="fa fa-plus"></i> Yeni Ekle
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("yedek_parca_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="yedek_parcalar" data-param="">
                                <i class="fa fa-bars"></i> Hepsini Listele
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="yedek_parcalar"
                                data-param='{ "where" : {  "kolon" : [  "stok" ], "tur" : [  "kucuk" ],  "value" : [  0 ]  } }'>
                                <i class="fa fa-minus-square"></i> Eksi Stokta Olanlar
                            </a>
                        </li>

                        <li>
                            <a href="#" data-modal-ac="yedek_parca_arama"
                                data-param='{ "baslik" : "Yedek Parça Ara", "size" : "modal-sm" }'>
                                <i class="fa fa-search"></i> Arama
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true"><i class="fa fa-user">
                        </i> Personel İşlemleri<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( $yetki_personel_ekle ) ): ?>

                        <li>
                            <a href="#" data-modal-ac="personel_ekleme"
                                data-param='{ "baslik" : "Yeni Personel Ekle", "yenile" : true }'>
                                <i class="fa fa-plus"></i> Yeni Personel
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("personel_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="personel" data-param="">
                                <i class="fa fa-bars"></i> Hepsini Listele
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-money"></i> Kasa İşlemleri<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( $yetki_tahsilat_ekle ) ) : ?>

                        <li>
                            <a href="#" data-modal-ac="tahsilat_ekleme"
                                data-param='{ "baslik" : "Gelir Gider Ekle", "yenile" : true }'>
                                <i class="fa fa-plus"></i> Gelir Gider Ekle
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("tahsilat_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="tahsilatlar"
                                data-param='{ "where" : { "kolon" : ["islem"], "tur" : ["tam"], "value" : ["gelir"] } }'>
                                <i class="fa fa-plus-square"></i> Tahsilatlar
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="tahsilatlar"
                                data-param='{ "where" : { "kolon" : ["islem"], "tur" : ["tam"], "value" : ["gider"] } }'>
                                <i class="fa fa-minus-square"></i> Ödemeler
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="tahsilatlar" data-param="">
                                <i class="fa fa-bars"></i> Hepsini Listele
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="tahsilatlar"
                                data-param='{ "where" : { "kolon" : ["e_id"], "tur" : ["tam"], "value" : [<?php echo $_SESSION["user"]["user_id"]; ?>] } }'>
                                <i class="fa fa-user-plus"></i> Benim İşlemlerim
                            </a>
                        </li>

                        <li>
                            <a href="#" data-modal-ac="tahsilat_arama" data-param='{ "baslik" : "Gelir Gider Ara" }'>
                                <i class="fa fa-search"></i> Arama
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-file-text"></i> Fatura / Alış / Satış<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( $yetki_alis_faturasi_ekle ) ) : ?>

                        <li>
                            <a href="#" data-modal-ac="fatura_ekleme"
                                data-param='{ "baslik" : "Alış Faturası Ekle", "yenile" : true, "args" : { "fatura_tur" : "alis" } }'>
                                <i class="fa fa-plus"></i> Alış Faturası Ekle
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("fatura_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="fatura"
                                data-param='{ "where" : { "kolon" : ["f_tur"], "tur" : ["tam"], "value" : [ "alis" ] } }'>
                                <i class="fa fa-bars"></i> Alış Faturaları
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( $yetki_satis_faturasi_ekle ) ) : ?>

                        <li>
                            <a href="#" data-modal-ac="fatura_ekleme"
                                data-param='{ "baslik" : "Satış Faturası Ekle", "yenile" : true, "args" : { "fatura_tur" : "satis" } }'>
                                <i class="fa fa-plus"></i> Satış Faturası Ekle
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("fatura_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="fatura"
                                data-param='{ "where" : { "kolon" : ["f_tur"], "tur" : ["tam"], "value" : [ "satis" ] } }'>
                                <i class="fa fa-bars"></i> Satış Faturaları
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-file-o"></i> Gelir Gider Fişleri<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( $yetki_gg_fis_ekle ) ) : ?>

                        <li>
                            <a href="#" data-modal-ac="gg_fis_ekleme"
                                data-param='{ "baslik" : "Gelir Gider Fişi Ekle", "yenile" : true }'>
                                <i class="fa fa-plus"></i> Yeni Fiş Gir
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("gg_fis_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="gg_fisler"
                                data-param='{ "where" : { "kolon" : ["islem"], "tur" : ["tam"], "value" : ["gelir"] } }'>
                                <i class="fa fa-plus-square"></i> Gelir Fişleri
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="gg_fisler"
                                data-param='{ "where" : { "kolon" : ["islem"], "tur" : ["tam"], "value" : ["gider"] } }'>
                                <i class="fa fa-minus-square"></i> Gider Fişleri
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="gg_fisler" data-param="">
                                <i class="fa fa-bars"></i> Hepsini Listele
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="gg_fisler"
                                data-param='{ "where" : { "kolon" : ["f_tarih"], "tur" : ["tam"], "value" : [ "<?php echo date( "Y-m-d 00:00:00" ); ?>" ] } }'>
                                <i class="fa fa-clock-o"></i> Bugünün Fişleri
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="gg_fisler"
                                data-param='{ "where" : { "kolon" : ["e_id"], "tur" : ["tam"], "value" : [<?php echo $_SESSION["user"]["user_id"]; ?>] } }'>
                                <i class="fa fa-user-plus"></i> Benim İşlemlerim
                            </a>
                        </li>

                        <li>
                            <a href="#" data-modal-ac="gg_fis_arama"
                                data-param='{ "baslik" : "Gelir Gider Fişi Ara", "yenile" : true }'>
                                <i class="fa fa-search"></i> Arama
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-list-ul"></i> Tanımlamalar<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( yetki("durum_sil") ) ): ?>

                        <li>
                            <a href="#" data-listele="durumlar" data-param="">
                                <i class="fa fa-question-circle"></i> Durumlar
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("cihaz_sil") ) ): ?>

                        <li>
                            <a href="#" data-listele="cihazlar" data-param="">
                                <i class="fa fa-desktop"></i> Cihazlar
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("marka_sil") ) ): ?>

                        <li>
                            <a href="#" data-listele="markalar" data-param="">
                                <i class="fa fa-trademark"></i> Markalar
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("yetki_sil") ) ): ?>

                        <li>
                            <a href="#" data-listele="yetkiler" data-param="">
                                <i class="fa fa-shield"></i> Yetki Grupları
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("gg_kart_sil") ) ): ?>

                        <li>
                            <a href="#" data-listele="gg_kartlar" data-param="">
                                <i class="fa fa-credit-card"></i> Gelir Gider Kartları
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("sms_sablon_sil") ) ): ?>

                        <li>
                            <a href="#" data-listele="sms_sablonlar" data-param="">
                                <i class="fa fa-envelope"></i> Sms Şablonları
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("email_sablon_sil") ) ): ?>

                        <li>
                            <a href="#" data-listele="email_sablonlar" data-param="">
                                <i class="fa fa-at"></i> Email Şablonları
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-sticky-note"></i> Veresiye Defteri<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( $yetki_veresiye_ekle ) ): ?>

                        <li>
                            <a href="#" data-modal-ac="veresiye_ekleme"
                                data-param='{ "baslik" : "Veresiye Ekle", "yenile" : true }'>
                                <i class="fa fa-plus"></i> Veresiye Ekle
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("veresiye_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="veresiye" data-param="">
                                <i class="fa fa-bars"></i> Hepsini Listele
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="veresiye"
                                data-param='{ "where" : { "kolon" : ["ths"], "tur" : ["tam"], "value" : [ 0 ] } }'>
                                <i class="fa fa-clock-o"></i> Bekleyenler
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="veresiye"
                                data-param='{ "where" : { "kolon" : ["ths"], "tur" : ["tam"], "value" : [ 1 ] } }'>
                                <i class="fa fa-check"></i> Tahsil Edilenler
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="veresiye"
                                data-param='{ "where" : { "kolon" : ["v_tarih"], "tur" : ["tam"], "value" : [ "<?php echo date( "Y-m-d 00:00:00" ); ?>" ] } }'>
                                <i class="fa fa-clock-o"></i> Bugünkü Vadeler
                            </a>
                        </li>

                        <li>
                            <a href="#" data-modal-ac="veresiye_arama"
                                data-param='{ "baslik" : "Veresiye Ara", "yenile" : true }'>
                                <i class="fa fa-search"></i> Arama
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true" class="<?php echo ( $hatirlatmaAdet ) ? "bildirim-var" : null; ?>">
                        <i class="fa fa-calendar-o"></i> Hatırlatmalar<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( $yetki_hatirlatma_ekle ) ): ?>

                        <li>
                            <a href="#" data-modal-ac="hatirlatma_ekleme" data-param='{ "baslik" : "Hatırlatma Ekle" }'>
                                <i class="fa fa-plus"></i> Hatırlatma Ekle
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("hatirlatma_listele") ) ): ?>

                        <li>
                            <a href="#" data-listele="hatirlatma"
                                data-param='{ "where" : { "kolon" : ["h_tarih"], "tur" : ["gunluk"], "value" : ["<?php echo date("Y-m-d")." 00:00:00"; ?>"] } }'>
                                <i class="fa fa-calendar-check-o"></i> Bugün
                                <?php echo ( $hatirlatmaAdet ) ? '<span class="menu-badges mavi">'.$hatirlatmaAdet.'</span>' : null; ?>
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="hatirlatma"
                                data-param='{ "where" : { "kolon" : ["h_tarih"], "tur" : ["kucuk"], "value" : ["<?php echo date("Y-m-d")." 00:00:00"; ?>"] } }'>
                                <i class="fa fa-clock-o"></i> Geçmiş
                            </a>
                        </li>

                        <li>
                            <a href="#" data-listele="hatirlatma"
                                data-param='{ "where" : { "kolon" : ["e_id"], "tur" : ["tam"], "value" : [<?php echo $_SESSION["user"]["user_id"]; ?>] } }'>
                                <i class="fa fa-user-plus"></i> Benim Eklediklerim
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-retweet"></i> Aktarım İşlemleri<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( yetki("servis_fisi_disari_aktar") ) || $_servis -> check( yetki("servis_fisi_iceri_aktar") ) ): ?>

                        <li>
                            <a href="#" data-modal-ac="servis_fisleri_aktarma"
                                data-param='{ "baslik" : "Servis Fişlerini Aktar", "yenile" : true }'>
                                <i class="fa fa-file-text-o"></i> Servis Fişleri
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("musteri_disari_aktar") ) || $_servis -> check( yetki("musteri_iceri_aktar") ) ): ?>

                        <li>
                            <a href="#" data-modal-ac="musteriler_aktarma"
                                data-param='{ "baslik" : "Carileri Aktar", "yenile" : true }'>
                                <i class="fa fa-users"></i> Cari Hesaplar
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("stok_iceri_aktar") ) || $_servis -> check( yetki("stok_disari_aktar") ) ): ?>

                        <li>
                            <a href="#" data-modal-ac="stok_aktarma"
                                data-param='{ "baslik" : "Stokları Aktar", "yenile" : true }'>
                                <i class="fa fa-sticky-note"></i> Stok Aktarım
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-bar-chart"></i> Raporlar<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php	$_yetki ->  x  (  ); 
									if( $_servis -> check( $yetki_rapor_cari_hareketleri ) ): ?>

                        <li>
                            <a href="#" data-listele="rapor_cari_hareketleri">
                                <i class="fa fa-user"></i> Cari Hareketleri
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( $yetki_rapor_kasa_raporu ) ): ?>

                        <li>
                            <a href="#" data-listele="rapor_kasa">
                                <i class="fa fa-money"></i> Kasa Raporu
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( $yetki_rapor_kasa_hareketleri ) ): ?>

                        <li>
                            <a href="#" data-listele="rapor_kasa_hareketleri">
                                <i class="fa fa-bars"></i> Kasa Hareketleri
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( $yetki_rapor_kar_zarar ) ): ?>

                        <li>
                            <a href="#" data-listele="rapor_kar_zarar">
                                <i class="fa fa-try"></i> Kar Zarar
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( $yetki_rapor_yogunluk_analizi ) ): ?>

                        <li>
                            <a href="#" data-listele="rapor_yogunluk_analiz">
                                <i class="fa fa-pie-chart"></i> Yoğunluk Analizi
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( $yetki_rapor_gunluk_alis_satis ) ): ?>

                        <li>
                            <a href="#" data-listele="rapor_gunluk_alis_satis">
                                <i class="fa fa-clock-o"></i> Günlük Alış Satış
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( $yetki_rapor_stok_hareketleri ) ): ?>

                        <li>
                            <a href="#" data-listele="rapor_stok_hareketleri">
                                <i class="fa fa-bars"></i> Stok Hareketleri
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

                <?php $_servis -> basla(); ?>

                <li>

                    <a href="#" data-alt-menu="true">
                        <i class="fa fa-cog"></i> Ayarlar<i class="fa fa-chevron-right sonraki"></i>
                    </a>

                    <ul class="alt-menu">

                        <?php if( $_servis -> check( $yetki_genel_ayarlar_duzenle ) ): ?>

                        <li>
                            <a href="#" data-modal-ac="genel_ayarlar"
                                data-param='{ "baslik" : "Genel Ayarlar", "yenile" : true }'>
                                <i class="fa fa-wrench"></i> Genel Ayarlar
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( yetki("sms_ayarlari_duzenle") ) || $_servis -> check( yetki("email_ayarlari_duzenle") ) ): ?>

                        <li>
                            <a href="#"
                                data-param='{ "baslik" : "Sms / Email Ayarları", "yenile" : true, "size" : "modal-sm" }'
                                data-modal-ac="sms_email_paneli">
                                <i class="fa fa-cogs"></i> Sms / Email Ayarları
                            </a>
                        </li>

                        <?php endif; ?>

                        <?php if( $_servis -> check( $yetki_firma_bilgileri_guncelle ) ): ?>

                        <li>
                            <a href="#" data-modal-ac="firma_bilgileri"
                                data-param='{ "baslik" : "Firma Bilgileri", "yenile" : true }'>
                                <i class="fa fa-info-circle"></i> Firma Bilgileri
                            </a>
                        </li>

                        <?php 
									$_durum	->    x       (        );
									endif;
								?>

                        <?php if( $_servis -> check( yetki("") ) ): ?>

                        <li>
                            <a href="<?= OTO_URL."/yedek/".PANEL_SIFRE; ?>" target="_blank">
                                <i class="fa fa-download"></i> Son Yedeği İndir
                            </a>
                        </li>

                        <?php endif; ?>

                    </ul>

                </li>

                <?php $_servis -> bitir(); ?>

            </ul>

        </div>

        <?= $_servis -> cnt(); ?>

    </div>

    <div id="mesaj">
        <div class="mesaj-golge">
            <div id="mesaj-kutu">
                <div class="container">
                    <div class="row">
                        <div class="col-xs-12 col-md-8 col-md-offset-2">
                            <div class="row">
                                <div class="col-xs-2 ikon-panel">
                                    <span class="uyari"><i class="fa fa-times"></i></span>
                                    <span class="basari"><i class="fa fa-check"></i></span>
                                    <span class="bilgi"><i class="fa fa-info"></i></span>
                                </div>
                                <div class="col-xs-8 col-sm-9 mesaj-panel">
                                    <div class="mesaj-yazi">
                                        <h4>Başlık</h4>
                                        <p>Mesaj</p>
                                    </div>
                                    <div class="mesaj-islem">
                                        <span class="rotate"><i class="fa fa-spinner"></i></span>
                                        <button type="button" class="btn btn-default btn-no"
                                            id="btn-mesaj-panel-kapat"><i class="fa fa-times"></i> Vazgeç</button>
                                        <button type="button" class="btn btn-primary btn-yes"
                                            id="btn-mesaj-panel-tamam"><i class="fa fa-check"></i> Tamam</button>
                                    </div>
                                </div>
                                <div class="col-xs-2 col-sm-1 center">
                                    <span id="mesaj-panel-kapat"><i class="fa fa-times"></i></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-panel" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Kapat"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title font-bold"></h4>
                </div>
                <div class="modal-body">
                    <div id="modal-icerik">

                    </div>
                    <div class="modal-yukleniyor">
                        <span class="rotate"><i class="fa fa-spinner"></i></span>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Kapat</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <audio id="bildirimSes">
        <source src="<?php echo $_SESSION["oto_url"]; ?>/assets/ses/notif.mp3" type="audio/mpeg">
        <source src="<?php echo $_SESSION["oto_url"]; ?>/assets/ses/notif.ogg" type="audio/ogg">
    </audio>

    <div id="devam-suresi" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Bir Süredir İşlem Yapmadınız</h4>
                </div>
                <div class="modal-body">
                    <p>Oturuma Devam Etmek İçin Kalan Süreniz <strong id="geri-sayim-suresi"></strong> Saniye</p>
                </div>
                <div class="modal-footer">
                    <button id="oturuma-devam-et" type="button" class="btn btn-primary">Oturuma Devam Et</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <div id="hizli-musteri-ekle" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title font-bold">Cari Hesap Ekle</h4>
                </div>
                <div class="modal-body clearfix">

                    <form id="hizli-musteri-ekle-form" action="" method="post" autocomplete="off">
                        <div class="row">
                            <div class="col-xs-12 col-sm-6">
                                <div class="form-group clear no-margin">
                                    <label><i class="fa fa-user"></i> Cari Adı ( * )</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="musteri_adi" class="form-control" required />
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-6 col-sm-3">
                                <div class="form-group clear no-margin">
                                    <label><i class="fa fa-barcode"></i> Hesap Kodu *</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="musteri_kodu" class="form-control" required />
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-6 col-sm-3">
                                <div class="form-group no-margin">
                                    <label><i class="fa fa-phone"></i> Telefon</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="telefon1" class="form-control"
                                            data-inputmask="'mask': '(999) 999 99 99'" />
                                    </div>
                                </div>
                            </div>
                            <div class="duz-cizgi">
                                <hr />
                            </div>
                            <div class="col-xs-12 col-sm-6" style="margin-top:10px;">
                                <div class="form-group">
                                    <label><i class="fa fa-map-marker"></i> İl</label>
                                    <div class="form-group pos-rel input-data" style="z-index:101;">
                                        <select name="il" class="selectpicker form-control" data-live-search="true">
                                            <?php echo $_il -> illerHtml(); ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-6" style="margin-top:10px;">
                                <div class="form-group">
                                    <label><i class="fa fa-at"></i> Email</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="email" class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <div class="duz-cizgi">
                                <hr />
                            </div>
                            <div class="col-xs-12" style="margin-top:10px;">
                                <div class="form-group">
                                    <label><i class="fa fa-location-arrow"></i> Adres</label>
                                    <div class="form-group pos-rel input-data">
                                        <textarea name="adres" class="form-control" rows="2"></textarea>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-6">
                                <div class="form-group">
                                    <label><i class="fa fa-bank"></i> Vergi Dairesi</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="vergi_dairesi" class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-6">
                                <div class="form-group">
                                    <label><i class="fa fa-credit-card-alt"></i> Vergi / Tc No</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="vergi_no" class="form-control" />
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-12">
                                <button type="submit" class="btn btn-primary hizli-musteri-kaydet"
                                    data-form="#hizli-musteri-ekle-form">
                                    <i class="fa fa-floppy-o"></i> Kaydet</button>
                            </div>

                        </div>
                    </form>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Kapat</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <!-- Hızlı Stok -->
    <div id="hizli-stok-ekle" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title font-bold">Yeni Stok</h4>
                </div>
                <div class="modal-body clearfix">

                    <form id="hizli-stok-form" action="" method="post" autocomplete="off"
                        data-par='{ "hangisi" : "yedek_parca" , "listele" : "yedek_parcalar" }'>

                        <input type="hidden" name="hizli_ekle" value="1">

                        <div class="row">
                            <div class="col-xs-12">
                                <div class="form-group">
                                    <label><i class="fa fa-gavel"></i> Parça İsmi</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="parca_adi" class="form-control" maxlength="100"
                                            required />
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-6">
                                <div class="form-group">
                                    <label><i class="fa fa-barcode"></i> Stok Kodu</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="stok_kodu" class="form-control" maxlength="50" />
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-6">
                                <div class="form-group">
                                    <label><i class="fa fa-barcode"></i> Barkod</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="barkod" class="form-control" value="<?= time(); ?>"
                                            maxlength="32" required />
                                    </div>
                                </div>
                            </div>

                            <div class="duz-cizgi" style="margin-bottom:5px;">
                                <hr />
                            </div>

                            <div class="col-xs-6 col-sm-3">
                                <div class="form-group">
                                    <label><i class="fa fa-barcode"></i> Raf No</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="raf_no" class="form-control" maxlength="50" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-6 col-sm-3">
                                <div class="form-group">
                                    <label><i class="fa fa-percent"></i> Kdv</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="kdv" class="form-control" value="18"
                                            data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false"
                                            maxlength="2" />
                                    </div>
                                </div>
                            </div>

                            <div class="duz-cizgi" style="margin-bottom:5px;">
                                <hr />
                            </div>

                            <div class="col-xs-6 col-sm-3">
                                <div class="form-group">
                                    <label><i class="fa fa-try"></i> Satış Fiyatı</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="birim_fiyat" class="form-control" data-para-format="TR"
                                            data-thousands="." data-decimal="," placeholder="0,00" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-6 col-sm-3">
                                <div class="form-group">
                                    <label><i class="fa fa-try"></i> Alış Fiyatı</label>
                                    <div class="form-group pos-rel input-data">
                                        <input type="text" name="alis_fiyat" class="form-control" data-para-format="TR"
                                            data-thousands="." data-decimal="," placeholder="0,00" />
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-12">
                                <div class="ui checkbox" style="margin:-10px 0 10px 0;">
                                    <input type="checkbox" name="eksi_stok" value="1" checked />
                                    <label>Eksi Stok</label>
                                </div>
                            </div>
                        </div>

                        <button type="submit" class="submit-btn btn btn-primary" data-fonksiyon="kayitEkle"
                            data-form="#hizli-stok-form"><span class="rotate"><i class="fa fa-spinner"></i></span>
                            <i class="ikon-gizle fa fa-floppy-o"></i>
                            Kaydet
                        </button>

                    </form>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Kapat</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
    <!-- Hızlı Stok -->

    <div id="musteriler-paneli" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title font-bold">Cari Hesap Listesi</h4>
                </div>
                <div class="modal-body no-padding">
                    <div class="full-width form-group no-margin" style="padding:15px;border-bottom: 1px solid #ddd;">
                        <input type="text" name="musteri_ara" class="form-control" />
                    </div>
                    <div class="musterileri-yukle"></div>
                    <div class="modal-yukleniyor">
                        <span class="rotate"><i class="fa fa-spinner"></i></span>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Kapat</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <div id="yedek-parca-ekle" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title font-bold">Yedek Parça Ekle</h4>
                </div>
                <div class="modal-body">


                    <div id="modal-icerik" style="visibility: visible;">
                        <div class="modal-icerik-style">

                            <div class="row">
                                <div class="col-xs-12">
                                    <form id="yedek-parca-ekleme-formu" action="" method="post"
                                        enctype="multipart/form-data"
                                        data-par='{ "hangisi" : "yedek_parca" , "listele" : "yedek_parcalar" }'
                                        autocomplete="off">
                                        <div class="row">
                                            <div class="col-xs-12">
                                                <div class="row ilk-panell">
                                                    <div class="col-xs-12">
                                                        <div class="form-group">
                                                            <label><i class="fa fa-gavel"></i> Parça İsmi</label>
                                                            <div class="form-group pos-rel input-data">
                                                                <input type="text" name="parca_adi" class="form-control"
                                                                    maxlength="100" required />
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-xs-12">
                                                        <div class="form-group">
                                                            <label><i class="fa fa-barcode"></i> Stok Kodu</label>
                                                            <div class="form-group pos-rel input-data">
                                                                <input type="text" name="stok_kodu" class="form-control"
                                                                    maxlength="50" />
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="duz-cizgi" style="margin-bottom:5px;">
                                                        <hr />
                                                    </div>

                                                    <div class="col-xs-12">
                                                        <div class="form-group">
                                                            <label><i class="fa fa-barcode"></i> Barkod</label>
                                                            <div class="form-group pos-rel input-data">
                                                                <input type="text" name="barkod" class="form-control"
                                                                    value="<?php echo time(); ?>"
                                                                    data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false"
                                                                    maxlength="16" required />
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-xs-9">
                                                        <div class="form-group">
                                                            <label><i class="fa fa-barcode"></i> Raf No</label>
                                                            <div class="form-group pos-rel input-data">
                                                                <input type="text" name="raf_no" class="form-control"
                                                                    maxlength="50" />
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="col-xs-3">
                                                        <div class="form-group">
                                                            <label><i class="fa fa-percent"></i> Kdv</label>
                                                            <div class="form-group pos-rel input-data">
                                                                <input type="text" name="kdv" class="form-control"
                                                                    value="18"
                                                                    data-inputmask="'alias' : 'numeric', 'rightAlign' : false, 'allowMinus' : false"
                                                                    maxlength="2" />
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="duz-cizgi" style="margin-bottom:5px;">
                                                        <hr />
                                                    </div>

                                                    <div class="col-xs-6">
                                                        <div class="form-group">
                                                            <label><i class="fa fa-try"></i> Satış Fiyatı</label>
                                                            <div class="form-group pos-rel input-data">
                                                                <input type="text" name="birim_fiyat"
                                                                    class="form-control" data-para-format="TR"
                                                                    data-thousands="." data-decimal=","
                                                                    placeholder="0,00" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-xs-6">
                                                        <div class="form-group">
                                                            <label><i class="fa fa-try"></i> Alış Fiyatı</label>
                                                            <div class="form-group pos-rel input-data">
                                                                <input type="text" name="alis_fiyat"
                                                                    class="form-control" data-para-format="TR"
                                                                    data-thousands="." data-decimal=","
                                                                    placeholder="0,00" />
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="duz-cizgi" style="margin-bottom:15px;">
                                                        <hr />
                                                    </div>

                                                    <div class="col-xs-12">
                                                        <button type="submit"
                                                            class="submit-btn btn btn-primary col-xs-12 col-sm-4"
                                                            data-fonksiyon="kayitEkle"
                                                            data-form="#yedek-parca-ekleme-formu"><span
                                                                class="rotate"><i class="fa fa-spinner"></i></span> <i
                                                                class="ikon-gizle fa fa-floppy-o"></i> Kaydet</button>
                                                    </div>
                                                </div>
                                                <div class="row son-panel" style="height:100px;">
                                                    <div class="col-xs-12">
                                                        <div class="alert alert-success response" role="alert"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>




                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Kapat</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

</body>

</html>